2003-11-11  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: use $(DISABLE_DEPRECATED_CFLAGS).

2003-11-07  Arvind Samptur  <arvind.samptur@wipro.com>

	* panel-properties-dialog.c: (panel_properties_dialog_new) :
	Block autohiding when the properites dialog is open.
	(panel_properties_dialog_destroy) : Unblock the autohiding when
	destroying the dialog.

	* panel.c: (panel_delete) : Block autohiding
	(panel_deletion_destroy_dialog): Unblock autohiding

	* panel-toplevel.c: (panel_toplevel_auto_unhide_timeout_handler):
	Don't unhide if we are not in the vicinity of the panel.
	Fix bug #122589

2003-11-06  Vincent Untz  <vincent@vuntz.net>

	* applet.c: (applet_callback_callback)
	* launcher.c: (setup_button), (launcher_show_help)
	* launcher.h:
	* menu.c: (show_help_on), (show_item_menu)
	* panel-util.c: (panel_show_gnome_help), (panel_show_kde_help),
	(panel_show_gnome_kde_help), (panel_help_error_quark), (panel_is_url)
	* panel-util.h:
	Remove old useless and dead code which was used for the "Show help on"
	stuff. Fix bug #124818.

2003-11-06  Vincent Untz  <vincent@vuntz.net>

	* panel-properties-dialog.glade: remove the bold label for the icon of
	the drawer.

2003-11-04  Mark McLoughlin  <mark@skynet.ie>

	* panel-multiscreen.c: (panel_multiscreen_init): remove the
	PANEL_FAKE_XINERAMA debugging thingy - gtk+ has the equivalent
	now with GDK_DEBUG=xinerama.

2003-11-03  Vincent Untz  <vincent@vuntz.net>

	Make the change background notification work for applets. Now there is
	one problem left: applets don't keep the new background and come back
	to a plain colour background.
	This fixes bugs #107617, #123092, #107146.
	Some parts of the patch are based on a patch from John Ellis
	<johne@bellatlantic.net>.

	* applet.c: (panel_applet_register): remove #ifdef FIXME_FOR_NEW_CONFIG
	to initialize the applet background.
	* panel-applet-frame.c:
	(panel_applet_frame_update_background_size): new function which updates
	the background pixmap if the size of the applet has changed.
	(panel_applet_frame_size_request): use above function.
	* panel-background.h: add a PanelBackgroundChangedNotify type and two
	variables to the PanelBackground structure so we can notify the panel
	of a background change.
	* panel-background.c: (panel_background_composite): notify the panel
	when the background changes.
	(panel_background_init): initialize some new PanelBackground variables
	with the new parameters.
	(panel_background_make_string): don't tell the background is a pixmap
	if the type is PANEL_BACK_NONE and use the pixmap xid instead of the
	window xid.
	* panel-widget.h: add back_change to PanelWidgetClass.
	* panel-widget.c: (panel_widget_class_init): add BACK_CHANGE_SIGNAL.
	(panel_widget_instance_init): add new parameters to
	panel_background_init.
	(panel_widget_background_changed): new function which is called when
	the background changes and emits BACK_CHANGE_SIGNAL.
	* panel.c: (back_change), (back_change_foreach), (panel_back_change):
	uncommented these functions.
	(panel_applet_added): remove FIXME_FOR_NEW_CONFIG so we call
	back_change.
	(panel_widget_setup): connect to the back_change signal.

2003-10-31  Arvind Samptur  <arvind.samptur@wipro.com>

	* panel-toplevel.c: (panel_toplevel_auto_unhide_timeout_handler):
	Reverting the changes done for 122589. It's breaking some things.

2003-10-31  Arvind Samptur  <arvind.samptur@wipro.com>

	* menu.c: (show_about_dialog): Adding Vincent and myself 
	to the list.

2003-10-31  Arvind Samptur  <arvind.samptur@wipro.com>

	* panel-toplevel.c: (panel_toplevel_auto_unhide_timeout_handler):
	Don't unhide if we are not in the vicinity of the panel.
	Fix bug #122589
	
2003-10-30  Vijaykumar Patwari <vijaykumar.patwari@wipro.com>

	* panel-widget.c: (panel_widget_applet_drag_start): block the 
	autohide when dragging objects on the panel.
	(panel_widget_applet_drag_end): enable autohide when dragging
	is done. Fix bug #122863
 
2003-10-28  Mark McLoughlin  <mark@skynet.ie>

	* panel-run-dialog.c, panel-run-dialog.glade: update to
	use GtkExpander.

2003-10-28  Mark McLoughlin  <mark@skynet.ie>

	* panel-toplevel.c: (panel_toplevel_attach_toplevel_hiding):
	Don't unhide drawers if they were originally hidden. Fixes
	bug #121382.

2003-10-28  Muktha  <muktha.narayan@wipro.com>

	* panel-properties-dialog.glade: Remove the bold labels.
	Fixes bug #110889.

2003-10-23  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: remove disclosure-widget.[ch] and remove
	the deprecated defines.
	
	* disclosure-widget.[ch]: kill.

2003-10-21  Vincent Untz  <vincent@vuntz.net>

	* menu-ditem.c: (ditem_properties_clicked), (ditem_properties_changed)
	(set_ditem_sensitive), (panel_edit_dentry), (panel_edit_direntry):
	set the Revert button insensitive when there is no revert action
	possible.

2003-10-20  Vincent Untz  <vincent@vuntz.net>

	* panel-properties-dialog.c: (panel_properties_dialog_opacity_changed):
	Set opacity to 0% or 100% when the value from the scale is something
	between 0% and 2% or between 98% and 100%. Thus we can really reach
	100%.
	Fix bug #123095.

2003-10-20  Vincent Untz  <vincent@vuntz.net>

	* panel-background-monitor.c: (panel_background_monitor_setup_pixmap):
	Don't assume gdk_property_get always works. Fix a crash.

2003-10-15  Vincent Untz  <vincent@vuntz.net>

	* button-widget.c: (button_widget_class_init)
	* panel-action-button.c:  (panel_action_button_class_init)
	* panel-menu-button.c: (panel_menu_button_class_init)
	s/Drag N' Drop/Drag and drop/ as discussed in bug #119067.

2003-10-14  Vincent Untz  <vincent@vuntz.net>

	* menu.c: (make_panel_submenu): use GTK_STOCK_DELETE instead of
	GTK_STOCK_REMOVE for "Delete This Panel" item.
	Fix bug #92288.

2003-10-14  Vincent Untz  <vincent@vuntz.net>

	* panel-action-button.c: there is help available for the run,
	search, screenshot and force quit buttons. So we should use it.
	Fix bug #118303.

2003-10-14  Vincent Untz  <vincent@vuntz.net>

	* panel-toplevel.c: (panel_toplevel_move_to): never have a
	vertically centered horizontal panel nor a horizontally centered
	vertical panel.
	Fix bug #108471.

2003-10-14  Vincent Untz  <vincent@vuntz.net>

	* button-widget.c: (button_widget_class_init) s/DnD/Drag N' Drop/.
	Fix bug #119067.

2003-10-13 Owen Taylor <otaylor@redhat.com>

	* gnome-panel/panel-stock-icons.c (panel_init_stock_icons):
	Look up default images for stock icons at an arbitrary large 
	size, so that we always scale down, from the biggest image
	we have available, instead of sometimes scaling up. (#124230)
	
2003-10-13  Padraig O'Briain  <padraig.obriain@sun.com>

        * panel-action-button.c (panel_action_button_set_type): Set
        accessible name and descriptions (bug #124218)

2003-10-13  Vincent Untz  <vincent@vuntz.net>

	* menu.c: (create_menuitem) use the themed folder icon instead of a
	non-themed folder icon.
	Fix bug #122796.

	* panel.c: (drop_directory) same here.

2003-10-09  Arvind Samptur  <arvind.samptur@wipro.com>

	* panel-toplevel.c : (panel_toplevel_push_autohide_disabler)
	(panel_toplevel_pop_autohide_disabler) : Use them to increment and 
	decrement the open drawers  count attached to a toplevel panel.
	(panel_toplevel_get_autohide_disabled): Returns True if panel has 
	open drawers.
	(panel_toplevel_unhide) panel_toplevel_hide) : Use the above methods.
	(bug #124016)

2003-10-06  Arvind Samptur  <arvind.samptur@wipro.com>

	* panel-widget.[ch] : (panel_widget_register_open_dialog):
	Register the open dialog in to the list of open dialogs.
	(panel_widget_destroy_open_dialogs) : On destroying the panel,
	destroy all the open dialogs
	(panel_widget_open_dialog_destroyed) : Update the open dialogs
	list when the dialog is destroyed

	* launcher.c,  menu.c, panel-applet-frame.c :
	Use panel_widget_register_open_dialog() to register all the dialogs
	created.

	* panel.c: (panel_remove_open_create_launcher_dialogs),
	(panel_remove_applets): Remove it, no longer required.  Fix #122922

2003-10-03  Padraig O'Briain  <padraig.obriain@sun.com>

	* panel-widget.c (panel_widget_real_focus): Prevent PanelWidget
	getting focus after applet has focus (bug #123697)

2003-09-29  Arvind Samptur  <arvind.samptur@wipro.com>

	* panel-widget.[ch] : (panel_widget_register_open_dialog):
	Register the open dialog in to the list of open dialogs.
	(panel_widget_destroy_open_dialogs) : On destroying the panel,
	destroy all the open dialogs
	(panel_widget_open_dialog_destroyed) : Update the open dialogs
	list when the dialog is destroyed

	* launcher.c,  menu.c, panel-applet-frame.c : 
	Use panel_widget_register_open_dialog() to register all the dialogs 
	created.

	* panel.c: (panel_remove_open_create_launcher_dialogs), 
	(panel_remove_applets): Remove it, no longer required.  Fix #122922

2003-09-20  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-panel-screenshot.c: (find_toplevel_window):
	* panel-action-button.c: (panel_action_button_load_from_drag):
	* panel-background-monitor.c:
	(panel_background_monitor_setup_pixmap):
	* panel-background.c: (panel_background_prepare):
	* panel-force-quit.c: (wm_state_set):
	* panel-toplevel.c: (panel_toplevel_button_press_event):
	* xstuff.c: (xstuff_get_current_workspace): Merge warning fix
	from branch. bug #122779

2003-09-19  Christian Neumair  <chris@gnome-de.org>

	* menu.c: Fix sn i18n (#122564).

2003-09-19  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* gnome-desktop-item-edit.c (main): call gettext functions
	to bind gnome-panel message catalog. Fix bug #121407.

2003-09-18  Vincent Untz  <vincent@vuntz.net>

	* panel-run-dialog.c: (program_list_selection_changed) show the
	  localized comment instead of the english one when choosing an
	  application in the list. Fix bug #122169.

2003-09-18  Arvind Samptur <arvind.samptur@wipro.com>

	* drawer.[ch]:(drawer_deletion_response) (drawer_query_deletion):
	Query user before  deleting a "loaded" drawer.

	* applet.c: (applet_remove_callback) Use drawer_deletion_query()
	if the applet is a drawer.

	* panel.[ch]: Isolate the "Delete Panel" dialog creation
	so that we can re-use the same code.
	Fix bug #122604

2003-09-18  Mark McLoughlin  <mark@skynet.ie>

	* button-widget.c: (button_load_pixbuf): fix loading of
	icons with a relative path. Based on a patch from Bala
	in bug #121360.

2003-09-17  Rob Adams <readams@readams.net>

	* panel-struts.c: Fix an off-by-one error in computing start and
	end values for partial width struts.  Fix for #122405.

Wed Sep 17 17:09:22 2003  George Lebl <jirka@5z.com>

	* panel-global.schemas.in: add /apps/panel/global/disabled_applets
	  lists that lists disabled applet iids (lockdown removed stuff)

	* menu.c, panel-applet-frame.c, panel-profile.[ch]:  Implement the
	  disabled applets list.  Don't show in list and don't allow 
	  activating.

2003-09-17  Vincent Untz  <vincent@vuntz.net>

	* main.c: don't show the help flags twice in 'gnome-panel --help'.
	Fix bug #107878.

Tue Sep 16 14:22:28 2003  George Lebl <jirka@5z.com>

	* applet.c, launcher.c, panel-applet-frame.c, menu.c: In per-panel
	  lockdown mode, do the same thing as the full lockdown, that is,
	  hide the widgets rather then deselect them.  This is both easier
	  and likely more correct.  Insensitive really kind of means that
	  the actions may be possible.  But we want to convey the message
	  that there are no such actions possible.

	* menu.c: catch further instances of possibility of running programs
	  when inhibit command line was on by editing properties of random
	  menu entries.

Tue Sep 16 09:49:01 2003  George Lebl <jirka@5z.com>

	* button-widget.c: Fix #121072.  The overlay window was needlessly on
	  the toplevel rather then the button parent (panel-widget) and the
	  geometry may have been messed up.  I made it work precisely like
	  the GtkButton code in this sense (it was half there already
	  actually)

Mon Sep 15 15:05:27 2003  George Lebl <jirka@5z.com>

	* panel-global.schemas.in, panel-toplevel.schemas.in:
	  Add per panel locked_down item and a global locked_down
	  item.

	* applet.c, drawer.c, launcher.c, main.c, menu.c,
	  panel-action-button.c, panel-applet-frame.c,
	  panel-globals.h, panel-menu-bar.c, panel-profile.[ch],
	  panel-run-dialog.c, panel-toplevel.[ch], panel-widget.c,
	  panel.c:  Add toplevel panel locked_down flag and follow
	  it everywhere appropriate and also add a global locked_down
	  flag replacing any remaints of the commie_mode of 1.4.
	  In addition support reading two keys (which don't have
	  schemas yet since this is all kind of tenative and such
	  schemas wouldn't belong to gnome-panel anyway) 
	  /desktop/gnome/lockdown/inhibit_command_line and
	  /desktop/gnome/lockdown/inhibit_force_quit.  Also set
	  the lockdown flag appropriately for external applets so
	  that they can load and behave approperiately.  All this
	  currently requires a panel restart and no effort has been
	  done to support on the fly updating, but I doubt it's
	  worth the extra code baggage.  I suppose this should
	  be followed by some mail to d-d-l about lockdown especially
	  about the "need to be sorted out" bits.

2003-09-12  Arvind Samptur  <arvind.samptur@wipro.com>

	* menu.c (add_drawers_from_dir) : Don't load desktop files
	in the drawer if TryExec fails.

==================== 2.4.0 ====================

==================== 2.3.91 ====================

2003-09-05  Mark McLoughlin  <mark@skynet.ie>

	Fixes problem with drawers where they are always open on
	login. Make them closed at login instead.

	* drawer.c: (load_drawer_applet): hide the drawer on startup.
	
	* panel-toplevel.c:
	(panel_toplevel_hide), (panel_toplevel_unhide): show/hide
	drawers when not animating.

2003-09-05  Mark McLoughlin  <mark@skynet.ie>

	Patch from George to fix bug #120107 and some other
	stuff.

	* applet.c: (panel_applet_queue_applet_to_load):
	fix leak.
	
	* menu-ditem.c: (get_unique_name): use g_random_int()
	instead of rand().
	
	* panel-util.c: (panel_make_unique_path): ditto.
	
	* panel-profile.c: (panel_profile_load_object): fix leak.
	
	* panel-widget.[ch]:
	(allocate_dirty_child): kill this ugly hack and just resize
	the entire panel when moving an applet.
	(panel_widget_jump_applet_right),
	(panel_widget_switch_applet_right),
	(panel_widget_jump_applet_left), (panel_widget_switch_applet_left),
	(panel_widget_switch_move), (panel_widget_push_applet_right),
	(panel_widget_push_applet_left), (panel_widget_push_move):
	Update all these to resize the entire panel.
	(panel_widget_size_allocate): first normalize the positions
	based on minimum sizes of the applets/objects, basically
	shifting them right such that they need not ever be shifted
	right again. Then allocate sizes to applets (starting from the
	right corner) and finally shift	everything right in case we
	overshot.

2003-09-05  Mark McLoughlin  <mark@skynet.ie>

	Schemas to maintain compatibility with the 2.0/2.2
	configurations. 
	
	The problem being addressed here is that because the
	2.0/2.2 panel applies schemas to keys at runtime,
	existing user configurations will end up with
	dangling references to the old schemas unless we
	install these old schemas.
	
	For example, a 2.0/2.2 panel will apply the
	medium/general/panel_id_list schema to
	profiles/default/general/panel_id_list. This
	association is in the user's configuration, not in
	the system GConf database. If the user never changes
	panel_id_list and logs into a machine without this
	schema, then panel_id_list will be empty. 

	* panel-compatibility.schemas: re-add the old
	default config schemas.
	
	* Makefile.am: install the schemas.

==================== 2.3.90 ====================

Thu Aug 28 22:02:41 2003  George Lebl <jirka@5z.com>

	* panel-profile.c: initialize color to black when getting it from
	  gconf fails

Thu Aug 28 10:07:02 2003  George Lebl <jirka@5z.com>

	* panel.c: Fix a leak and be safe in destroying the
	  open_dialogs list.  The destruction of dialogs could
	  perhaps have side effects (though I'm not aware of any)
	  so steal the list so that no one modifies it.

	* panel-applet-frame.c: The open_dialogs are GSList's not
	  GList, so avoid crashes by using the correct function.

Thu Aug 28 08:59:58 2003  George Lebl <jirka@5z.com>

	* panel-util.c: don't free the format if we didn't allocate
	  it in the error dialog code.  Was OKed by the release-team

2003-08-27  Arvind Samptur  <arvind.samptur@wipro.com>

	* panel-widget.[ch] : Re-name create_launcher_dialog_list
	with open_dialogs to reflect a wider range of
	cleanup that we are upto.

	*launcher.c,panel-applet-frame.c,panel.c: Use it

	Fixes the dialogs being left on the screen when 
	the panel is destroyed and the crashes thereafter. #120812

==================== 2.3.7 ====================

Fri Aug 22 14:59:01 2003  George Lebl <jirka@5z.com>

	* launcher.c:  after a launcher is created, ensure that the Name,
	  GenericName and Comment fields have a C locale entry (using the
	  current locale one if the user added something).  This should
	  fix #120427, when people create a launcher then log in with
	  different language.

Fri Aug 22 14:28:42 2003  George Lebl <jirka@5z.com>

	* panel-properties-dialog.c: Fix warning when a drawer doesn't
	  have a tooltip set.  Also destroy the dialog when closed
	  (there is absolutely no point in keeping it in memory,
	  that's a waste), and handle closing the dialog with the
	  close WM button without causing crashes/warnings on next
	  use of properties

	* panel-run-dialog.c: When destroying the dialog, destroy
	  the file selection if it exists otherwise closing the
	  dialog without closing the fileselection causes a crash.

Fri Aug 22 09:50:19 2003  George Lebl <jirka@5z.com>

	* panel-applet-frame.c: fix a couple of possible
	  warnings about strings being NULL since the
	  background string can possibly be NULL.  While
	  investigating #120372

	* panel-background.c: the background->desktop can possibly
	  be NULL, so catch that gracefully.  Also add a few
	  preconditions.

Thu Aug 21 13:54:17 2003  George Lebl <jirka@5z.com>

	* panel-compatibility.c: fixing RH #102790, "panel gnomes stole my
	  drawers".  No longer will such gnomes profit from stealing ones
	  drawers.  Issue was that we were setting "toplevel_id" instead
	  of "attached_toplevel_id".  Also the menu setting migration code
	  was migrating main menus into just menus with "applications:"
	  path set.  main_menu=TRUE means use_menu_path must be FALSE.

Thu Aug 21 12:56:48 2003  George Lebl <jirka@5z.com>

	* panel-run-dialog.c: don't complete if the pointer is not on the
	  end of the input, and fix a leak when new prefix is not found.

2003-08-20  Arvind Samptur  <arvind.samptur@wipro.com>

	* panel-background-monitor.c: (panel_background_monitor_setup_pixmap):
	Pass the right type of Atom to gdk_property_get()
	Fixes bug #119898

Tue Aug 19 14:20:17 2003  George Lebl <jirka@5z.com>

	* panel-widget.c: Fixing #120107 where a non-expanded panel would
	  always use the biggest hint of the expaned applets.  Check if
	  allocation didn't give us all the space we needed and compress
	  expanded applets within possibilities.  Don't clamp the upper
	  size of the size request, it is not necessary and in fact
	  just makes trouble since then we wouldn't know how much space
	  we were denied.

Tue Aug 19 13:18:20 2003  George Lebl <jirka@5z.com>

	* panel-toplevel.c: Fix #119984 and RH #102631 by properly
	  calculating the "floating" flag of non-expanded panels.  The
	  floating flag needs to take into account the SNAP_TOLERANCE
	  otherwise it will in fact be wrong.

Mon Aug 18 17:04:39 2003  Brian Cameron <Brian.Cameron@Sun.Com>

	* menu.c:  Changed restore_grabs to use a technique similar to
	  drag_end_menu_cb (also in menu.c) to grab the keyboard as
	  well as the pointer.

Wed Aug 13 17:26:20 2003  George Lebl <jirka@5z.com>

	* panel-toplevel.[ch]: Add an accessor to the floating flag,
	  panel_toplevel_get_is_floating

	* panel-profile.c: when creating a new panel, try to find an
	  empty orientation/monitor (free from other non-floating
	  panels).  If no such place is found, will just use the
	  default values.  Fixes #107620

2003-08-13  Christian Neumair  <chris@gnome-de.org>

	* panel-toplevel.c: Localize panel description by adding a few gettext
	calls.

Tue Aug 12 16:34:38 2003  George Lebl <jirka@5z.com>

	* gnome-panel-screenshot.c: convert filenames to utf8 before
	  displaying them in the dialogs.

Tue Aug 12 16:05:34 2003  George Lebl <jirka@5z.com>

	* quick-desktop-reader.c: A "fix" for #119623.  If the encoding is
	  set explicitly to UTF-8 ignore the encoding from the language just
	  in case there was any (there isn't supposed to be any!)  This way
	  we read things that were converted wrongly.

Tue Aug 12 12:52:33 2003  George Lebl <jirka@5z.com>

	* panel-struts.c: Allow passing NULL width/height
	  int pointers and just don't update them then

	* panel-toplevel.c:  The update functions want to
	  work with width/height of what it was after
	  the update_size call, so store those values,
	  the strut update function can now update struts
	  based on the final position of animation to get the
	  final position correctly, struts can't really extend
	  beyond screen edges which would make hidden panels
	  whacked out.  The "math" function to compute the
	  "sin" wave is now a much simpler (but almost the
	  same) ninth degree polynomial p(p(x)) where p(x)
	  is a simple cubic.  The animating position is now
	  updated separately short circuiting the position
	  update instead of doing all the position dance as
	  normally.  Fix things in case we ever do animation
	  where we change the width/height which is not currently
	  done.  Don't update the size for hidden panels to avoid
	  completely squishing them and setting them to negative
	  sizes and all such fun.

	  Note: This fixes the struts for panels that hide at
	  least in all the cases which I could find.  Animations
	  are kind of off in some cases, but it would require
	  lots of whacky code to get that right and it's not
	  worth it.  Things it fixes include squishing panels
	  (thus whacking your applet layout), panels not hiding
	  at all, panels animating wrongly, panels jumping around
	  while other panels are hiding and gtk warnings about
	  negative sizes when panels are hidden.  Most of these
	  problems especially for vertical panels being hidden
	  down or up.

Mon Aug 11 11:40:00 2003  George Lebl <jirka@5z.com>

	* panel-toplevel.c: when queing unhide, first check if the panel
	  contains the pointer before whacking the unhide delay, this fixes
	  bugs where panel sometimes would never pop up.

Mon Aug 11 11:22:24 2003  George Lebl <jirka@5z.com>

	* panel-toplevel.c: Fix #119380 by ignoring motion event coming
	  from a different screen then the panel is on.

2003-08-11  Arvind Samptur <arvind.samptur@wipro.com>

	* panel-run-dialog.c: (panel_run_dialog_response): Reset the 
	completion_started flag.
	(event_key): Use the completion_started flag in the right way.  
	Fixes bug #115259

2003-08-11  Padraig O'Briain  <padraig.obriain@sun.com>

	* panel-menu-bar.c (panel_menu_bar_popup_menu): Activate menu bar when
	popping up menu. This fixes bug #118491.

==================== 2.3.6.2 ====================

2003-08-11  Mark McLoughlin  <mark@skynet.ie>

	* panel-toplevel.c: (panel_toplevel_update_struts): fix
	syntax error which breaks compile with gcc 2.95.
	Patch from Jens Granseuer in bug #119508.

==================== 2.3.6.1 ====================

2003-08-08  Mark McLoughlin  <mark@skynet.ie>

	Fixes multihead breakage in bug #119379.

	* panel-struts.c:
	(panel_struts_allocate_struts): add screen and monitor
	args and only do an allocation run for toplevels on that
	screen/monitor.
	(panel_struts_register_strut),
	(panel_struts_unregister_strut): upd.

2003-08-08  Mark McLoughlin  <mark@skynet.ie>

	* panel-struts.[ch]:
	(panel_struts_intersect),
	(panel_struts_allocation_overlapped),
	(panel_struts_allocate_struts),
	(panel_struts_register_strut): keep track of the original
	geometry so that we can apply deltas to the toplevel
	position rather than changing the position explicitly.
	(panel_struts_update_toplevel_geometry): apply the deltas
	here.
	
	* panel-toplevel.c:
	(panel_toplevel_update_position): updating the geometry
	accoring to the struts makes sense in all cases now.
	(panel_toplevel_start_animation): ditto here.

Thu Aug 07 14:34:37 2003  George Lebl <jirka@5z.com>

	* panel-toplevel.c: Fixing bug #115494.  Apparently if some applet
	  opens a menu, we'll never get a leave event.  However we will
	  get focus in/out events, so queue auto hide when those happen.

Thu Aug 07 14:09:56 2003  George Lebl <jirka@5z.com>

	* panel-toplevel.c: don't update struts until we have gotten initial
	  position/size stuff.  Fixes autohide panels from jumping to the
	  other side of the screen on startup.

	* panel-struts.c: correctly position panels in their strut according
	  to the orientation, fixes expanded autohide panels.  All
	  hidden/animating panels are still broken if around other struts.

==================== 2.3.6 ====================

2003-08-07  Arvind Samptur  <arvind.samptur@wipro.com>

	* panel-background.c: (panel_background_set_image):
	Get the panel to upadate to the new image selected
	by the user. Fixes bug #119320

2003-08-07  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* panel-menu-bar.c: (panel_menu_bar_instance_init):
	Use semicolon at end of line, not colon.

2003-08-06  Mark McLoughlin  <mark@skynet.ie>

	Patch from Glynn Foster.

	* applet.[ch]:
	(panel_applet_lock): make the remove item insensitive if
	locked.
	(panel_applet_create_menu),
	(panel_applet_register): keep track of the remove item.
	
	* panel-applet-frame.c: (panel_applet_frame_sync_menu_state):
	make the remove item insensitive if locked.

2003-08-06  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: add panel-struts.[ch].
	
	* panel-struts.[ch]: re-implement some degree of "collision
	avoidance" - i.e. keep panels from overlapping.

	* panel-toplevel.c:
	(panel_toplevel_update_struts): use it here and also fix
	struts on non-rectangular Xinerama.
	(panel_toplevel_update_position), (panel_toplevel_realize),
	(panel_toplevel_finalize), (panel_toplevel_set_auto_hide_size),
	(panel_toplevel_set_auto_hide): use the collision avoidance
	stuff here too.

Tue Aug 05 15:28:14 2003  George Lebl <jirka@5z.com>

	* launcher.[ch]: the theme icon stuff is now fixed in gnome-desktop
	  in a slightly nicer way anyway, so revert most of the changes from
	  here.

	* panel-properties-dialog.c: Fixup the code a bit according to mark,
	  and refer to bug #119209 in the code.  Also handle the case where
	  no icon is set at first (in this case normally we also want to
	  theme).

Mon Aug 04 16:52:07 2003  George Lebl <jirka@5z.com>

	* panel-background.c: fix image rotation to be 64bit safe, do
	  rotation for non-alpha images as well, fix for pixbufs with
	  rowstride != width.  Don't do the whole transformation
	  thing unless needed, don't do compositing onto the
	  desktop unless needed.  Fixes really REALLY slow moving if
	  using a background image on non-expanded panels.

	* panel-profile.c: fix the notify for "rotate" key

Fri Aug 01 18:00:51 2003  George Lebl <jirka@5z.com>

	Changes to fix bugs: rh #101304, gnome #116586

	* button-widget.[ch], drawer.c, launcher.c, panel-menu-button.c:
	  The button-widget now can have both stock id and a filename set,
	  using the stock id in case the filename is not found, makes the
	  missing icon logic much simpler and don't need to look up icons
	  everywhere.

	* button-widget.c, drawer.c, launcher.c, panel-menu-button.c:
	  don't resolve the icon names if not needed (and it's not needed
	  for button-widget).  Only lookup the icon in the theme by
	  basename if the icon is not an absolute pathname (or as a backup).

	* panel-properties-dialog.c, launcher.[ch]: When letting the user
	  change the icon resolve the icon name against the current theme,
	  then if the user picked an icon in the same directory as the 
	  resolved icon, assume that we really want the themed icon so only
	  store the basename, otherwise store the full path.

	* panel-profile.c: make sure not to call a gconf set_string with
	  a NULL argument as gconf would complain

	* panel-menu-button.c: fix minor memleak

Fri Aug 01 15:37:02 2003  George Lebl <jirka@5z.com>

	* panel-menu-bar.c: catch and intercept all button_press_events on
	  the two toplevel menus to avoid them going all the way to the
	  menubar.  Fixes #111313 where right clicking on dead space in
	  the menus could bring up confusingly the applet menu.  Very
	  important bugfix indeed, but I think I have a fever, so I'm
	  allowed to fix just simple stuff.

2003-08-01  Arvind Samptur  <arvind.samptur@wipro.com>

	* panel-recent.c: (recent_documents_activate_cb):
	Determine the screen after the widget has been realized
	else you land up with a wrong screen number.
	Fixes bug #118697

	Patch from Leena Gunda (leena.gunda@wipro.com)

2003-07-31  Mark McLoughlin  <mark@skynet.ie>

	* panel-menu-button.c: (panel_menu_button_instance_init):
	Add back the tooltip.

2003-07-31  Mark McLoughlin  <mark@skynet.ie>

	* panel-menu-button.c: (panel_menu_button_load): re-enable
	that pesky little arrow.

2003-07-31  Mark McLoughlin  <mark@skynet.ie>

	Evil duplication of effort happening here. This reverts George's
	fix for #117710 (add entire menu as drawer) and uses a nicer fix
	I happened to be working on at the same time. No, I'm not a nice
	person.

	* drawer.[ch]:
	(panel_drawer_prepare): split out from panel_drawer_create()
	and allow preparing the attached toplevel before loading.
	(panel_drawer_create): upd.
	(panel_drawer_create_with_id): impl loading onto a toplevel
	with only the toplevels id.
	
	* launcher.[ch]:
	(panel_launcher_create_with_id): allow loading onto a toplevel
	with only its id.
	(panel_launcher_create): use with_id().
	
	* menu.c:
	(vfs_text_uri_exists): impl.
	(add_drawers_from_dir),
	(add_menudrawer_to_panel): re-implement to allow prepare the
	drawer, launchers and all sub-drawers and then load them all
	in one go.
	
	* panel.c: (drop_internal_applet): upd.
	
	* applet.c: (panel_applet_register): g_strdup is NULL tolerant.

2003-07-31  Mark McLoughlin  <mark@skynet.ie>

	* panel-profile.[ch]: (panel_profile_create_toplevel):
	Add a GdkScreen * argument and create the toplevel on
	that screen.
	
	* menu.c: (create_new_panel): create the toplevel on
	the correct screen.

Wed Jul 30 16:58:56 2003  George Lebl <jirka@5z.com>

	* launcher.c: fix #117130.  When icon is empty pass ""
	  as the icon.  This will force the button-widget code to
	  load the missing icon.

Wed Jul 30 15:14:20 2003  George Lebl <jirka@5z.com>

	* panel-widget.h, panel-toplevel.[ch]: make the get_panel_widget
	  method typesafe by including the PanelWidget typedef in the
	  header unless it has been typedeffed before.

	* menu.c, drawer.c, applet.c, panel.c: fix the add drawers from
	  menu thingie which should fix #117710 (all the other things
	  seem fixed already).

Wed Jul 30 12:50:28 2003  George Lebl <jirka@5z.com>

	* panel-util.c: in bug #117877 we saw 'foo' displayed since that
	  was the temporary text in the error dialog before the real
	  text was set.  Change that to be more meaningful (even though
	  not translated, since it's a really bad bug if it ever happens)

	* panel-menu-button.c: Don't ref/sink the menu when we make it,
	  since we attach it to the button the button will own a ref.
	  Also don't just unref to kill the menu, detach it, that will
	  take care of the reference as well.  Also disconnect the
	  signal handler in the detacher just in case something held
	  onto a reference of the menu somewhere.

	* panel-toplevel.c: Fixing bug #118368, where a vertical panel
	  that was floating (or stuck to the right side) and wasn't
	  expanded would gradually move to the top/left corner on
	  each restart.  Add geometry_updated_initial flag to the
	  private structure and don't do the position_centered
	  stuff if geometry was not yet updated since we're still
	  just setting initial values.

Tue Jul 29 18:27:48 2003  George Lebl <jirka@5z.com>

	* button-widget.c, launcher.c, menu.c, menu-ditem.c, panel-action-button.c,
	  panel-recent.c, panel-run-dialog.c, panel-shell.c, panel-util.c:
	  Fixed crashes on two panel_error_dialog invocations that weren't
	  quite converted.  Also never NEVER use an error message we got
	  from somewhere else as a format, that way lie crashes and security
	  problems.

2003-07-24  Alex Duggan  <aldug@astrolinux.com>

	* panel-toplevel.schemas.in: s/indentify/identify/
	Fixes #117993

==================== 2.3.4.1 ====================

2003-07-24  Mark McLoughlin  <mark@skynet.ie>

	Remove visible mnemonics from the Actions menu and Add to Panel
	menus. Based on patch from Glynn.

	* menu-util.[ch]: (stock_menu_item_new): huh ? Why on earth
	is there a function that looks like setup_stock_menu_item,
	but isn't. Dammit, we don't need code duplication.
	
	* menu.[ch]:
	(applet_menu_append), (applet_menu_append_category),
	(make_add_submenu): remove visible mnemonics.
	(setup_stock_menu_item): make public

	* panel-menu-bar.c:
	(panel_menu_bar_append_action_item): use setup_stock_menu_item().
	(panel_menu_bar_append_actions_menu): remove visible mnemonics.
	
	* panel-recent.c:
	(panel_recent_append_documents_menu): use setup_stock_menu_item()
	and remove the visible mnemonic.

2003-07-24  Mark McLoughlin  <mark@skynet.ie>

	Fix problem where the context menu for the menu bar pops
	up in the wrong place. Based on a patch from Glynn in
	bug #111313.

	* menu-util.c: (panel_position_applet_menu): only position
	the menu relative to the panel for NO_WINDOW widgets.

	(panel_menu_bar_parent_set): replace stupid warning with
	an assertion.
	
2003-07-24  Mark McLoughlin  <mark@skynet.ie>

	Fixes weirdness where sometimes the drawer panel, when
	it is hidden, is above the drawer button.
	
	* panel-toplevel.c:
	(panel_toplevel_update_animating_position): unmap the
	attached toplevel at the end of the animation.
	(panel_toplevel_start_animation): re-map it here before
	starting the animation.
	(panel_toplevel_hide): move raising the parent toplevel
	to just after re-mapping the attached toplevel.

2003-07-24  Mark McLoughlin  <mark@skynet.ie>

	Fixes drawers getting destroyed when you create
	a new panel.
	
	* panel-profile.c:
	(panel_profile_load_added_ids): s/toplevel_id/id/
	(panel_profile_toplevel_id_list_notify): don't pass 
	attached toplevels as being part of the existing
	toplevel_id_list.
	
2003-07-24  Mark McLoughlin  <mark@skynet.ie>

	* button-widget.c:
	(button_widget_set_orientation): force a re-scale of the button.
	Fixes rectangular buttons not re-scaling on vertical panels.
	
2003-07-24  Mark McLoughlin  <mark@skynet.ie>

	Fix launchers and action buttons not re-sizing when you move
	them onto a vertical panel.
	
	* panel.c: (orientation_change): change the orientation
	on launchers and action buttons too.

	* drawer.[ch]: (panel_drawer_use_custom_icon_changed),
	(panel_drawer_custom_icon_changed): upd.
	(set_drawer_applet_orientation): kill.
	
	* panel-menu-button.[ch]:
	(panel_menu_button_set_icon): upd.
	(panel_menu_button_change_orientation): kill.

	* launcher.c: (setup_button): upd.
	
	* button-widget.[ch]:
	(button_widget_get_property),
	(button_widget_set_property), (button_widget_class_init),
	(button_widget_new), (button_widget_new_from_stock),
	(button_widget_set_icon_name), (button_widget_get_icon_name),
	(button_widget_set_stock_id), (button_widget_get_stock_id),
	(button_widget_set_orientation), (button_widget_get_orientation),
	(button_widget_set_has_arrow), (button_widget_get_has_arrow),
	(button_widget_set_dnd_highlight),
	(button_widget_get_dnd_highlight): re-implement properties for
	ButtonWidget to make it much more sane. Say bye-bye to cruft
	like button_widget_change_params().
	
2003-07-23  Mark McLoughlin  <mark@skynet.ie>

	Implement a properties dialog for drawers based on the
	standard panel properties dialog. Fixes bug #107606.

	* applet.[ch]:
	(applet_callback_callback): present the panel properties
	dialog.
	(panel_applet_get_id_by_widget): impl.
	* applet.h:
	
	* drawer.[ch]:
	(add_drawer_properties_page): remove old #ifdefed out drawer
	properties cruft.
	(destroy_drawer): remove the GConf listeners.
	(free_drawer): kill.
	(create_drawer_applet): pass in the use_custom_icon flag. Also
	set the toplevel name to be the same as the tooltip.
	(panel_drawer_use_custom_icon_changed),
	(panel_drawer_custom_icon_changed),
	(panel_drawer_tooltip_changed),
	(panel_drawer_connect_to_gconf): impl monitoring for changes
	in config.
	(load_drawer_applet): pass the parcel.
	(drawer_load_from_gconf): read use_custom_icon.
	
	* panel-profile.[ch]:
	(panel_profile_get_attached_object_key),
	(panel_profile_set_attached_custom_icon),
	(panel_profile_get_attached_custom_icon),
	(panel_profile_is_writable_attached_custom_icon),
	(panel_profile_set_attached_tooltip),
	(panel_profile_get_attached_tooltip),
	(panel_profile_is_writable_attached_tooltip): implement.

	* panel-properties-dialog.c: (get_name),
	(panel_properties_dialog_name_changed),
	(panel_properties_dialog_setup_name_entry): handle
	setting the tooltip and name on drawers.
	(panel_properties_dialog_setup_size_spin),
	(panel_properties_dialog_icon_changed),
	(panel_properties_dialog_setup_icon_entry): impl. then
	icon entry.
	(panel_properties_dialog_remove_orientation_menu),
	(panel_properties_dialog_remove_icon_entry),
	(panel_properties_dialog_remove_toggles),
	(panel_properties_dialog_update_for_attached): impl. removing
	bits when they aren't relevant. Kinda sucky.
	(panel_properties_dialog_new): upd.
	
	* panel-properties-dialog.glade: add an icon entry and name
	a few widgets.
	
	* panel-toplevel.[ch]:
	(panel_toplevel_get_attach_toplevel),
	(panel_toplevel_get_attach_widget): impl.

2003-07-22  Mark McLoughlin  <mark@skynet.ie>

	Remove auto-hiding into the corner again. It seems the
	only people who like it are people who don't use
	autohide panels :-) The main fault with it seems to
	be that you have to do a lot of tricky manoevouring
	to put you mouse into the corner and then bring it
	back to whatever you wanted on the panel. See #81843.

	* panel-toplevel.c:
	(panel_toplevel_update_struts): fix struts weirdness
	with autohide panels.
	(panel_toplevel_update_auto_hide_position): don't
	hide into corners any more.
	(panel_toplevel_start_animation): hmm,
	MAX (func (x), func (y)) isn't very efficient is it
	now ? Also, don't take into account the end width and
	height when they are -1 - fixes slowness in hiding.
	(panel_toplevel_enter_notify_event),
	(panel_toplevel_leave_notify_event),
	(panel_toplevel_instance_init): kill code to figure out
	which corner to hide to based on the last leave notify.

2003-07-22  Arvind Samptur  <arvind.samptur@wipro.com>

	* panel-run-dialog.c : Get rid of panel_run_dialog_free() 
	as it is not adding any value.  Fixes crash #114799

2003-07-21  Mark McLoughlin  <mark@skynet.ie>

	* panel-menu-button.c: (panel_menu_button_create): fix typo
	when creating a panel menu. Patch from Mohamed El Ayouty in
	bug #117766.

2003-07-17  Dennis Cranston <dennis_cranston at yahoo com>

	* gnome-panel-preferences.glade:  Fix the window icon.

2003-07-16  Dennis Cranston <dennis_cranston at yahoo com>

	* gnome-panel-preferences.glade:  Make close the default button.
	
2003-07-16  Dennis Cranston <dennis_cranston at yahoo com>

	* gnome-panel-preferences.glade:  Adjust widget padding 
	according to the HIG.
	
Wed Jul 16 10:25:42 2003  George Lebl <jirka@5z.com>

	* main.c, menu-util.[ch], menu.[ch], panel-globals.h, panel-menu-bar.c,
	  panel-stock-icons.[ch]:  whack the KDE menus.  These are the old
	  style menus anyway and KDE menus should be merged by the vfolder
	  stuff anyway.

Wed Jul 16 10:01:21 2003  George Lebl <jirka@5z.com>

	* panel-stock-icons.c: if the stock icon is "go" and we don't find
	  it, don't warn.  This is a KDE icon, so it is normal that it is
	  not installed.  And if KDE is not installed we won't have the
	  KDE menu anyway so it won't be used either.  Just ignore this
	  just like we ignore PANEL_STOCK_ACTION now.

2003-07-16  Mark McLoughlin  <mark@skynet.ie>

	* panel-stock-icons.c:
	* panel-stock-icons.h: remove PANEL_STOCK_ARROW definitions.
	Fixes "panel-stock-arrow-right" not found warnings.

2003-07-15  Mark McLoughlin  <mark@skynet.ie>

	* panel-applet-frame.c:
	(panel_applet_frame_construct): no need to ref the connection
	here. Removes dependancy on ORBit 2.7.x.

==================== 2.3.4 ====================

2003-07-15  Mark McLoughlin  <mark@skynet.ie>

	Make the items in the Main Menu have invisible mnemonics too.
	Fixes bug #117457.

	* menu.[ch]:
	(setup_full_menuitem): add an extra "invisible_mnemonic"
	arg and if true make the first character of the menu item
	a hidden accelerator.
	(create_root_menu): use it here for the Main Menu.

	* applet.c: upd.

Mon Jul 14 10:22:39 2003  George Lebl <jirka@5z.com>

	* panel-properties-dialog.(c|glade): Add warning label if some of the
	  properties are locked down so that the user isn't just baffled that
	  they are insensitive, also change the g_asserts that I added into
	  g_return_if_fails which are less anal

	* applet.c: if say the background property is not locked down, the
	  panel_right_stick and position properties of an applet can still
	  change, so check for writability of those before writing them

2003-07-14  Mark McLoughlin  <mark@skynet.ie>

	* panel-applet-frame.c: (panel_applet_frame_change_size):
	normalise the applet size to the values defined in the
	IDL so we don't break some applets. What a mess.
	
	* panel-util.h: remove the G_GNUC_PRINTF stuff for 
	panel_error_dialog since we've obfuscated the function
	enough now that the compiler can't have a hope of
	knowing what we're at.

2003-07-14  Mark McLoughlin  <mark@skynet.ie>

	* panel-run-dialog.c:
	(set_window_icon_from_stock): impl.
	(panel_run_dialog_set_icon),
	(panel_run_dialog_setup_pixmap): use PANEL_STOCK_RUN
	instead of GTK_STOCK_EXECUTE.
	(panel_run_dialog_new): set the window icon appropriately.
	
	* panel-run-dialog.glade: don't set the stock icon here.

2003-07-13  Christian Neumair  <chris@gnome-de.org>

	* panel-toplevel.schemas.in: Third and hopefully last string adaption.
	Menthos rocks.

2003-07-12  Christian Neumair  <chris@gnome-de.org>

	* panel-toplevel.schemas.in: Fixed string I borked during the last
	cleanup round (#116897).

	* menu-ditem.c: My last patch (#113433) destroyed a string semantically.
	Fix this.

2003-07-11  Christian Neumair  <chris@gnome-de.org>

	* launcher.c:
	* menu-ditem.c:
	* menu.c:
	* panel-action-button.c:
	* panel-recent.c:
	* panel-run-dialog.c:
	* panel-util.[ch]: (panel_error_dialog): Revamp error dialog
	construction. Now we have a primary and a secondary format message and
	set the appropriate pango attributes (#113433).

2003-07-11  Mark McLoughlin  <mark@skynet.ie>

	* panel-stock-icons.h: change the default icon
	size to 24x24. See bug #114920.

2003-07-08  Mark McLoughlin  <mark@skynet.ie>

	Modified version of excellant patch from
	Rob Adams <robadams@ucla.edu> in bug #116025.

	* panel-xutils.[ch]: (panel_xutils_set_strut): support
	new EWMH hint _NET_WM_STRUT_PARTIAL.

	* panel-multiscreen.[ch]:
	(panel_multiscreen_is_at_visible_extreme): new function
	determines whether a given monitor is along the visible
	edge of the logical screen.
	
	* panel-toplevel.c (panel_toplevel_update_struts):
	support new panel_xutils_set_strut().
	(panel_toplevel_get_monitor_geometry): Change function to
	also get origin of monitor so we can do a more accurate
	heuristic for "on the edge"

2003-07-09  Christian Neumair  <chris@gnome-de.org>

	* panel-general.schemas.in:
	* panel-object.schemas.in:
	* panel-toplevel.schemas.in: Fixed scattered typo bugs filed by
	Christian Rose: #116878, #116883, #116884, 116897, #116899, #116924.

Tue Jul 08 16:44:02 2003  George Lebl <jirka@5z.com>

	* panel-applet-frame.c: Handle more errors in the constructor.  Still
	  ORBit/Bonobo is broken and crashes, I have a workaround in mind if,
	  they don't get fixed.  When the applet whacks out during the
	  construct we now handle it in the same way as if we can't activate
	  the applet with a gui dialog.  Don't connect to the broken signal
	  until we're all done with init.

	* panel-widget.c: detach attached toplevel on remove and attach it on
	  add.  Fixes moving of drawers from one panel to another.

Tue Jul 08 10:35:41 2003  George Lebl <jirka@5z.com>

	* menu.c: when hierarchy changed, remove old mnemonic before adding
	  it to the new window avoids warning on exit and likely bad
	  behaviour when reparenting things.

	* panel-applet-frame.c: avoid crash/warning by only checking the
	  locked flag while the widget and info structure still exists,
	  for the reload-if-applet-crashes code.

Tue Jul 08 09:50:24 2003  George Lebl <jirka@5z.com>

	* panel-gconf.c: when cleaning a directory don't clean keys we can't
	  write

2003-07-07  Mark McLoughlin  <mark@skynet.ie>

	* gnome-panel-screenshot.schemas.in:
	* panel-general.schemas.in:
	* panel-global.schemas.in:
	* panel-object.schemas.in:
	* panel-toplevel.schemas.in: much work on keys
	documentation to make it more consitent, fix
	typos and use correct terminology. Patch from
	Christian Neumair in bug #112527.

2003-07-07  Mark McLoughlin  <mark@skynet.ie>

	Add mnemonics to the Applications, Actions and "Add to Panel"
	menus, but make the ones in Applications invisible. Based 
	on a patch from Muktha in bug #72008.
	
	* menu.c:
	(setup_mnemonic), (setup_invisible_mnemonic): implement
	setting a mnemonic for a menu item without actually
	underlining the appropriate character.
	(create_menuitem): set an invisible mnemonic.
	(applet_menu_append), (applet_menu_append_category),
	(make_add_submenu): use visible mnemonics here.
	
	* menu-util.c: (stock_menu_item_new): allow mnemonics.
	
	* panel-menu-bar.c: (panel_menu_bar_append_actions_menu):
	add mnemonics to the Actions menu.
	
	* panel-recent.c: (panel_recent_append_documents_menu):
	add mnemonic.
	
2003-07-07  Mark McLoughlin  <mark@skynet.ie>

	Pre-load some directories that weren't previously being
	loaded. Should improve startup time significantly.
	
	* panel-profile.c:
	(panel_profile_load_toplevel): preload the background
	directory explicitly. Recursive preloading never worked.
	(panel_profile_load_object): preload the applet's
	directories too.

2003-07-05  Dennis Cranston <dennis_cranston at yahoo com>

	* menu-ditem.c: (panel_new_launcher)  Adjust padding of 
	the 'Create Launcher' dialog used by nautilus.  This 
	should cover all the launcher dialogs.
	
2003-07-05  Dennis Cranston <dennis_cranston at yahoo com>

	* menu-ditem.c: (panel_edit_dentry, panel_edit_direntry)  
	Adjust padding of two more 'Launcher Properties' dialogs.

2003-07-03  Rajkumar Sivasamy  <rajkumar.siva@wipro.com>

	* button-widget.c: Make panel-buttons that use stock icons 
	to respect theme changes.
	Fixes bug: 116452

2003-07-03  Mark McLoughlin  <mark@skynet.ie>
	
	* menu.[ch]:
	(panel_create_menu): rename from panel_menu_new().
	(menu_new): upd.

	* applet.c: (setup_an_item), (add_to_submenus),
	(panel_applet_create_menu):
	* panel-menu-bar.c: (panel_menu_bar_append_actions_menu):
	* panel-recent.c: (panel_recent_append_documents_menu):
	update.

	* panel-frame.c: fix comment.

Wed Jul 02 16:08:23 2003  George Lebl <jirka@5z.com>

	* panel-widget.c: when panel is destroyed make sure that the
	  master's widget associated key is wiped so that we don't
	  try to access freed data and crash (fixes crash and/or warning
	  on exit when drawers are present)

	* drawer.c: when our toplevel is destroyed, set the
	  toplevel member to NULL and whack the button.  Fixes
	  crash and/or warning on exit when drawers are present.

Wed Jul 02 11:43:26 2003  George Lebl <jirka@5z.com>

	* panel-applet-frame.c: when creating new applets be more careful
	  about errors and null returns if they can possibly happen, and
	  fix a leak when this happens

	* panel-widget.c: the time on events with send_event (hand generated
	  events) seems to be bogus for the drag start and so just
	  use GDK_CURRENT_TIME in this case.  This fixes dragging applets
	  like fish and window-list for me.

2003-07-02  Mark McLoughlin  <mark@skynet.ie>
	
	* panel-stock-icons.[ch]: add a new stock id "panel-main-menu"
	pointing to the gnome-main-menu icon to allow the main menu
	icon to be themed seperately from the GNOME logo.

	* menu.c: (make_add_submenu):
	* panel-menu-button.c: (panel_menu_button_instance_init),
	(panel_menu_button_set_icon), (panel_menu_button_set_dnd_enabled):
	Use PANEL_STOCK_MAIN_MENU.

==================== 2.3.3.3 ====================

2003-07-02  Mark McLoughlin  <mark@skynet.ie>

	Patch from Daniel Baeyens in bug #114603.

	* panel-toplevel.schemas.in: consistently use "three" instead
	of "3".

2003-07-02  Mark McLoughlin  <mark@skynet.ie>

	Patch from Fernando Herrera in bug #115572.

	* gnome-panel-screenshot.c: (take_window_shot): fix problem
	with taking a window screenshot when the window is overlapped
	by showing the window before taking the shot.

2003-07-02  Mark McLoughlin  <mark@skynet.ie>

	Patch from Christophe Fergeau in bug #113238.

	* gnome-desktop-item-edit.c:
	* menu-ditem.c:
	* menu-fentry.c:
	* panel-util.c: remove unnecessary gnome-vfs includes.

2003-07-02  Mark McLoughlin  <mark@skynet.ie>

	Based on patch from Kaushal Kumar in bug #114565.

	* panel-shell.c: (panel_shell_register): register the
	panel shell as per display, not per screen.

2003-07-02  Mark McLoughlin  <mark@skynet.ie>

	 Based on patch from Mark Finlay in bug #114056.

	* menu.c: (show_about_dialog): make the about dialog much more
	sane (or boring from George's POV :-). no "End World Hunger"
	link, no picture of a goat, no talk about random X crashes,
	no Monty Python reference and make the credits list alphabetically
	sorted.

2003-07-02  Mark McLoughlin  <mark@skynet.ie>

	* applet.c: make panel_applet_have_load_idle static.
	
2003-07-01  Mark McLoughlin  <mark@skynet.ie>

	Fix bug #109374. When no panel's are found in the default
	configuration, show a fallback panel so we don't end up
	with a running panel process and no panels.

	This seems to be getting reported a fair bit, so I reckon
	packagers mustn't yet have twigged about installing the
	default configuration using gconftool-2 --load. Your post
	install magic should be something like this:

	gconftool-2 --direct
	            --config-source=$GCONF_CONFIG_SOURCE
	            --load %{_sysconfdir}/gconf/schemas/panel-default-setup.entries

	* panel-profile.c:
	(panel_profile_find_new_id): assert that we always return
	an id.
	(panel_profile_copy_defaults_for_screen): fix using the
	wrong key for the schemas location.
	(panel_profile_create_fallback_toplevel_list): impl returning
	a list of fallback toplevels. Currently just a single toplevel
	according to the schemas defaults with no objects.
	(panel_profile_load_defaults_on_screen): if we can't find any
	toplevels in the default configuration, load a fallback panel.
	(panel_profile_ensure_toplevel_per_screen): kill FIXME.
	
2003-07-01  Mark McLoughlin  <mark@skynet.ie>

	Fix issue with drawer panels not getting deleted when
	you delete the drawer button.

	* drawer.[ch]:
	(destroy_drawer): actually destroy the toplevel instead
	of just detaching it.
	(panel_drawer_delete): kill.

	* applet.c:
	(panel_applet_clean): don't call panel_drawer_delete().
	
Tue Jul 01 16:54:53 2003  George Lebl <jirka@5z.com>

	* panel-applet-frame.c: only delete the applet from config (when we
	  can't load) if we can actually write to the applets list

Tue Jul 01 16:00:06 2003  George Lebl <jirka@5z.com>

	* applet.[ch], panel-profile.c: kill reentrancy issues on the
	  applet loading idle.  When we get a notify for new applets to load,
	  don't add the ones already on the load queue.  This should fix
	  issues when dealing with applets that don't want to load for
	  some reason.

2003-07-01  Mark McLoughlin  <mark@skynet.ie>

	Fix location of arrow on non-rectangular menu buttons and
	fix problem where you can't make the panel smaller because
	launchers etc. refuse to get smaller.

	* button-widget.c:
	(draw_arrow), (button_widget_expose): redo the calculation
	of arrow co-ordinates to not assume the icon is square.
	
	* panel-widget.[ch]:
	(panel_widget_size_request): if an applet has its size
	constrained don't increase the panel's requisition if the
	applet's requisition is larger.
	(panel_widget_add): initialize size_constrained.
	(panel_widget_set_applet_size_constrained): add per-applet
	flag to specify whether the panel should expand when an
	applet is larger than the panel.
	
	* panel-applet-frame.c:
	(panel_applet_frame_load): set size_constrained.
	(panel_applet_frame_size_constrain),
	(panel_applet_frame_size_request): don't constrain the
	applet's size here.
	
	* drawer.c: (load_drawer_applet):
	* launcher.c: (load_launcher_applet):
	* panel-action-button.c: (panel_action_button_load):
	* panel-menu-button.c: (panel_menu_button_load): set
	size_constrained.

==================== 2.3.3.2 ====================

2003-07-01  Mark McLoughlin  <mark@skynet.ie>

	* panel-default-setup.entries: make the default panel's
	be 32 pixels wide instead of 24. Turns out we were
	unwittingly adding an extra 6 pixels before anyway so ...

2003-07-01  Mark McLoughlin  <mark@skynet.ie>

	* button-widget.[ch]:
	(button_widget_load_pixbuf_and_scale),
	(button_widget_reload_pixbuf), (button_widget_expose),
	(button_widget_size_request), (button_widget_size_allocate),
	(button_widget_instance_init): allow rectangular buttons and
	make the button fully occupy the panel height.
	
	* panel-frame.c: (panel_frame_size_request): only request
	room to draw bevels for the edges on which we are actually
	going to draw the bevels.
	
	* panel-toplevel.c:
	(panel_toplevel_update_size): only request room to draw bevels
	for the edges on which we are actually going to draw the bevels.
	(panel_toplevel_size_request): don't chain up to GtkWindow's
	size_request, just ask the child for its requisition.
	
	* drawer.c: (load_drawer_applet):
	* launcher.c: (load_launcher_applet):
	* panel-menu-button.c: (panel_menu_button_load):
	* panel-action-button.c: (panel_action_button_load): set the
	expand_minor flag.

2003-07-01  Mark McLoughlin  <mark@skynet.ie>

	* button-widget.[ch]: remove the size property and args to
	the constructors. We weren't using it anywhere.

	* drawer.c: (create_drawer_applet):
	* launcher.c: (create_launcher): upd.

2003-07-01  Mark McLoughlin  <mark@skynet.ie>

	* panel-applet-frame.c: (panel_applet_frame_event_listener):
	kill debug spew.

Mon Jun 30 14:56:23 2003  George Lebl <jirka@5z.com>

	* panel-profile.[ch], panel-run-dialog.c: if we can't set the
	  show_program_list thing, make the checkbox insensitive

Mon Jun 30 14:17:22 2003  George Lebl <jirka@5z.com>

	* menu.c: only setup internal dragging of applets/objects if the
	  relevant gconf lists are actually writable.

	* panel.c: on drop check if we can actually do the action requested,
	  and if not run the gdk_drag_finish with FALSE for success.  It
	  would be nicer to just not allow the drop in the first place but
	  this would likely have a performance hit unless we did lots of
	  work on caching the writability info which is probably an overkill.

Mon Jun 30 11:25:29 2003  George Lebl <jirka@5z.com>

	* applet.[ch], panel-applet-frame.c: add
	  panel_applet_can_move_freely and panel_applet_lockable, which
	  tests the writability of the keys needed for such actions.
	  The bonobo applets now make use of this and the objects now
	  also grey out respective menuitems.

	* panel-widget.c: Check for freely being movable before starting
	  a move.  (act as locked if we can't write any of the keys, needed
	  for moving)

	* menu.c: the menu rightclick options now respect key-writability

	* launcher.[ch]: When we can't hoard a launcher (when the location
	  key is non-writable), make the whole entry non-writable.  Doesn't
	  affect already hoarded launchers, but if you set the location to
	  somewhere else and make it mandatory, that prevents the properties
	  from coming up (since we couldn't edit it anyway).

	* panel-util.c: in the help showing code there was some error
	  badness.  Now only show the first error set if nothing succeeded,
	  as not to have GError complain, and also clear error if a 
	  failover succeeded.

2003-06-30  Padraig O'Briain  <padraig.obriain@sun.com>

	* menu.c (panel_make_sure_menu_within_screen): Omit call to
        our_gtk_menu_position as it is being called twice.

Fri Jun 27 17:19:04 2003  George Lebl <jirka@5z.com>

	* applet.c: (panel_applet_save_position) Only set things which are
	  different.  This helps out if some of these are not writable,
	  and some are.  Though we should have a dirty flag to handle this.

	* menu.c, panel-profile.[ch]:  Add panel_profile_list_is_writable
	  to check writability of one of the lists, When the applets and
	  the object lists are not writable don't allow removing or adding
	  of things.

	* panel-applet-frame.c: for bonobo applets check the keys
	  related to moving/removing/locking and disable those commands
	  if those are not possible.  When applet dies and the user
	  wants to not-reload it, but we can't write to the applets
	  list, don't remove it, but don't reload it either.

	* panel-toplevel.c, panel-profile.[ch]: add
	  panel_profile_can_be_moved_freely which checks a bunch of
	  keys for a toplevel to be able to move with the cursor.
	  We could do this more finegrained, but for now this should
	  at least work right without gconf errors from mandatory
	  settings.

Fri Jun 27 12:47:58 2003  George Lebl <jirka@5z.com>

	* panel-toplevel.c: if orientation is not writable, then don't allow
	  moving as that would change orientation, same with size and
	  resizing.  So panels themselves should now be pretty much
	  lockdownable by mandatory settings.

Fri Jun 27 12:11:30 2003  George Lebl <jirka@5z.com>

	* panel-profile.[ch], panel-properties-dialog.(c|glade):  Finish
	  "key-writability", that is, if keys are not writable, then don't
	  let the gui elements that change those keys be sensitive.

Thu Jun 26 18:43:38 2003  George Lebl <jirka@5z.com>

	* panel-profile.[ch], panel-properties-dialog.c: key-writability
	  changes for a few toggles.  I think I got the properties setup of
	  panel figured out now.

Thu Jun 26 11:17:59 2003  George Lebl <jirka@5z.com>

	* gnome-panel-preferences.c: When keys become non-writable (when this
	  changes), then also (de)sensitize things.  And listen for the lock-down
	  key changes (this key should be renamed and mentioned in a scheme
	  I would say)

	* gnome-panel-preferences.c: If we can't load the .glade file, exit
	  after displaying the error instead of crashing.

Wed Jun 25 17:09:09 2003  George Lebl <jirka@5z.com>

	* gnome-panel-preferences.c: when a key is not writable make that gui
	  element insensitive.  Also don't compare bools with a '=' since
	  that may not always work, so be anal and do the right thing.

2003-06-24  Rajkumar Sivasamy  <rajkumar.siva@wipro.com>

	* button-widget.c: Draw button-widget focus line with
	state GTK_STATE_NORMAL.
	Fixes Bug: 109887	

2003-06-23  Mark McLoughlin  <mark@skynet.ie>

	Fix #114962 by delaying reading the size hints and flags
	properties and by monitoring for changes on the property
	bag. Also remove the many synchronous reads on the property
	bag, which should speed up startup.

	* panel-applet-frame.c:
	(panel_applet_frame_set_flags_from_any),
	(panel_applet_frame_set_size_hints_from_any),
	(panel_applet_frame_init_properties): impl reading the
	properties and setting them on the PanelWidget.
	(panel_applet_frame_load): read the properties after
	adding to the PanelWidget.
	(panel_applet_frame_get_flags),
	(panel_applet_frame_update_expand_flags),
	(panel_applet_frame_get_size_hints): kill.
	(panel_applet_frame_change_orientation),
	(panel_applet_frame_change_size),
	(panel_applet_frame_change_background): use macros for
	property names.
	(panel_applet_frame_paint): don't do a sync read on
	the property.
	(panel_applet_frame_constrain_size): don't update the
	expand flags.
	(panel_applet_frame_size_request),
	(panel_applet_frame_size_allocate),
	(panel_applet_frame_button_changed): no more sync reads.
	(panel_applet_frame_instance_init),
	(panel_applet_frame_event_listener),
	(panel_applet_frame_construct): monitor for changes on
	properties.
	
	* panel-widget.[ch]:
	(panel_widget_size_request): don't read the size hints
	here.
	(panel_widget_set_applet_expandable): nomalize the bools.
	(panel_widget_set_applet_size_hints): implement.
	
2003-06-19  Dennis Cranston <dennis_cranston at yahoo com>

	* launcher.c: (ask_about_launcher)  Adjust padding
	and remove separator of the create launcher dialog.

2003-06-19  Dennis Cranston <dennis_cranston at yahoo com>
	
	* panel-properties-dialog.glade:  Minor HIG fixes
	to widget padding.

2003-06-18  Dennis Cranston <dennis_cranston at yahoo com>

	* launcher.c: (create_properties_dialog)  Adjust padding 
	and remove separator of the launcher properties dialog.
	
	* panel-util.c: (panel_dialog)  Remove the separator.
	
2003-06-19  Mark McLoughlin  <mark@skynet.ie>

	Remove panel help from launcher's context menus.
	Fixes bug #96350.

	* applet.c: (applet_callback_callback): don't
	add help callback.
	
	* launcher.c: (load_launcher_applet): don't handle
	help callback.

2003-06-18  Mark McLoughlin  <mark@skynet.ie>

	* menu.c: (create_root_menu):
	* panel-menu-bar.c: (panel_menu_bar_append_actions_menu):
	s/Screenshot.../Take Screenshot.../ bug #98904.

2003-06-17  Dennis Cranston <dennis_cranston at yahoo com>

	* gnome-panel-screenshot.glade:  Adjust widget padding
	according to the HIG and fix mnemonic conflict.

2003-06-12  Mark McLoughlin  <mark@skynet.ie>

	* panel-background-monitor.c:
	(panel_background_monitor_tile_background): special case
	tiling a 1x1 pixmap to increase speed greatly.
	
2003-06-12  Mark McLoughlin  <mark@skynet.ie>

	* main.c (main): enable svgs on the icon theme. Fix for
	bug #114706.
	
==================== 2.3.3.1 ====================

2003-06-12  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: install panel-default-setup.entries into
	%{sysconfdir}/gconf/schemas for want of a better place.
	They need to be installed for packages post install
	scripts.

2003-06-11  Mark McLoughlin  <mark@skynet.ie>

	* panel-toplevel.c:
	(panel_toplevel_attach_widget_destroyed): detach if the
	parent toplevel is destroyed.
	(panel_toplevel_disconnect_attached): guard against being
	invoked twice.
	(panel_toplevel_connect_attached)
	(panel_toplevel_attach_to_widget),
	(panel_toplevel_detach): move arrows reversal to here.
	(panel_toplevel_destroy): disconnect signals. Hopefully
	should fix crash in #113215.

2003-06-11  Mark McLoughlin  <mark@skynet.ie>

	Makes the minimum panel size relative to the font size.
	See bug #94026 and probably a few others.

	Also, with autohide panels, hide into the corner nearest
	the location where the mouse pointer left the panel.

	* panel-toplevel.c:
	(panel_toplevel_construct_description): fix warning.
	(panel_toplevel_update_auto_hide_position): calculate the
	autohide position taking into account the last leave
	notify co-ordinates.
	(calculate_minimum_height), (panel_toplevel_update_size):
	Calculate the minimum panel size based on the font size.
	(panel_toplevel_enter_notify_event),
	(panel_toplevel_leave_notify_event),
	(panel_toplevel_instance_init): store the leave notify
	co-ordinates.
	
	* panel-enums.h: move the orientation mask definitions to
	beside the orientation enum for clarity.

2003-06-10  Mark McLoughlin  <mark@skynet.ie>

	Re-order message construction throughout the panel so
	that Pango markup is not marked for translation. Patch
	from Thomas Benson <tbenson@cs.utk.edu> in #113433.

	* launcher.c: (launch_cb), (launcher_show_help):
	* menu-ditem.c: (ditem_properties_close),
	(really_add_new_menu_item):
	* menu.c: (about_gnome_cb), (activate_app_def), (remove_menuitem),
	(add_to_run_dialog), (show_help_on):
	* panel-run-dialog.c: (panel_run_dialog_launch_command),
	(panel_run_dialog_show_url):
	* panel-util.c: (panel_show_help), (panel_lock_screen):
	Don't translate pango markup.

2003-06-06  Ray Strode  <halfline@hawaii.rr.com>

	* panel-profile.c: 
	(panel_toplevel_update_description): Remove code that 
	constructs description piecewise, and instead call 
	panel_toplevel_construct_description to pull the description 
	from a static array, which is better for i18n (Bug #113383).
	(panel_toplevel_construct_description): New helper function.

==================== 2.3.3 ====================

2003-06-05 Mark Finlay <sisob@eircom.net>

	* panel-stock-icons.c: Use gnome-logout as
	the logout icon. bug #114061

2003-06-05  Ray Strode  <halfline@hawaii.rr.com>

	* applet.c: (panel_applet_set_dnd_enabled):
	Add legacy object types to switch statement (bug #113961).

2003-05-30  Ray Strode  <halfline@hawaii.rr.com>

	* panel-profile.c: (panel_profile_copy_defaults_for_screen):
	Use g_strdup_printf instead of panel_gconf_sprintf. Fixes 
	problem where schemas weren't always being associated with
	new toplevels (bug #113831).

2003-05-29  Mark McLoughlin  <mark@skynet.ie>

	* panel-toplevel.c: (panel_toplevel_class_init):
	s/miliseconds/milliseconds/. Actually do it this
	time. bug #113406.

2003-05-27  Mark McLoughlin  <mark@skynet.ie>

	* panel-widget.c: (panel_widget_reparent): if we can't
	find and empty spot, put it at the start. Fix for
	bug #11843 based on patch from Ray Strode.

2003-05-27  Ray Strode  <halfline@hawaii.rr.com>

	* panel-properties.c: 
	(panel_properties_dialog_new): Add return statement.
	
2003-05-26  Mark McLoughlin  <mark@skynet.ie>

	When adding with the keyboard, try and find a free
	spot rather than sticking it at the start of the
	panel.

	* applet.c: (panel_applet_register): don't set pos to 0.
	
	* panel-widget.c:
	(panel_widget_find_empty_pos),
	(panel_widget_add): allow -1.
	
	* panel.c: (panel_popup_menu): set insertion_pos to
	-1 if the current event isn't a button press.

2003-05-26  Mark McLoughlin  <mark@skynet.ie>

	* launcher.c: (load_launcher_applet): get the args to
	panel_applet_register() the right way around so adding
	launchers works properly again.

2003-05-26  Mark McLoughlin  <mark@skynet.ie>

	* panel-menu-button.c: (panel_menu_button_parent_set):
	Chain up to the parent so ButtonWidget's overlay window gets
	re-parented.

2003-05-26  Mark McLoughlin  <mark@skynet.ie>
	
	* panel-action-protocol.c: (panel_action_protocol_main_menu):
	Try to popup the applications menu or the main menu and only
	failing that popup a menu at the pointer location. bug #10733.
	
	* panel-menu-bar.[ch]:
	(panel_menu_bar_instance_init): deselect the menu item when
	the menu is hidden. Dunno why that needed the hack.
	(panel_menu_bar_popup_menu): impl.
	
	* panel-menu-button.[ch]:
	(panel_menu_button_popup_menu): make public.
	(panel_menu_button_get_use_menu_path): impl.
	
	* applet.[ch]: (panel_applet_get_by_type): impl finding the first
	applet of a given type.

2003-05-26  Mark McLoughlin  <mark@skynet.ie>

	* panel-properties-dialog.c: (panel_properties_dialog_update_name):
	don't g_free the return value of gconf_value_get_string.

2003-05-26  Mark McLoughlin  <mark@skynet.ie>

	Implement a "Lock" flag on applets so you can disable moving them
	about. Fixes bug #74997.

	* GNOME_Panel_Popup.xml: add a "Lock" menu item to the
	applets context menu.
	
	* applet.[ch]:
	(panel_applet_set_dnd_enabled): enable/disable dnd depending
	on whether or not an applet is locked.
	(panel_applet_toggle_locked), (panel_applet_lock),
	(panel_applet_create_menu), (applet_show_menu): implement the
	"Lock" menu item.
	(panel_applet_load_idle_handler),
	(panel_applet_queue_applet_to_load),
	(panel_applet_save_position): impl saving the flag to GConf.
	(panel_applet_register): pass the parcel.
	
	* panel-applet-frame.[ch]:
	(panel_applet_frame_sync_menu_state),
	(popup_handle_lock), (popup_handle_move): implement the "Lock"
	menu item.
	(panel_applet_frame_load),
	(panel_applet_frame_load_from_gconf),
	(panel_applet_frame_reload_response): pass the parcel.
	
	* panel-default-setup.entries: make all default applets locked.
	
	* panel-object.schemas.in: add the "locked" schema.
	
	* panel-profile.c: (panel_profile_load_object): read the locked
	flag from GConf.
	
	* panel-util.[ch]:
	(panel_g_list_insert_before),
	(panel_g_list_insert_after): impl.
	
	* panel-widget.[ch]:
	(panel_widget_cadd): add applets unlocked by default.
	(panel_widget_jump_applet_right),
	(panel_widget_switch_applet_right),
	(panel_widget_jump_applet_left),
	(panel_widget_switch_applet_left),
	(panel_widget_try_push_right),
	(panel_widget_get_right_jump_pos),
	(panel_widget_get_right_switch_pos),
	(panel_widget_try_push_left),
	(panel_widget_get_left_jump_pos),
	(panel_widget_get_left_switch_pos),
	(panel_widget_switch_move): modify the "switch mode" algorithm
	to take into account locked applets that might be allowed. Now
	its the "try switch, then jump, then push, then jump, then ..."
	mode.
	(panel_widget_push_applet_right), (panel_widget_push_applet_left):
	allow pushing an arbitrary amount.
	(panel_widget_push_move): don't push locked applets.
	(panel_widget_applet_drag_start_no_grab),
	(panel_widget_applet_drag_start): you can't move locked applets
	dammit.
	(panel_widget_nice_move): call get_free_spot() and kill the silly
	comment.
	(panel_widget_add): add locked flag.
	(panel_widget_reparent): when re-parenting look for the first free
	spot and queue a resize.
	(panel_widget_set_applet_locked),
	(panel_widget_get_applet_locked),
	(panel_widget_toggle_applet_locked): implement accessors.
	
	* drawer.[ch]: (create_drawer_applet), (load_drawer_applet),
	(drawer_load_from_gconf), (panel_drawer_set_dnd_enabled):
	Impl enabling/disabling dnd.
	
	* launcher.[ch]: (create_launcher), (load_launcher_applet),
	(launcher_load_from_gconf), (launcher_show_help),
	(panel_launcher_set_dnd_enabled): ditto.
	
	* panel-action-button.[ch]: (panel_action_button_get_property),
	(panel_action_button_set_property),
	(panel_action_button_class_init),
	(panel_action_button_instance_init), (panel_action_button_load),
	(panel_action_button_load_compatible),
	(panel_action_button_load_from_gconf),
	(panel_action_button_load_from_drag),
	(panel_action_button_set_dnd_enabled): ditto.
	
	* panel-menu-button.[ch]: (panel_menu_button_instance_init),
	(panel_menu_button_get_property), (panel_menu_button_set_property),
	(panel_menu_button_class_init), (panel_menu_button_load),
	(panel_menu_button_load_from_gconf),
	(panel_menu_button_change_orientation),
	(panel_menu_button_set_dnd_enabled): ditto.
	
	* panel-menu-bar.[ch]: (panel_menu_bar_load),
	(panel_menu_bar_load_from_gconf): pass the parcel.
	
2003-05-26  Mark McLoughlin  <mark@skynet.ie>

	* panel-util.[ch]: remove heaps and heaps of unused code.
	
	* gnome-desktop-item-edit.c: (main): use g_str_has_suffix and
	not our own home grown crack.
	
	* menu-ditem.c: (is_item_writable):
	* menu-fentry.c: (fr_fill_dir):
	* menu.c: (add_drawers_from_dir): ditto.
	
	* menu.h: upd.
	
2003-05-26  Ray Strode  <halfline@hawaii.rr.com>

        * panel-properties-dialog.c: 
	(panel_properties_dialog_setup_image_entry): Don't send NULL
	to gtk_entry_set_text. 
	(panel_properties_dialog_update_name): Don't send NULL to
	gtk_entry_set_text and plug a leak.

2003-05-26  Mark McLoughlin  <mark@skynet.ie>

	* drawer.c: (create_drawer_applet): use the drawer stock
	icon rather than the filename.

2003-05-26  Ray Strode  <halfline@hawaii.rr.com>

	* panel-toplevel.schemas.in: fix typo. 

2003-05-26  Mark McLoughlin  <mark@skynet.ie>

	* panel-xutils.c: (panel_xutils_set_strut): Use an array of
	longs not guint32s for a property change with format 32. Doh.
	Might well fix #113475.

2003-05-26  Mark McLoughlin  <mark@skynet.ie>

	* gnome-panel-screenshot.c: (main): save in ~/Desktop,
	not ~/.gnome-desktop.

2003-05-26  Ray Strode  <halfline@hawaii.rr.com>

	* panel-profile.c: (panel_profile_get_toplevel_orientation):
	Plug a leak I introduced when I fixed #112122 (Oops!). 

2003-05-25  Mark McLoughlin  <mark@skynet.ie>

	Patch from Ray Strode in bug #113663 to fix weirdness when
	deleting panels and creating new ones.

	* panel-profile.c:
	(panel_profile_queue_toplevel_location_change): fix typo.
	(panel_profile_delete_dir): stop monitoring the dir for
	changes.

2003-05-23  Mark McLoughlin  <mark@skynet.ie>

	Patch from Ray Strode in bug #112122 to fix a crash with the
	panel properties dialog.

	* panel-profile.c: (panel_profile_get_toplevel_orientation):
	Check we didn't get a duff orientation from GConf.

2003-05-22  Mark McLoughlin  <mark@skynet.ie>

	* panel-run-dialog.c:
	(get_url_from_input): kill. Turns out this ended up
	in gnome-vfs. Thanks Frank :-)
	(panel_run_dialog_execute),
	(pixmap_drag_data_get):
	use gnome_vfs_make_uri_from_input_with_dirs.

2003-05-21  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* menu.c (create_root_menu): change "Run Application" to
	"Run Application... " in a menu bar (#112337)

2003-05-21  Mark McLoughlin  <mark@skynet.ie>

	More typos reported by Christian Rose.

	* panel-bindings.c: (panel_bindings_initialise):
	s/dir/directory/. Bug #113380.
	s/error/Error/. Bug #113381.
	
	* panel-general.schemas.in:
	s/Ids/IDs/. Bug #113382.

2003-05-21  Mark McLoughlin  <mark@skynet.ie>

	Fix a couple of typos reported by Christian Rose.
	
	* panel-toplevel.c: (panel_toplevel_class_init):
	s/miliseconds/milliseconds/. Bug #113406.
	
	* panel-toplevel.schemas.in: s/opactity/opacity/.
	Bug #113398.

2003-05-20  Arvind Samptur <arvind.samptur@wipro.com>
	
	* panel-applet-frame.c: (panel_applet_frame_set_panel):
	When moving applets between panels, update
	PanelAppletFrame->priv->panel.
	(panel_applet_frame_get_panel): Gets the PanelWidget
	for the PanelApplerFrame. Added it now, could be useful
	in future.
	(panel_widget_reparent): If the applet is of type
	PANEL_OBJECT_BONOBO call panel_applet_frame_set_panel()
	with the new panel.

2003-05-20  Dennis Cranston <dennis_cranston at yahoo com>

	* panel-run-dialog.glade:  HIGify the dialog:  adjust widget 
	padding and remove separator.  Fix regression of bug #98908, 
	the application description should be left aligned.

2003-05-20  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: fix srcdir != builddir.

2003-05-20  Duarte Loreto <happyguy_pt@hotmail.com>

        * panel-toplevel.c: Fix typo (vertivcal).

2003-05-19  Mark McLoughlin  <mark@skynet.ie>

	* panel-run-dialog.[ch]:
	Random re-formatting foo and:
	(get_url_from_input): add from Frank's original libgnome
	patch. Seems it never got in.
	
2003-05-19  Frank Worsley <fworsley@shaw.ca>

	* panel-run-dialog.c
	* panel-run-dialog.h
	* panel-run-dialog.glade
	the sweet new run program dialog

	* Makefile.am:
	added in the new files

	* menu.c: (add_to_run_dialog):
	* panel-action-button.c: (panel_action_run_program):
	* panel-action-protocol.c: (panel_action_protocol_run_dialog):
	moved to new run dialog function names

	* panel-util.c: (panel_get_unique_uri):
	copied from launcher.c, a function to get a unique uri
	for a given location and file suffix
	 
	* launcher.c: (launcher_location), (panel_launcher_save_ditem):
	now uses new util function to get unique uri
	
	* panel-util.h:
	updated for new function
	
	* panel.c:
	don't include gnome-run.h

2003-05-19  Mark McLoughlin  <mark@skynet.ie>

	* gnome-run.c: (unset_selected): Remove bogus unsetting
	of the pixmap. Fixes jitterines while typing - patch from
	nix@go-nix.ca.

2003-05-16  Padraig O'Briain  <padraig.obriain@sun.com>

	* gnome-panel-button (panel_menu_button_menu_popup_menu):
	Call gtk_menu_attach_to_widget() to attach menu to widget.
	Set "gtk-attached-menu" on button to the menu pending fix for
	bug #113112. This fixes bug #111573.

2003-05-14  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* gnome-panel-screenshot.c (main): convert filename to utf-8 when
	it is set to gtk entry (#111064).

2003-05-13  Mark McLoughlin  <mark@skynet.ie>

	* panel.c: (panel_delete_without_query): remove FIXME.

2003-01-24  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: add panel-force-quit.[ch] to the build.

	* panel-force-quit.[ch]: impl a safer more GNOMEish version
	of xkill.

	* menu.c: (create_button_menu): add the force quit button.

	* panel-action-button.[ch]: (panel_action_force_quit): ditto.

	* panel-stock-icons.[ch]: (panel_init_stock_icons_and_items):
	add the panel-force-quit stock icon.

2003-05-13  Mark McLoughlin  <mark@skynet.ie>

	* panel-toplevel.c: (panel_toplevel_update_attached_position),
	(panel_toplevel_update_normal_position),
	(panel_toplevel_update_auto_hide_position),
	(panel_toplevel_update_hidden_position), (get_delta),
	(panel_toplevel_update_animating_position),
	(panel_toplevel_update_position), (panel_toplevel_update_size),
	(panel_toplevel_animation_timeout),
	(panel_toplevel_start_animation), (panel_toplevel_instance_init):
	Add support for animated resizing and use it for drawers.

2003-05-12  Mark McLoughlin  <mark@skynet.ie>

	Fix loads of drawer bugs. Redo launcher hoarding. Don't
	save the absolute path of launchers.
	
	* applet.[ch]:
	(panel_applet_clean): unlink the .desktop file for
	launchers and delete the toplevel for drawers.
	(free_applet_to_load),
	(panel_applet_load_idle_handler),
	(panel_applet_queue_applet_to_load), (panel_applet_compare):
	re-factor so as to defer looking up the toplevel associated
	with an object so that objects on drawers load successfully
	after the drawer toplevel is loaded.
	
	* button-widget.c: (button_widget_expose):
	s/gdk_pixbuf_render_to_drawable_alpha/gdk_draw_pixbuf/
	
	* drawer.[ch]:
	(destroy_drawer): detach from the toplevel.
	(create_drawer_toplevel): load_toplevel now returns the
	toplevel. Also s/attached_panel_id/attach_toplevel_id/
	(panel_drawer_delete): impl deleting the associated toplevel.
	(drawer_load_from_gconf): don't free the toplevel_id. load_toplevel()
	takes ownership of it.
	
	* gnome-panel-screenshot.c: (on_preview_expose_event):
	s/gdk_pixbuf_render_to_drawable_alpha/gdk_draw_pixbuf/
	
	* launcher.[ch]: fix launcher hoarding and don't save the
	absolute path of the .desktop file.
	
	* panel-profile.[ch]:
	(panel_profile_load_toplevel): return the toplevel and
	free the toplevel_id if we fail. Also, don't actually
	show the toplevel - drawers shouldn't be shown until
	the button is shown.
	(panel_profile_load_and_show_toplevel): impl wrapper
	which loads and shows the toplevel.
	(panel_profile_load_object): upd.
	(panel_profile_toplevel_id_list_notify), (panel_profile_load):
	use load_and_show().

	* panel-toplevel.c:
	(panel_toplevel_update_attached_position): if the attached
	widget hasn't been allocated place the toplevel off-screen.
	(panel_toplevel_disconnect_attached): zero out the signal ids.
	(panel_toplevel_connect_attached): connect to the attached
	widget's hide/shown and hide/show the toplevel as appropriate.
	(panel_toplevel_attach_to_widget): update the hide buttons.
	
	* panel.c: (drop_internal_icon): create a copy of the .desktop
	file when dnd-ing launchers.

2003-05-09  Mark McLoughlin  <mark@skynet.ie>

	* install-defaults.sh: remove.
	
	* panel-default-setup.entries: add a gconf entries file
	to replace the install-defaults script.

	* Makefile.am: gconftool-2 --load panel-default-setup.entries.

2003-05-09  Mark McLoughlin  <mark@skynet.ie>

	Some fixes for migrating from 2.2.x.
	
	* panel-profile.[ch]:
	(panel_profile_prepare_object_with_id),
	(panel_profile_prepare_object): add an extra "right_stick"
	arg so we can set that if needs be.
	(panel_profile_load): migrate settings before monitoring
	for gconf changes so we don't get duplicate launchers and
	things.

	* drawer.c:
	(panel_drawer_create): upd.
	(drawer_load_from_gconf): fix FIXME typo.
	
	* launcher.c: (panel_launcher_create):
	* panel-action-button.c: (panel_action_button_create):
	* panel-applet-frame.c: (panel_applet_frame_create):
	* panel-menu-bar.c: (panel_menu_bar_create):
	* panel-menu-button.c: (panel_menu_button_create):
	upd for prepare_object() change.
	
	* panel-compatibility.c:
	(panel_compatibility_migrate_menu_panel_settings): when migrating
	an edge panel, set it to expand. Make the window menu right
	stuck and add it to the "applets" list and not the "objects" 
	list.
	(panel_compatibility_migrate_menu_button_settings): set the menu
	path with the menu's path not the icon path. Doh.
		
2003-05-07  Miloslav Trmac  <mitr@volny.cz>

	* panel-toplevel.schemas.in: Fixed some typos.

	* panel-general.schemas.in: Fixed pasto.

2003-04-19  Arvind Samptur <arvind.samptur@wipro.com>
	* gnome-run.c : (update_contents) (show_run_dialog) :
	Grab the focus on the run dialog entry when none of
	the applications have been selected in the list.
	Fixes bug #107095

2003-04-16  Rajkumar Sivasamy  <rajkumar.siva@wipro.com>

	* launcher.c: Place launcher's 	'Create Launcher' dialog
	center on the screen.
	Fixes Bug 110849

2003-04-15  Mark McLoughlin  <mark@skynet.ie>

	* panel-menu-bar.c: (panel_menu_bar_load): make the menu
	bar expand to fill the panel so clicking on the screen
	edge activates the menu. Fixes #104134.

2003-04-10  Dennis Cranston <dennis_cranston at yahoo.com>

	* gnome-run.c:  UI review changes for bug #98908.
	  - application description should be left aligned
	  - s/Append File.../Run with File...
	  - the entry at the top changes its dimension when the
	    icon dimension changes.
	  - s/Run Program.../Run Application...
	   
	* menu.c, panel-action-button.c, panel-general.schemas.in,
	  panel-menu-bar.c:  UI review changes for bug #98908.
	  - s/Run Program.../Run Application...
	   
2003-04-09  Mark McLoughlin  <mark@skynet.ie>

	* panel.c: (panel_applet_added): don't unhide the panel
	when applets are added. Fixes panel unhiding on login,
	bug #109604.

2003-04-09  Mark McLoughlin  <mark@skynet.ie>

	Update the sensitivity of the image/color configuration
	widgets as appropriate to the selected background type.
	Fixes #107609.

	* panel-properties-dialog.c:
	(panel_properties_dialog_upd_sensitivity): impl. making
	the color/image configuration widgets insentive as
	appropriate.
	(panel_properties_dialog_background_toggled),
	(panel_properties_dialog_setup_background_radios),
	(panel_properties_dialog_update_background_type): use it.
	Also remove all references to the transparency radio
	button. It doesn't exist anymore.

	* panel-properties-dialog.glade: name the containers of
	the image/color widgets sensibly so we can get a handle
	to them.

2003-04-09  Mark McLoughlin  <mark@skynet.ie>

	* panel.c: (panel_key_press_event): only activate the
	binding if its Ctrl-F10. Fixes #109791, Shift-F10 was
	popping up the panel's context menu not the applet's
	menu.

2003-04-08  Mark McLoughlin  <mark@skynet.ie>

	* panel-properties-dialog.glade: Commit patch from
	Luca Ferretti <elle.uca@libero.it> to make things a
	bit better.

2003-04-04  Padraig O'Briain  <padraig.obriain@sun.com>

	* gnome-run.c (browse_ok): Give focus to the entry field after a
	file has been appended using Append File. Fixes #86610.

	* drawer.c (key_press_drawer): Make left and right arrow keys move
	focus from drawer in horizontal panel to next item in panel. Up and
	down arrow keys move focus from open drawer into the drawer and have
	no effect for closed drawer. Similar behavior for vertical panels.
	Fixes bug #99176.

2003-04-01  Mark McLoughlin  <mark@skynet.ie>

	Fix long standing bug where size changes affected applet
	positions. E.g. make the panel bigger then smaller and
	there used to be gaps between all your launchers, changing
	the font size used to move the clock applet, adding an
	icon to the notification area and then removing it caused
	it to change position etc.

	* panel-widget.h: add another member to AppletData
	which tracks the actual position as it currently
	appears on the panel. AppletData:pos now corresponds
	to the user specified position as opposed to the
	constrained position.

	* panel-widget.c:
	(emit_applet_moved): impl.
	(panel_widget_cremove): fixup.
	(panel_widget_is_applet_stuck): re-write for clarity.
	(get_size_from_hints): respect the min_cells hint here.
	(allocate_dirty_child): use the constrained applet position
	and don't do any actual moving.
	(panel_widget_switch_applet_right),
	(panel_widget_switch_applet_left),
	(panel_widget_get_right_switch_pos),
	(panel_widget_get_left_switch_pos), (panel_widget_switch_move),
	(push_applet_right), (push_applet_left), (panel_widget_push_move),
	(panel_widget_right_stick): use the constrained position when
	figuring out where to move things and emit the moved signal at
	when applets have been moved.
	(panel_widget_size_allocate): don't make size changes affect
	the user specified position. Also don't saze the constrained
	position.
	(panel_widget_applet_drag_start_no_grab), (walk_up_to),
	(is_in_applet), (panel_widget_get_free_spot): upd. to use the
	constrained position as appropriate.
	(panel_widget_nice_move): emit the moved signal.
	(panel_widget_applet_move_to_cursor),
	(panel_widget_add): use the constrained positionl.
	(panel_widget_reparent): emit the moved signal.

2003-03-17  Alex Duggan  <aldug@astrolinux.com>

	* panel-menu-bar.c: string change in run dialog.  Fixes
	bug #100630

2003-03-14  Arvind Samptur  <arvind.samptur@wipro.com>
	* menu.[ch]: (menu_dummy_button_press_event) :
	On a right click on a menuitem, stop the propogation
	of the button_press_event to the Menu Bar applet.
	(create_menuitem) : Use menu_dummy_button_press_event().

	* panel-menu-bar.c : (panel_menu_bar_append_action_item) :
	* panel-recent.c : (panel_recent_append_documents_menu) :
	Use menu_dummy_button_press_event().

	Fixes bug #107737

2003-03-14  Matthias Clasen  <maclas@gmx.de>

	* main.c (main): Move session registration after profile loading
	to avoid setting an incomplete restart command.

2003-03-11  Mark McLoughlin  <mark@skynet.ie>

	* panel-background.c: (background_changed): don't unref
	the desktop pixbuf if its NULL. Might fix bug #108062.

2003-03-10  Mark McLoughlin  <mark@skynet.ie>

	* panel-profile.c:
	(panel_profile_load_added_ids):
	(panel_profile_delete_removed_ids): both of these
	should return void. Thanks to Arvind for pointing
	it out.

2003-03-10  Mark McLoughlin  <mark@skynet.ie>

	* button-widget.c:
	(button_widget_theme_changed): reload the icon when the
	icon theme changes.
	(load_pixbuf), split out from button_load_pixbuf().
	(button_load_pixbuf): try loading with the icon basename
	first and if that fails use the full path. This will ensure
	that launchers with absolute paths for icons will theme
	correctly, #106649.
	(button_widget_instance_init): connect to the icon theme's
	'changed' signal.

	* launcher.[ch]: (free_launcher), (setup_button): remove handling
	the icon theme's "changed" signal here.

2003-03-07  Arvind Samptur <arvind.samptur@wipro.com>
	* panel-toplevel.c : (panel_toplevel_realize) : Remove the
	panel window from the window group. Else the WM will stack
	all the child windows of the panel above all apps.

	* xstuff.c : (xstuff_set_no_group) Remove the part 
	of disabling input.

	* panel-properties-dialog.c : (panel_properties_dialog_new):
	Revert the changes made on 2003-03-05 of setting the transient 
	parent for the dialog. It's no longer required.

	Fixes #107616

2003-03-07  Mark McLoughlin  <mark@skynet.ie>

	Fix #107775 - panel "forgets" it on the top and goes back
	to the bottom.

	* panel-toplevel.c: (panel_toplevel_update_expanded_position):
	Set toplevel->priv->x/y to the location the panel should be
	in when not hidden. These co-ordinates are not transient
	location of the panel.

2003-03-07  Mark McLoughlin  <mark@skynet.ie>

	* panel-profile.c: (panel_profile_add_to_list): fix bug with
	"New Panel". Another bug caused by my stupid "sprintf to
	static buffer" function.

2003-03-06  Arvind Samptur <arvind.samptur@wipro.com>
	* panel-properties-dialog.c : 
	(panel_properties_dialog_update_background_opacity) : When 
	recalculating the percentage, cast it to double. Else you always
	land up with one value less because of integer division and 
	that spins off the continuous scale setting. Fixes #107608
	Thanks to Satyajit for fighting this one.

2003-03-06  Mark McLoughlin  <mark@skynet.ie>

	* gnome-panel-screenshot.c: (nibble_on_file): destroy the dialog
	even if we are overwriting the file. Based on patch from Bala
	to fix #107112.

2003-03-06  Mark McLoughlin  <mark@skynet.ie>

	* launcher.c: (setup_button): unescape the tooltip. Patch
	from Bala to fix #107669.

2003-03-06  Mark McLoughlin  <mark@skynet.ie>

	* panel-background.c: (free_composited_resources): another leak
	fix from Kjartan which never got committed to HEAD.

2003-03-06  Mark McLoughlin  <mark@skynet.ie>

	* menu.c: (Bonobo_ServerInfoList_equals), (recheck_applet_list):
	re-enable the re-loading of the applet menu. It crashes for
	some people but we need to fix that.

2003-03-06  Mark McLoughlin  <mark@skynet.ie>

	* gnome-run.c: (find_icon_timeout), (add_icon_idle),
	(selection_changed): fix leaks - patch from Kjartan Maraas.
	#105911.

2003-03-05  Arvind Samptur  <arvind.samptur@wipro.com>
	* panel-properties-dialog.c : (panel_properties_dialog_new) :
	Set the tranisent parent for the properties dialog.
	Fixes #107616.

2003-03-05  Mark McLoughlin  <mark@skynet.ie>

	* AUTHORS: remove - authors are listed in the toplevel
	AUTHORS file.

	* TODO, TODO.old, new-toplevel-todo: kill - everythings
	in bugzilla now.

	* panel-toplevel.c: kill TODO list.

	* panel.c: (panel_size_change): don't update the size
	int the properties dialog here.

2003-03-05  Mark McLoughlin  <mark@skynet.ie>

	* panel-global-config.schemas.in: remove - has been renamed.

	* panel-per-panel-config.schemas.in: removed - default setup
	now install by install-defaults.sh.

2003-03-05  Mark McLoughlin  <mark@skynet.ie>

	* gnome-panel-add-launcher.c: kill. Very old bit of
	cruft.

2003-03-05  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am, eggaccelerators.[ch]: re-instate
	eggaccelerators.[ch].

	* panel.c, panel_widget.c: remove the delete_dialog
	PanelWidget member and just use object data instead.
	Adapt the delete dialog code for PanelToplevel.

	* gnome-panel-screenshot.c: fix warning.

2003-03-05  Mark McLoughlin  <mark@skynet.ie>

	Implement migrating background settings and fix drawers.

	* new-toplevel-todo: upd.

	* drawer.c:
	(create_drawer_toplevel): create the drawer toplevel using
	GConf.
	(load_drawer_applet): refactor a little.

	* panel-compatibility.c:
	(panel_compatibility_map_orient_string),
	(panel_compatibility_map_orientation_string),
	(panel_compatibility_map_edge_string),
	(panel_compatibility_map_panel_type_string),
	(panel_compatibility_map_panel_size_string): fix assertions.
	(panel_compatibility_map_background_type_string),
	(panel_compatibility_migrate_background_settings): implement.

	* panel-profile.[ch]:
	(panel_profile_map_background_type): impl.
	(panel_profile_get_toplevel_by_id): return if the id is an
	empty string.
	(panel_profile_set_background_type): upd.
	(panel_profile_add_to_list): don't create a new if if we're
	passed a valid id.
	(panel_profile_load_toplevel): don't attempt to load if the
	id is an empty string.

2003-03-04  Mark McLoughlin  <mark@skynet.ie>

	Don't include drawer toplevels in the toplevel_id_list
	anymore. We just use the id from the drawer settings.
	This will prevent loading "orphaned" toplevels.

	* drawer.c:
	(create_empty_drawer_applet): add FIXME.
	(drawer_load_from_gconf): load the drawer toplevel from
	here.

	* panel-applet-frame.c: (panel_applet_frame_load): kill bogus
	creation of new ids.

	* panel-compatibility.c:
	(panel_compatibility_migrate_panel_type): set a flag if the
	panel is a drawer panel.
	(panel_compatibility_migrate_panel_settings): upd.
	(panel_compatibility_migrate_panel_id_list): remove drawer
	panels from the panel_id_list - drawer toplevels aren't on
	the toplevel_id_list now.

	* panel-profile.[ch]:
	(panel_profile_find_new_id): make sure new ids are unique
	within the directories, not only the id_lists. Requires
	ix just committed to GConf.

2003-03-04  Mark McLoughlin  <mark@skynet.ie>

	* install-defaults.sh: install the config into /apps/panel
	instead of /apps/new_panel.

	* menu.c: (remove_panel_query): prompt the user for confirmation
	when deleting panels. Delete the panel through GConf rather than
	just destroying the widget.

	* new-toplevel-todo: upd.

	* panel-applet-frame.c: (panel_applet_frame_construct_moniker):
	s/new_panel/panel/.

	* panel-compatibility.c:
	(panel_compatibility_migrate_panel_settings): auto_hide setting
	is a bool not an int.

	* panel-gconf.h, panel-general.schemas.in, panel-object.schemas.in,
	  panel-toplevel.schemas.in: s/new_panel/panel/.

	* panel-profile.c: (panel_profile_map_orientation_string),
	(panel_profile_map_speed_string),
	(panel_profile_map_background_type_string),
	(panel_profile_map_object_type_string): don't assert that the
	string argument is not NULL.
	(panel_profile_queue_toplevel_location_change),
	(panel_profile_toplevel_change_notify): kill debug.
	(panel_profile_delete_toplevel_objects): remove all the objects
	on the panel before deleteing it.
	(panel_profile_delete_toplevel): delete object.
	(panel_profile_load_toplevel): fix bogosity.

2003-03-04  Mark McLoughlin  <mark@skynet.ie>

	More or less finish of the compatibility code.

	* panel-compatibility.[ch]:
	(panel_compatibility_migrate_menu_panel_settings): mimic
	a menu panel by adding the menu bar and window menu applets
	to the configuration here rather than creating them after
	all other applets have been loaded.
	(panel_compatibility_migrate_panel_id): split out from
	migrate_panel_id_list().
	(panel_compatibility_migrate_drawer_settings),
	(panel_compatibility_migrate_menu_button_settings),
	(panel_compatibility_migrate_objects):impl
	(panel_compatibility_migrate_panel_id_list): upd.
	(panel_compatibility_warn),
	(panel_compatibility_load_menu_panel),
	(panel_compatibility_load_applets): kill.

	* panel-object.schemas.in: s/attached_panel_id/attached_toplevel_id/.

	* panel-profile.[ch]:
	(panel_profile_prepare_object_with_id): split out from prepare_object()
	so we can create applets for a toplevel that doesn't yet exist.
	(panel_profile_prepare_object): upd.

	* applet.c: (panel_applet_load_idle_handler): don't load menu
	panel applets from here.

2003-03-03  Mark McLoughlin  <mark@skynet.ie>

	* panel-compatibility.c:
	(panel_compatibility_migrate_edge_panel_settings),
	(panel_compatibility_migrate_drawer_panel_settings),
	(panel_compatibility_migrate_corner_panel_settings),
	(panel_compatibility_migrate_sliding_panel_settings),
	(panel_compatibility_migrate_floating_panel_settings),
	(panel_compatibility_migrate_menu_panel_settings): set whether
	or not the toplevel is expanded.
	(panel_compatibility_migrate_panel_settings): copy across the
	auto hide setting. I never even knew that the old setting was
	an enum stored as an int. Bork.
	(panel_compatibility_migrate_panel_ids): iterate across the
	objects list changing the panel_ids to new toplevel_ids.
	(panel_compatibility_migrate_panel_id_list): retain a map
	of our panel_id -> toplevel_id renaming and pass it into
	migrate_panel_ids().

2003-03-03  Mark McLoughlin  <mark@skynet.ie>

	* applet.c, drawer.c, install-defaults.sh,
	  panel-object.schemas.in, panel-profile.c:
	s/panel_id/toplevel_id/ gconf setting for objects. Needed to
	rename the key as we rename the panels when migrating
	panel_id_list.

	* panel-compatibility.[ch]:
	(panel_compatibility_migrate_panel_id_list): rename.

2003-03-03  Mark McLoughlin  <mark@skynet.ie>

	* panel-compatibility.[ch]:
	(panel_compatibility_map_orient_string),
	(panel_compatibility_map_orientation_string),
	(panel_compatibility_map_edge_string),
	(panel_compatibility_map_panel_type_string),
	(panel_compatibility_map_panel_size_string),
	(panel_compatibility_migrate_background_settings),
	(panel_compatibility_migrate_edge_panel_settings),
	(panel_compatibility_migrate_drawer_panel_settings),
	(panel_compatibility_migrate_corner_panel_settings),
	(panel_compatibility_migrate_sliding_panel_settings),
	(panel_compatibility_migrate_floating_panel_settings),
	(panel_compatibility_migrate_menu_panel_settings),
	(panel_compatibility_migrate_panel_types),
	(panel_compatibility_migrate_panel_settings),
	(panel_compatibility_load_panel_id_list): begin implementing
	backwards compat with the old settings format.

	* panel-profile.[ch]:
	(panel_profile_map_orientation): impl.
	(panel_profile_set_toplevel_orientation): upd.
	(panel_profile_load): load the old panel_id_list if toplevel_id_list
	isn't set.

	* panel-toplevel.c: add a TODO item.

2003-03-03  Mark McLoughlin  <mark@skynet.ie>

	Only register the toplevel keybindings once, remove the toplevel
	pointer resizing feature, fix applets getting added to the panel
	in the wrong place and make toplevel bindings work when focus
	is on an out-of-proc applet.

	* panel-bindings.[ch]:
	(get_binding_set), (panel_binding_clear_entry),
	(panel_binding_set_entry), (panel_binding_changed),
	(panel_bindings_set_entries): set the bindings on PanelToplevel's
	GtkBindingSet once, rather than for each toplevel.

	* panel-toplevel.[ch]:
	(panel_toplevel_begin_grab_op): make the assert a normal condition.
	(panel_toplevel_handle_grab_op_motion_event): upd.
	(panel_toplevel_get_resize_op): kill.
	(panel_toplevel_button_press_event): kill the resize code.
	(panel_toplevel_update_cursor_for_resize): don't change the cursor
	at the edge of the panel.
	(panel_toplevel_motion_notify_event): kill the resize code.
	(panel_toplevel_class_init): set the bindings here.
	(panel_toplevel_instance_init): don't register the toplevel with
	the bindings code.
	(panel_toplevel_set_binding), (panel_toplevel_unset_binding): kill.

	* panel.c:
	(panel_popup_menu): retain the correct axis offset for object
	insertion.
	(panel_key_press_event): activate all keybindings when focus is
	on out-of-proc applets, not just the shift-F10 binding.

2003-03-03  Mark McLoughlin  <mark@skynet.ie>

	Fix bugs with yesterdays commit - it wasn't as broken as I
	thought it was.

	* panel-profile.c:
	(panel_profile_prepare_object): get the directory for applets
	correct.
	(panel_profile_object_id_list_notify): split the objects list
	into a sublist of either applets or objects when searching for
	removed ids. Also load queued objects.

	* panel-toplevel.c: (panel_toplevel_begin_grab_op): don't warp
	the pointer if its a pointer based drag.

	* drawer.c: (panel_drawer_create):
	* launcher.c: (panel_launcher_create):
	* panel-action-button.c: (panel_action_button_create):
	* panel-applet-frame.c: (panel_applet_frame_create):
	* panel-menu-bar.c: (panel_menu_bar_create):
	* panel-menu-button.c: (panel_menu_button_create): the first
	arg for panel_profile_prepare_object() is PanelObjectType not
	PanelGConfKeyType.

2003-03-02  Mark McLoughlin  <mark@skynet.ie>

	Pretty broken patch - just a safety sync. Makes the panel object
	gconf code a lot more sane and also share code with (and behave
	similarily to) the toplevel code.

	* new-toplevel-todo: update

	* Makefile.am: don't gen enums from panel-widget.h,
	panel-action-button.h and panel-toplevel.h.

	* applet.[ch]:
	(panel_applet_clean_gconf): kill.
	(panel_applet_clean): do not do any gconf related stuff here.
	(applet_idle_remove): kill the remove in idle stuff.
	(applet_remove_callback): delete the object via gconf.
	(applet_callback_callback), (applet_do_popup_menu),
	(panel_applet_destroy), (panel_applet_load_idle_handler): various
	random updates.
	(panel_applet_queue_applet_to_load): split out the code that
	reads the object's config into panel-profile.o
	(panel_applet_load_queued_applets): rename and remove the gconf
	loading code.
	(panel_applet_save_position): upd.
	(panel_applet_get_id), (panel_applet_get_by_id),
	(panel_applet_list_applets): impl so we don't have to use global
	variables and poke in structures everywhere.
	(panel_applet_register): kill the applet count/id thing - unused.
	
	* drawer.[ch]:
	(properties_apply_callback): disable saving change for now.
	(drag_data_get_cb): upd.
	(load_drawer_applet): make static, don't return anything.
	(panel_drawer_create): new function for creating new drawers.

	* gnome-desktop-item-edit.c: (panel_applet_list_applets): hack
	so that this thing links.

	* launcher.[ch]: 
	(panel_launcher_save_ditem): split out from launcher_save() so we
	can save a ditem before loading a launcher.
	(free_launcher): upd.
	(create_launcher): don't allow a ditem to be passed in.
	(properties_apply): disable saving prefs changes for now.
	(load_launcher_applet): don't return anything, kill _full() variant.
	(launcher_load_from_gconf): don't hoard all launchers - may want to
	change this back again, we'll see.
	(really_add_launcher): save the ditem before creating the launcher.
	(panel_launcher_create_from_info), (panel_launcher_create): new
	functions for creating a new launcher object.
	(launcher_save), (find_launcher): upd.

	* main.c: kill the applets global list - its static in applet.c now.

	* menu.c: (add_app_to_panel), (add_drawers_from_dir),
	(add_menu_to_panel), (add_drawer_to_panel),
	(add_action_button_to_panel), (add_menu_bar_to_panel),
	(add_launcher), (add_bonobo_applet): use the new object creation
	functions instead of the old loading ones.
	(remove_panel_accept): delete the object via gconf.

	* panel-action-button.[ch]:
	(panel_action_button_load): don't return anything.
	(panel_action_button_create): new function for creating new action
	buttons.
	(panel_action_button_load_compatible): impl.
	(panel_action_button_load_from_gconf): don't return anything.
	(panel_actoin_button_save_to_gconf): kill.
	(panel_action_button_load_from_drag): upd.

	* panel-applet-frame.[ch]:
	(popup_handle_remove): delete the applet via gconf.
	(panel_applet_frame_load): make static, don't return anything.
	(panel_applet_frame_create): implement.
	(panel_applet_frame_reload_response),
	(panel_applet_frame_loading_failed): update.

	* panel-compatibility.c: (panel_compatibility_load_applets): use
	new applet creation functions.

	* panel-enums.h: move some enums into here.

	* panel-gconf.[ch]: (panel_gconf_key_type_to_id_list): impl.

	* panel-globals.h: kill the applets list.

	* panel-menu-bar.[ch]:
	(panel_menu_bar_load): make static, don't return anything.
	(panel_menu_bar_create): implement.

	* panel-menu-button.[ch]: ditto.

	* panel-profile.[ch]:
	(panel_profile_map_object_type_string): impl object type mapping
	utility method.
	(panel_profile_add_to_list), (panel_profile_remove_from_list),
	(panel_profile_create_toplevel), (panel_profile_delete_toplevel),
	(panel_profile_destroy_toplevel), (panel_profile_prepare_object),
	(panel_profile_delete_object), (panel_profile_load_object),
	(panel_profile_destroy_object), (panel_profile_delete_dir),
	(panel_profile_object_exists), (panel_profile_id_exists),
	(panel_profile_load_added_ids), (panel_profile_delete_removed_ids),
	(panel_profile_toplevel_id_list_notify),
	(panel_profile_object_id_list_notify), (panel_profile_load_list),
	(panel_profile_copy_default_objects_for_screen): move all the
	applets loading code into here, merge it with the toplevel loading
	and notification handling code ... make it all perfect :)

	* panel-toplevel.c: (panel_toplevel_update_attach_orientation),
	(panel_toplevel_attach_widget_parent_set): move some code around
	to fix warning.

	* panel-util.c: (panel_find_applet_index): rename.

	* panel.[ch]: (orientation_change), (size_change), (back_change),
	(panel_applet_removed), (panel_remove_applets), (drop_url),
	(drop_menu), (drop_nautilus_uri), (drop_directory), (drop_urilist),
	(drop_internal_icon), (move_applet), (drop_internal_applet),
	(panel_receive_dnd_data), (panel_screen_from_panel_widget): various
	update for the changes above.

2003-02-28  Mark McLoughlin  <mark@skynet.ie>

	* panel-profile.c: (panel_profile_copy_defaults): rename from
	panel_configuration_copy_defaults.
	(panel_profile_copy_defaults_for_screen),
	(panel_profile_append_new_ids),
	(panel_profile_load_defaults_on_screen),
	(panel_profile_ensure_toplevel_per_screen),
	(panel_profile_load): implement loading the default toplevels
	on the non-default screens on multiscreen setups.

2003-02-27  Mark McLoughlin  <mark@skynet.ie>

	Allow drawers to be moved by moving the toplevel.

	* new-toplevel-todo: upd.

	(panel_applet_frame_button_changed): use the event time.
	* panel-widget.[ch]: (panel_widget_applet_drag_start): accept the
	event time as an argument.
	(panel_widget_applet_move_to_cursor): pass in CurrentTime
	(panel_widget_applet_event): use the event time.

	* panel-toplevel.c:
	(panel_toplevel_begin_attached_move): when attached, move by
	initiating a move on the drawer button.
	(panel_toplevel_begin_grab_op): use it here.
	(panel_toplevel_update_buttons_showing): shuffle.
	(panel_toplevel_attach_widget_parent_set): impl handling
	when the drawer button is moved to another panel.
	(panel_toplevel_connect_attached): hook it up.

	* applet.c: (move_applet_callback): use CurrentTime for
	drag event time.

	* panel-applet-frame.c: (popup_handle_move), use CurrentTime.

2003-02-27  Mark McLoughlin  <mark@skynet.ie>

	Don't draw a bevel around the panel when we've got a color
	or image background.

	* new-toplevel-todo: upd.

	* panel-background.[ch]: (panel_background_prepare): split out
	figuring out what type of background we're rendering to
	(panel_background_effective_type): here.

	* panel-profile.c: (panel_profile_background_change_notify):
	update the toplevel edges.

	* panel-toplevel.c: (panel_toplevel_update_edges): don't draw
	any edges if we've got a color or image background.

2003-02-27  Mark McLoughlin  <mark@skynet.ie>

	* new-toplevel-todo: add todo list of what needs to be done
	before merging back to HEAD.

2003-02-27  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: kill global-keys.[ch]

	* throughout: use panel_gconf_get_client() - gconf_client_get_default
	isn't a lightweight accessor.

	* panel-config-global.[ch]:
	(panel_global_config_get_highlight_when_over),
	(panel_global_config_get_enable_animations),
	(panel_global_config_get_drawer_auto_close),
	(panel_global_config_get_tooltips_enabled),
	(panel_global_config_get_confirm_panel_remove): impl these accessors so
	we don't have to use a global variable.
	(panel_global_config_set_entry): actually directly handle changes so we can
	kill panel_apply_global_config() - also make the function statis.
	(panel_global_config_notify): make static.
	(panel_global_config_load): move initialisation from main() to here.

	* panel-session.[ch]:
	(panel_session_request_logout): don't require passing in a client.
	(panel_session_handle_die_request): make static.
	(panel_session_init): move initialisation here from main ().

	* button-widget.c: (button_widget_expose),
	(button_widget_leave_notify): upd for global_config changes.

	* drawer.c:
	(load_drawer_applet): add the drawer button to the parent toplevel,
	not the drawer toplevel - oops :-)

	* launcher.c: (launch_cb): upd for global_config changes.

	* main.c: (main): upd for global_config and session changes.

	* menu.c: (drag_end_menu_cb),
	(remove_panel_query), (setup_remove_this_panel): global_config changes.
	(make_panel_submenu): remove the "Toplevel testing" menu.

	* panel-action-button.c:
	(panel_action_logout),
	(panel_action_button_clicked):  upd for global_config and session changes.

	* panel-gconf.c:
	(panel_gconf_all_global_entries), (panel_gconf_get_int),
	(panel_gconf_get_string), (panel_gconf_get_bool),
	(panel_gconf_set_int), (panel_gconf_set_string),
	(panel_gconf_set_bool): kill cruft.

	* panel-globals.h: kill global_config.

	* panel-profile.c:
	(panel_profile_set_queued_changes),
	(panel_profile_set_commit_timeout): take a toplevel as the first
	arg rather than a GObject.

	* panel-util.[ch]: kill accelerator parsing code.

	* panel.c:
	(panel_destroy): don't kill the properties dialog here - it gets
	destroyed automagically when the toplevel is destroyed.
	(panel_load_global_config): move to panel-config-global.c
	(panel_save_global_config): wtf ? we never change the global
	configuration anywhere in the panel - why on earth were we saving
	it ?

	* xstuff.[ch]: kill xstuff_init.

2003-02-25  Mark McLoughlin  <mark@skynet.ie>

	* applet.c: (panel_applet_register): disable the initial
	applet background change for now.

	* panel-background.[ch]: re-work this substantially so we
	can change individual elements of the background configuration
	seperately. Also remove the "loading" phase.

	* panel-gconf.[c]: (panel_gconf_dirname): impl.

	* panel-profile.[ch]: implement support for the background
	configuration.

	* panel-properties-dialog.c: add an initial implementation of
	the background page of the dialog. Still needs a bit of fixage
	but its mostly done.

	* panel-properties-dialog.glade: re-work the background page,
	ripping of gnome-terminal's background page.

	* panel-widget.[ch]: (panel_widget_class_init): kill the "back_change"
	signal.
	(panel_widget_size_allocate): kill the "inhibit_draw" stuff. Unused.
	(panel_widget_set_back_pixmap), (panel_widget_set_back_color): kill.
	(panel_widget_new): remove all 6 background related arguments from
	this.
	(panel_widget_change_params): kill. Wohoo.
	(panel_widget_set_orientation),
	(panel_widget_set_size): don't use panel_widget_change_params. Do
	each change individually.

	* panel-toplevel.c: (panel_toplevel_setup_widgets): update for
	panel-widget changes.

	* panel.c:
	(panel_applet_added): disable the background change stuff for the
	moment.
	(set_background_image_from_uri),
	(set_background_color): impl these a bit more sanely.
	(drop_urilist), (panel_receive_dnd_data): upd.

2003-02-21  Mark McLoughlin  <mark@skynet.ie>

	* panel-config.c, panel-config.h: kill.

	* panel-properties-dialog.[ch], panel-properties-dialog.glade:
	first cut at a new properties dialog. The background settings
	haven't been implemented yet.

	* panel-profile.[ch]: (panel_profile_map_orientation_string),
	(panel_profile_map_speed_string),
	(panel_profile_map_background_type_string): impl helpers for
	mapping enums.
	(panel_profile_set_toplevel_name),
	(panel_profile_get_toplevel_name),
	(panel_profile_set_toplevel_orientation),
	(panel_profile_get_toplevel_orientation), (get_background_type),
	(set_orientation_from_string), (set_animation_speed_from_string):
	Impl reading/writing various toplevel properties through gconf.
	(panel_profile_toplevel_notify_add): helper for adding a notify
	for a given panel.
	(panel_profile_load_toplevel): use it.

	* Makefile.am: build panel-properties-dialog.[ch] instead of
	panel-config.[ch] and install panel-properties-dialog.glade.

	* applet.c, drawer.h: don't include panel-config.h.

	* menu.c: (create_toplevel_testing_menu), (make_panel_submenu):
	kill the "Toggle Animations" item and add back the properties
	item.

	* panel-applet-frame.c: (panel_applet_frame_get_size_string):
	fix.

	* panel-background.h: include panel-enums.h.

	* panel-types.h: move PanelBackground Type to panel-enums.h.

	* panel-toplevel.[ch]:
	(panel_toplevel_setup_widgets): upd.
	(panel_toplevel_get_description): impl.

	* panel-widget.[ch]: (panel_widget_class_init), kill the orient-changed
	signal - we use the toplevel's orientation now.
	(panel_widget_finalize), (panel_widget_instance_init),
	(panel_widget_new), (panel_widget_change_params): kill the panel_id
	stuff from this widget - the panel id is associated with the toplevel
	now.

	* panel.c: (panel_data_by_id): kill.

2003-02-20  Mark McLoughlin  <mark@skynet.ie>

	Some fairly extensive, but random, hacking - got the applets
	gconf code going again, re-implemented the menu applet ...

	* Makefile.am: remove session.[ch] and panel-main.h. Add
	panel-menu-button.[ch], panel-session.[ch] and panel-globals.h.

	* install-defaults.sh: add the default applets.

	* applet.[ch]: re-enable the old applets loading/saving code
	with various fixes.

	* panel-menu-button.[ch]: re-implement the menu applet a bit
	more sanely.

	* panel-session.[ch]: new files - basically session.[ch] minus
	all the old config syncing crap.

	* panel-globals.h: lets keep track of all the globals in the
	one place. 'Course, preferably they shouldn't exist.

	* button-widget.c: include panel-globals.h.

	* drawer.[ch]:
	(create_empty_drawer_applet): take a toplevel for the parent
	panel rather than a PanelWidget.
	(load_drawer_applet): re-factor this.
	(drawer_save_to_gconf),
	(drawer_load_from_gconf): impl support for the new schemas.

	* global-keys.c: include panel-globals.h.

	* gnome-run.c: ditto.

	* launcher.[ch]: re-enable the gconf code. Fixup a fair bit of stuff.

	* main.c: (main): remove the menu aging crap, define all globals
	here and don't bother connecting to "save-yourself".

	* menu-fentry.c: include panel-globals.h.

	* menu-util.[ch]: (get_real_menu_path), (get_pixmap): kill.

	* menu.[ch]: (add_drawers_from_dir): upd.
	remove the menu applet code.

	* panel-action-button.c: re-enable and fixup the gconf code.

	* panel-applet-frame.[ch]: ditto.

	* panel-compatibility.c: include panel-globals.h.

	* panel-config-global.[ch]: (panel_global_config_set_entry): dump
	the "keep_menus_in_memory" key.

	* panel-global-config.schemas.in, panel-config.c: ditto.

	* panel-enums.h: move the PanelGConfKeyType enum to here.

	* panel-gconf.h: move the various base dir definitions to here.

	* panel-gconf.c: (panel_gconf_general_key), (panel_gconf_full_key):
	use them here.

	* panel-profile.[ch]:
	(panel_profile_get_toplevel_by_id): impl locating a toplevel by its id.
	(panel_profile_find_new_id): impl finding a sane key for new panels/
	objects instead of using gconf_unique_key().
	(panel_profile_get_toplevel_key),
	(panel_profile_load_toplevel), (panel_profile_delete_toplevel_dir),
	(panel_profile_create_added_toplevels),
	(panel_profile_create_toplevel), (panel_profile_delete_toplevel),
	(panel_configuration_copy_defaults): upd.
	(panel_profile_load): load applets.
	(get_program_listing_setting),
	(panel_profile_set_show_program_list): fix brokeness.

	* panel-stock-icons.c: include panel-globals.h.

	* panel-toplevel.[ch]: (panel_toplevel_is_last_unattached): impl.
	finding out is a given panel the last non-drawer one - i.e. can
	whether or not we delete it.

	* panel-util.c, panel-widget.c: include panel-globals.h

	* panel.[ch]: killall the gconf code and update for the varius
	menu changes.

2003-02-18  Mark McLoughlin  <mark@skynet.ie>

	* panel-object.schemas.in: fix some typos. Thanks G.

2003-02-18  Mark McLoughlin  <mark@skynet.ie>

	* panel-object.schemas.in: add a set of schemas for
	applets/launchers etc. Wow, I'd forgotten how big a mess
	it was before.

	* panel-compatibility.c: list where the new schemas are
	incompatible from the old keys.

	* Makefile.am: build and install panel-object.schemas.

2003-02-18  Mark McLoughlin  <mark@skynet.ie>

	* menu.c: (create_new_panel), (remove_panel_accept):
	use panel_profile_(create|delete)_toplevel().

	* panel-gconf.c: (panel_gconf_clean_dir): also unassociate
	schemas as you go.

	* panel-profile.[ch]:
	(panel_profile_load_toplevel): if the toplevel doesn't exist,
	setup the directory.
	(panel_profile_delete_toplevel_dir), (panel_profile_id_exists),
	(panel_profile_create_added_toplevels),
	(panel_profile_toplevel_exists),
	(panel_profile_delete_removed_toplevels),
	(panel_profile_toplevel_id_list_notify),
	(panel_profile_load_toplevel_list): Impl creating and deleting
	toplevels as the toplevel_id_list is modified.
	(panel_profile_find_new_id),
	(panel_profile_create_toplevel), (panel_profile_delete_toplevel):
	create and delete toplevels by modifying the toplevel_id_list.
	(panel_profile_load): add the "general" dir for notifications.

	* panel-toplevel.[ch]: (panel_toplevel_list_toplevels),
	(panel_toplevel_finalize), (panel_toplevel_instance_init):
	Impl. keeping a track of a list of all toplevels.

2003-02-14  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: make the binary gnome-new-panel for the
	moment. Build panel-profile.[ch] and use install-defaults.sh
	to install the default setup.

	* panel-profile.[ch]: start of the new GConf implementation. Loading
	toplevels, changing toplevels configuration, responding to changes in
	toplevels setttings work. Need to impl support for applets, objects and
	the panel background.

	* panel-toplevel.c:
	(panel_toplevel_move_resize_window): split this out from size_request.
	(panel_toplevel_realize): use it here.
	(panel_toplevel_size_request): upd.
	(panel_toplevel_button_press_event): initialise the grab offsets from
	the event rather than the current pointer location.

	* install-defaults.sh: gconftool script to install the default
	panel setup. Will be replaced by a gconftool-2 --load < defaults.xml
	thing when I get a chance.

	* panel-toplevel.schemas.in: change where these are installed and
	also split out the opacity from the background color the way it was
	previously.

	* panel-global.schemas.in: rename from panel-global-config.schemas.in.

	* panel-general.schemas.in: add.

	* panel-gconf.[ch]:
	(panel_gconf_get_profile): kill.
	(panel_gconf_basename): basically g_basename(), but hardcodes
	"/" instead of G_DIR_SEPERATOR.
	(panel_gconf_copy_dir): impl copying a directory full of entries.
	(panel_gconf_associate_schemas_in_dir): don't use GError.
	(panel_gconf_setup_profile): kill.
	(panel_gconf_load_default_config_for_screen): don't use GError.

	* main.c: (main): use panel_profile_load() instead of session_load().

	* panel.c: (panel_load_panels_from_gconf): kill.

	* session.[ch]: (panel_session_set_restart_command): upd.
	(session_load): kill.

	* menu.c: (init_menus): um, don't read all the .desktop files for
	applets on startup - um ... .desktop files for applets ? I think
	we might have missed some thing while porting :-)
	(toggle_expand), (toggle_auto_hide),
	(toggle_animations), (toggle_buttons), (toggle_arrows): make
	all these changes through GConf instead of to the widget directly.

	* gnome-run.c: (sync_entry_to_list), (toggle_contents),
	(create_disclosure_widget), (create_simple_contents),
	(update_contents), (show_run_dialog): use
	panel_profile_get_(show|enable)_program_list().

	* panel-applet-frame.c: (panel_applet_frame_construct_moniker): the
	configuration is stored in /apps/new_panel temporarily while this stuff
	is being worked on.

	* panel-bindings.c: (panel_bindings_register_toplevel): actually set
	initialise to TRUE. Pointed out by Arvind ... dunno why he didn't
	commit it.

	* applet.c, drawer.c, launcher.c, panel-action-button.c: disable
	more gconf related stuff.

2003-02-07  Mark McLoughlin  <mark@skynet.ie>

	* panel-toplevel.schemas.in: add some schemas.

	* panel-toplevel.c: change the default hide/unhide delays/

2003-02-06  Mark McLoughlin  <mark@skynet.ie>

	* panel-toplevel.c: implement keybindings for move/resize
	etc. Merge with the pointer move/resize code. Fix many
	little glitches.

	* panel-bindings.c: (panel_bindings_initialise): kill debug.

	* panel-frame.c: (panel_frame_size_request): always request
	enough room to draw the frame on all edges so we don't get
	weird resizing glitches.

	* panel-xutils.[ch]: (panel_warp_pointer): impl.

2003-01-31  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: add panel-bindings.[ch].

	* panel-bindings.[ch]: read and monitor metacity's
	window binding preferences to use for keybindings
	on the toplevel. But metacity grabs these keys even
	on DOCK windows, so hmm ...

	* panel-toplevel.[ch]:
	(panel_toplevel_toggle_expand), (panel_toplevel_expand),
	(panel_toplevel_unexpand), (panel_toplevel_toggle_hidden),
	(panel_toplevel_begin_move), (panel_toplevel_begin_resize):
	Add stubs for the keybindings. Don't implement until I figure
	what to do about the metacity problem.
	(panel_toplevel_class_init): add signals for all these bindings.
	(panel_toplevel_instance_init): load the bindings.
	(panel_toplevel_set_binding), (panel_toplevel_unset_binding):
	methods to set/unset the binding - use by panel-bindings.c.

2003-01-31  Mark McLoughlin  <mark@skynet.ie>

	Make drawers work more or less and implement resizing the
	panel using the pointer.

	* button-widget.c: (draw_arrow): hmm, I think the semantics
	of the orientation has been reversed. Fix this bug, but there
	is probably more.

	* drawer.c:
	(create_empty_drawer_applet): actually create the toplevel.
	(set_drawer_applet_orientation): don't set the toplevel
	orienation.

	* panel-toplevel.c:
	(panel_toplevel_update_buttons_showing): if this is a drawer,
	then hide one of the buttons.
	(panel_toplevel_update_attached_position): snap to the edge
	of the attach toplevel, not the attach widget.
	(panel_toplevel_reverse_arrow), (panel_toplevel_reverse_arrows),
	(panel_toplevel_disconnect_attached),
	(panel_toplevel_connect_attached): reverse the arrows on the
	buttons when attached.
	(panel_toplevel_get_resize_edge): function to get the edge, if
	any, which we would resize on from this position.
	(panel_toplevel_edge_to_cursor): return the resize cursor type
	for a given edge.
	(panel_toplevel_button_press_event): if we're within a few pixels
	from the panel edge start a resize drag.
	(panel_toplevel_button_release_event): unset all drag flags.
	(panel_toplevel_update_cursor_for_resize): set the resize cursor.
	(panel_toplevel_resize_to_pointer): resize based on pointer
	location.
	(panel_toplevel_motion_notify_event): handle resizing and setting
	the resize cursor from here.
	(panel_toplevel_set_size): don't try and maintain the current
	position on a resize here. We do that in resize_to_pointer().

	* panel.c:
	(panel_widget_setup): don't connect to the PanelWidget orientation
	change signal - that only notifies of changes between horiz/vert.
	(panel_setup): connect to notify::orientation on the toplevel
	instead.

2003-01-29  Mark McLoughlin  <mark@skynet.ie>

	Replace BasePWidget and co. with a single widget written
	from scratch. Basically, this means there are is no
	such thing as panel types any more - you can easily
	swicth between what was an edge panel to what was a
	corner/floating/sliding panel. Switching between corner/
	floating/sliding is just a matter of moving the panel.

	Some other improvements in the widget like auto hiding
	into corners, stock gtk arrows for the hide buttons,
	no shadow at the screen edge, simpler (and hopefully
	smoother) animations.

	This patch isn't finished. Loading/saving Configuration
	doesn't work, drawers don't work (implemented but crashing),
	propert keynav for the widget has to be implemented etc.
	See the TODO in panel-toplevel.c

	* Makefile.am: remove loads of files, add a good few
	files. Generate enums from panel-enums.h. Only ever
	generate enum types, not flags types.

	* aligned-widget.[ch], basep-widget.[ch], border-widget.[ch],
	  drawer-widget.[ch], edge-widget.[ch], floating-widget.[ch],
	  sliding-widget.[ch]: remove these.

	* panel-toplevel.[ch]: add a new toplevel panel widget.
	A complete rewrite BasePWidget and co., and consolidates
	them all into a single widget.

	* panel-frame.[ch]: new widget which doesn't draw the shadow
	at the screen edge. Should help us with our Fitt worshipping.

	* applet.c: comment out all gconf/configuration code
	for the moment and update everything to use PanelToplevel
	instead of BasePWidget and co.

	* button-widget.[ch]:
	(calculate_overlay_geometry): remove some overlaying which
	isn't needed anymore.
	(button_widget_realize), (button_widget_parent_set),
	(button_widget_get_property), (button_widget_set_property),
	(draw_arrow), (button_widget_expose),
	(button_widget_size_allocate), (button_widget_instance_init),
	(button_widget_class_init), (button_widget_new),
	(button_widget_new_from_stock), (button_widget_set_params):
	Update for toplevel changes plus use PanelOrientation everywhere
	instead of PanelOrient.

	* drawer.[ch]: re-write big chunks of this to use PanelToplevel.
	None of this is really tested, though, and is broken atm.

	* global-keys.c: (panel_global_keys_filter): update for new
	autohide blocking mechanism.

	* gnome-run.c: update for multiscreen/a11y function renaming.

	* launcher.c: update to use PanelToplevel.

	* main.c: (main): various updates and kill initial state change
	crack.

	* menu-util.c: upd for multiscreen renaming.

	* menu.c: (menuitem_to_screen), (menu_on_screen),
	(add_app_to_panel), (add_drawers_from_dir),
	(add_menudrawer_to_panel), (add_menu_to_panel), (show_item_menu),
	(add_drawer_to_panel), (add_action_button_to_panel),
	(add_menu_bar_to_panel), (add_launcher), (menu_deactivate),
	(add_bonobo_applet): various unexciting updates.
	(find_empty_pos_array), (find_empty_pos),
	(find_empty_edge), (find_empty_border_and_anchor): disable all
	this initial panel position code until I figure out how to
	replace it.
	(create_new_panel): no more different panel types - this is a
	tiny function now.
	(create_add_panel_submenu): no "New Panel" submenu anymore.
	(remove_panel_accept): upd.
	(remove_panel_query): disable the "you can't remove your last
	panel" code for the moment.
	(setup_remove_this_panel): ditto.
	(current_panel_config): disable configuration dialog for the
	moment.
	(toggle_expand), (toggle_auto_hide), (rotate_clockwise),
	(rotate_counter_clockwise), (increase_size), (decrease_size),
	(toggle_animations), (toggle_buttons), (toggle_arrows),
	(create_toplevel_testing_menu), (make_panel_submenu): replace
	with a submenu for testing the new toplevel widget.
	(create_panel_context_menu), (ask_about_launcher_cb),
	(menu_button_menu_popup), (create_panel_menu),
	(create_menu_applet), (set_menu_applet_orientation),
	(load_menu_applet): more unexciting updates.

	* multiscreen-stuff.[ch]: rename to panel-multiscreen.[ch] (wow)
	and use GdkScreen instead of the screen number everywhere.

	* panel-access.c: rename to panel-a11y.[ch].

	* panel-action-button.c: more unexciting updates.

	* panel-applet-frame.[ch]:
	(panel_applet_frame_change_orientation): give up trying to keep
	the internal orientation enum in sync with the IDL definition,
	just map between the two when setting the property.
	(panel_applet_frame_paint), (panel_applet_frame_constrain_size),
	(panel_applet_frame_size_request),
	(panel_applet_frame_size_allocate),
	(panel_applet_frame_loading_failed),
	(panel_applet_frame_instance_init),
	(panel_applet_frame_get_orient_string),
	(panel_applet_frame_construct): upd for above.

	* panel-compatibility.c:
	(panel_compatibility_load_menu_panel): disable for the moment.

	* panel-config.[ch]: disable all this too.

	* panel-types.h: remove some enums.

	* panel-util.c: upd.

	* panel-widget.[ch]: (add_all_move_bindings),
	(panel_widget_size_allocate), (panel_widget_realize),
	(panel_widget_unrealize), (panel_widget_new),
	(panel_widget_reparent),(panel_widget_change_params): nothing
	exciting here.
	(panel_widget_set_packed), (panel_widget_set_orientation),
	(panel_widget_set_size): new functions so you don't have to
	call change_params passing in a multitude of params that you
	don't want to set.
	(panel_widget_focus), (panel_widget_get_applet_orientation):
	upd.

	* panel-xutils.[ch]: some new x utility methods.

	* panel.[ch]: (orientation_change), (panel_orient_change),
	(panel_size_change), (panel_back_change), (panel_applet_added),
	(panel_applet_removed), (menu_deactivate), (panel_destroy),
	(panel_applet_move): updates and remove loads of code. e.g.
	moving panels with the mouse is handled in panel-toplevel now.
	(make_popup_panel_menu), (panel_popup_menu),
	(panel_popup_menu_signal), (panel_button_press_event),
	(panel_key_press_event): simplify popup menu code and event
	handling.
	(drop_background_reset), (drop_bgimage), (drop_color):
	don't update the frame.
	(panel_check_dnd_target_data), (do_highlight),
	(drag_motion_cb), (drag_drop_cb), (drag_data_recieved_cb): more
	boring stuff.
	(panel_setup): remove a good bit of code - we're hooked up to
	a hell off a lot less signals now.
	(panel_data_by_id),
	(panel_screen_from_panel_widget),
	(panel_monitor_from_panel_widget), (panel_is_applet_right_stick),
	(panel_apply_global_config): boring.
	(panel_get_string), (panel_get_int), (panel_get_bool),
	(panel_set_string), (panel_set_int), (panel_set_bool),
	(panel_load_drawer_panel_from_gconf), (panel_load_panel_from_gconf),
	(panel_load_fallback_default_panel), (panel_load_panels_from_gconf):
	disable all the gconf code for now.

	* session.c: (panel_session_do_save), (panel_session_die),
	(session_load): disable some stuff temporarily.

2003-03-04 Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* gnome-panel-screenshot.c (on_ok_button_clicked): Fix #107578 by
	  converting from utf8 when getting text from the text entry.

2003-03-03  Mark McLoughlin  <mark@skynet.ie>

	* panel.c: (panel_load_panel_from_gconf): load the background
	color when there is one set. Doh. Patch from Greg Hudson,
	ghudson@mit.edu - #107401.

2003-03-01  Arvind Samptur <arvind.samptur@wipro.com>

	Based on fix from Sunil Mohan Adapa (sunilmohanadapa@postmark.net)

	* panel-widget.c: (panel_widget_switch_move) : Modify the conditon
	to break the loop. Fixes panel hang when moving applets. #106832

2003-03-01  Arvind Samptur <arvind.samptur@wipro.com>
	* menu.c (panel_delete_query) : Make the delete dialog
	modal. Avoids deleting of all the panels by accident.
	Fixes #107099

2003-02-26  Mark McLoughlin  <mark@skynet.ie>

	* menu.c: (button_style_event_cb): fix warning.

2003-02-26  Mark McLoughlin  <mark@skynet.ie>

	* panel-action-protocol.c: (panel_action_protocol_main_menu):
	don't popup the menu in idle - fixed the keyboard grab
	problem.

2003-02-25  Mark McLoughlin  <mark@skynet.ie>

	* xstuff.c: (xstuff_zoom_animate): fix typo pointed out
	by Paul Gammans <paul@computer-surgery.co.uk>

2003-02-24  Mark McLoughlin  <mark@skynet.ie>

	* panel-action-protocol.c: (popup_menu_in_idle),
	(panel_action_protocol_main_menu), (panel_action_protocol_filter):
	popup the menu in a timeout. For some reason (which I can't track
	down) the keyboard grab on the popup is failing with AlreadyGrabbed.

2003-02-24  Mark McLoughlin  <mark@skynet.ie>

	* panel-stock-icons.c: (panel_init_stock_icons): don't give
	a warning when we stock_icons[i].icon is NULL - i.e. with
	PANEL_STOCK_ACTION stock icon.

2003-02-24  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am:
	* eggaccelerators.c:
	* eggaccelerators.h: kill eggaccelerators.[ch]. Not used
	anymore.

	* panel-config-global.c: (panel_global_config_set_entry):
	* panel-config-global.h:
	* panel-global-config.schemas.in:
	* panel.c: (panel_save_global_config): kill support for
	the keybindings related global keys.

	* panel-util.[ch]: kill a couple of accelerator related
	utility methods.

2003-02-24  Mark McLoughlin  <mark@skynet.ie>

	Move responsibility for the various global keybindings
	from the panel to the winow manager. Window managers can
	invoke the keybindings using the _GNOME_PANEL_ACTION
	ClientMessage protocol.

	* Makefile.am: add panel-action-protocol.[ch] and remove
	global-keys.[ch].

	* panel-action-protocol.[ch]: implement the protocol.

	* global-keys.[ch]: kill.

	* main.c: (main): upd.

	* panel.c: (panel_apply_global_config): upd.

	* xstuff.[ch]: (xstuff_init): kill.

2003-02-22  Arvind Samptur <arvind.samptur@wipro.com>

	Do not popup a 'Delete Panel" query if there are
	no objects in the panel.

	Based on patch from  Heeten (azari.geo@yahoo.com)
	Fixes #105723

	* panel.[ch] : (panel_delete) (panel_delete_query)
	(panel_delete_without_query) :
	Re-organize the panel deletion methods for deleting 
	the panel without user interaction when they have no 
	objects on them.

	* drawer.[ch] : (create_drawer_applet) : Get hold
	of the handler for focus_out event of the drawer button.
	Disconnect while deleting the drawer.

	* applet.c : (applet_idle_remove) Use panel_delete().

	* menu.c : (remove_panel) Use panel_delete().

2003-02-17  Frank Worsley  <fworsley@shaw.ca>

	Unify how applets and internal buttons are added to the applets
	menu. Also added a new 'Actions' category.

	* menu.c: (applet_menu_get_category_icon), (applet_menu_append),
	(applet_menu_append_category), (applet_info_sort_func),
	(append_internal_applets), (create_applets_menu),
	(create_add_launcher_menu), (make_add_submenu): see above.
	
	* panel-stock-icons.c:
	* panel-stock-icons.h: added PANEL_STOCK_ACTION which is null for 
	now until someone makes a nice icon for it

2003-02-17  Arvind Samptur <arvind.samptur@wipro.com>
	* panel.c: (panel_delete_query): Centered the delete query dialog.

2003-02-17  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: add support for the GCONF_SCHEMAS_INSTALL
	conditional and the GCONF_SCHEMA_FILE_DIR variable. Patch
	from Julio Merino.

2003-02-14  Arvind Samptur <arvind.samptur@wipro.com>
	* applet.c: (applet_idle_remove) Deleting the drawer panel
	using the drawer button queries the user.

	* panel.[ch]: (panel_delete_query) (remove_panel_accept):
	When deleting the panel, clean up drawers if they exist.

	*panel-widget.[ch]: (panel_widget_remove_drawers): Cleanup the gconf of
	the drawers recursively, if they each drawer holds another drawer.

2003-02-12  Rajkumar Sivasamy  <rajkumar.siva@wipro.com>

	* panel-action-button.c: Listen to "style-set" signal for 
	theme changes and update LockScreen and LogOut buttons 
	with new stock images supplied.
	Fixes bug 105948

2003-02-11  Rajkumar Sivasamy  <rajkumar.siva@wipro.com>

	* menu.c: Use stock icon for GNOME Foot menu.
	Fixes bug 95317

2003-01-30  Arvind Samptur <arvind.samptur@wipro.com>
	* panel-widget.[ch]: Add a GSList to the PanelWidget struct
	to keep track of all the open 'Create Launcher' dialogs.
	
	* panel.c: (panel_remove_open_create_launcher_dialogs) : Destroy
	all the open 'Create Launcher' dialogs while deleting the panel.

	* menu.c (remove_panel_query) ( remove_panel_accept) : Store the
	'Delete Panel' dialog. Avoid creating multiple instances of it.
	
2003-01-22  Mark McLoughlin  <mark@skynet.ie>

	* egg-recent-model.c:
	* egg-recent-util.c:
	* egg-recent-view-gtk.c: sync with libegg.

2003-01-21  Mark McLoughlin  <mark@skynet.ie>

	Makes keybindings work on multi-screen setups.
	Fixes #93757 - based on a patch from Erwann.

	* xstuff.[ch]: (xstuff_grab_key_on_all_screens):
	Grab/Ungrab the key on all screens.

	* global-keys.c: (do_grab_key), (do_ungrab_key):
	use it here.

2003-01-20  Mark McLoughlin  <mark@skynet.ie>

	* panel-compatibility.c:
	(panel_compatibility_warn),
	(panel_compatibility_load_menu_panel): display a lovely
	big warning dialog that I'm lame because I didn't maintain
	backwards compatibility when loading menu panels. Will
	need to be properly fixed soon.

2003-01-20  Mark McLoughlin  <mark@skynet.ie>

	Do not migrate old logout/lock buttons to the action
	button configuration - this broke backwards compatibility
	with gnome-panel 2.0.x. Fixes #103927.

	* panel-action-button.[ch]:
	(panel_action_button_load): add compatibility flag to 
	indicate a logout/lock action button should be loaded
	and saved as an old style logout/lock button.
	(panel_action_button_load_from_gconf),
	(panel_action_button_load_from_drag): upd.

	* applet.c:
	(applet_callback_callback): handle old style lock
	and logout buttons.
	(panel_applet_load_idle_handler): fix bug with compatible
	loading.
	(panel_applet_save_to_gconf): handle old style lock/logout
	buttons.

	* menu.c: (add_action_button_to_panel): upd.

2003-01-14  Mark McLoughlin  <mark@skynet.ie>

	* gnome-panelrc: add a comment to say this is
	intentionally left empty. #103274.

2003-01-12  Christian Neumair  <chris@gnome-de.org>

	* panel-menu-bar.c: Marked "Run Program..." for translation.

2003-01-12  Mark McLoughlin  <mark@skynet.ie>

	* panel-menu-bar.c:
	(panel_menu_bar_append_actions_menu): only add a
	seperator after the screenshot item if we actually
	have a screenshot item.

2003-01-12  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: remove foobar-widget.[ch].

	* panel-compatibility.[ch]:
	(panel_compatibility_load_menu_panel): rename from
	foobar_widget_new().

	* panel-stock-icons.[ch]:
	(panel_menu_bar_icon_get_size): rename from
	panel_foobat_icon_get_size() but keep the icon size
	name as "foobar-menu" for compatibility.
	(panel_init_stock_icons_and_items): upd.

	* panel-types.h: s/FOOBAR_PANEL/MENU_PANEL/

	* aligned-widget.c, applet.c, basep-widget.c, button-widget.c,
	  drawer-widget.c, drawer.c, edge-widget.c, floating-widget.c,
	  global-keys.c, menu-util.c, menu.[ch], multiscreen-stuff.c,
	  panel-menu-bar.c, panel-util.c, panel-widget.c, panel.[ch],
	  sliding-widget.c: remove all special case handling of the
	foobar. We only have BasePWidget based panels now.

	* foobar-widget.[ch]: kill.

2003-01-10  Mark McLoughlin  <mark@skynet.ie>

	* panel-per-panel-config.schemas.in: make the default
	top panel an edge panel.

2003-01-10  Mark McLoughlin  <mark@skynet.ie>

	* menu.c:
	(create_new_panel): remove the menu panel case.
	(create_add_panel_submenu): remove the menu panel
	item.

2003-01-10  Mark McLoughlin  <mark@skynet.ie>

	Screw this for a game of soldiers. Load the compatibility
	applets after all other applets have been loaded so we can
	guarantee their position.

	* panel-compatibility.[ch]:
	(foobar_widget_new): don't load the compat applets
	here, set a flag and they'll be loaded later.
	(panel_compatibility_load_applets): impl iterating
	through all panels and loading compat applets where
	the flag is set.

	* applet.c:
	(panel_applet_load_idle_handler): load compat applets
	from here.
	(panel_applet_loaded): kill this.
	(panel_applet_load_from_unique_id):  update.

2003-01-10  Mark McLoughlin  <mark@skynet.ie>

	Hmm, that was loading two copies of the menu bar
	and window menu. Fixed that but I'm still having
	trouble getting the window menu on the far right
	of a compat foobar.

	* applet.c:
	(panel_applet_loaded): impl checking to see if an
	applet was already loaded.
	(panel_applet_load_from_unique_id): use it here.
	Don't load an already loaded applet.

	* panel-compatibility.c: (foobar_widget_new): kill
	debug.

2003-01-10  Mark McLoughlin  <mark@skynet.ie>

	Add the code to make old configurations work. I'll
	get rid of FoobarWidget properly soon.

	* Makefile.am: add panel-compatibility.[ch] to
	the build.

	* foobar-widget.[ch]: (foobar_widget_new_dud):
	rename from foobar_widget_new().

	* menu.c: (create_new_panel): don't cast to
	a foobar, its a basep now.

	* panel-compatibility.[ch]: (foobar_widget_new):
	impl loading an edge panel with a menu bar and
	window menu instead of a menu panel.

	* panel.c: include panel-compatibility.h.

2003-01-10  Mark McLoughlin  <mark@skynet.ie>

	Move the menu bar out of foobar-widget as a seperate
	internal applet. The default panel configuration looks
	identical to before, but if you have a menu panel in
	your saved configuration its going to be missing the
	menu bar and the window menu. I'll be removing the
	menu panel completely and adding some compatibility
	code to load an edge panel set up like a menu panel
	when it sees a menu panel in your configuration.

	* panel-menu-bar.[ch]: new internal applet identical
	to the menu bar formerly on the left of menu panel.

	* Makefile.am: add panel-menu-bar.[ch] to the build.

	* applet.[ch]:
	(applet_callback_callback), (panel_applet_load_idle_handler),
	(panel_applet_save_to_gconf): handle loading/saving the
	menu bar.

	* foobar-widget.c: (foobar_widget_class_init),
	(foobar_widget_instance_init), (foobar_widget_exists):
	Remove the old menu bar.

	* menu.c: (add_menu_bar_to_panel), (make_add_submenu):
	Add it to the menus.

	* panel-per-panel-config.schemas.in: add the menu bar
	to the left hand side of the menu panel in the default
	configuration.

	* panel.c: (drop_internal_applet): handle dnd-ing the
	menu bar.

2003-01-10  Mark McLoughlin  <mark@skynet.ie>

	Fix a race with applets that use expand flags. Applet
	filling happens asynchronously, so you can never be sure
	that the flags have been set by the time you add it to
	the PanelWidget.

	* applet.c: (panel_applet_register): don't set expand flags
	from here.

	* panel-applet-frame.[ch]:
	(panel_applet_frame_update_expand_flags): rename this function
	and make it private. It now sets the expand flags (as used
	by PanelWidget) itself.
	(panel_applet_frame_constrain_size): use it here.

	* panel-widget.[ch]:
	(panel_widget_cadd): update.
	(panel_widget_add): don't accept expand flags as args.
	(panel_widget_set_applet_expandable): impl setting the
	expand flags here.

2003-01-10  Mark McLoughlin  <mark@skynet.ie>

	Remove the remaining dependancy on libwnck.

	* Makefile.am: link gnome-desktop-item-edit with xstuff.c
	'cause it uses panel-util.c.

	* main.c: (main): pass the global_keys_filter to xstuff_init.

	* panel-util.c: (panel_ditem_launch): use
	xstuff_get_current_workspace instead of libwnck.

	* xstuff.[ch]:
	(xstuff_init): take a filter handler as an argument.
	(xstuff_get_current_workspace): impl.

Thu Jan 09 16:39:25 2003  George Lebl <jirka@5z.com>

	* gnome-panel-screenshot.c: actually fix the permission problem
	  in the case when we don't do a temporary.  Fixes #94974

2003-01-10  Mark McLoughlin  <mark@skynet.ie>

	* foobar-widget.[ch]: (foobar_widget_realize),
	(foobar_widget_instance_init), (foobar_widget_destroy),
	(foobar_widget_popup_panel_menu): remove the old
	window menu.

	* menu-util.c: include panel-stock-icons.h to fix warning.

	* panel-per-panel-config.schemas.in: add a window menu
	applet to the default menu panel.

2003-01-07  Mark McLoughlin  <mark@skynet.ie>

	* panel-util.c: (set_color_back): don't try to set the
	background colour on the hide buttons if the colour
	contains an alpha channel. Fixes hide buttons being
	a weird colour with transparent panels.

	* panel-widget.c:
	(panel_widget_set_background_region): impl correctly
	setting the desktop background to use. Fixes mis-aligned
	background when using hide-buttons.
	(panel_widget_size_allocate),
	(toplevel_configure_event): use it here.

2003-01-07  Mark McLoughlin  <mark@skynet.ie>

	* panel-per-panel-config.schemas.in: make the bottom
	panel opaque again.

2003-01-07  Mark McLoughlin  <mark@skynet.ie>

	* panel-per-panel-config.schemas.in: add the
	"Show Desktop Button" applet to the left of the tasklist
	on the bottom panel and make the bottom panel fully
	transparent.

2003-01-06  Mark McLoughlin  <mark@skynet.ie>

	* egg-recent-util.c: (load_icon_file): sync with libegg.

2003-01-06  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: remove egg-recent-vfs-utils.[ch].

	* egg-recent-item.c:
	* egg-recent-model.c:
	* egg-recent-util.[ch]:
	* egg-recent-view-gtk.[ch]: sync with libegg.

	* egg-recent-vfs-utils.[ch]: remove

	* panel-recent.c: (panel_recent_append_documents_menu):
	Use the new RecentView icon size API to make sure we use
	the same icon size as the panel menu.

2003-01-06  Mark McLoughlin  <mark@skynet.ie>

	Fix #95995 by making only the applications/actions menu use
	"panel-menu" icon size and the rest use the "gtk-menu" size.
	I swear, this icon size crap will be death of me yet ...

	* menu.[ch]: (icon_to_load_copy): add a GtkIconSize member to
	IconToLoad and IconToAdd.
	(menu_item_style_set): pass the icon size as the signal data
	and use it instead of "panel-menu".
	(setup_full_menuitem), (panel_load_menu_image_deferred),
	(setup_stock_menu_item): add a GtkIconSize param to these.
	(do_icons_to_add), (load_icons_handler),
	(image_menuitem_size_request), (setup_menuitem),
	(create_menuitem): pass the icon size up the chain.
	(show_item_menu), (applet_menu_append),
	(create_add_panel_submenu), (create_button_menu),
	(make_panel_submenu), (create_panel_context_menu),
	(make_add_submenu): use "gtk-menu" for all these.
	(create_desktop_menu), (add_distribution_submenu),
	(add_kde_submenu), (create_root_menu):
	use "panel-menu" here.

	* applet.c: (setup_an_item), (panel_applet_create_menu):
	Use "gtk-menu" icon size for these menus.

	* menu-util.c: (stock_menu_item_new): use "panel-menu" icon
	size for this one.

2003-01-05  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: use @ENUMSHORT@ mkenums substitution pattern
	instead of @ENUMNAME@. Gives nicer looking names.

	* aligned-widget.c: (aligned_pos_class_init):
	* basep-widget.c: (basep_widget_class_init):
	* border-widget.c: (border_pos_class_init):
	* button-widget.c: (button_widget_class_init):
	* panel-action-button.c: (panel_action_button_class_init):
	Update.

2003-01-02  Padraig O'Briain  <padraig.obriain@sun.com>

	* button-widget.c (button_widget_leave_notify): Call GtkButton's
	leave_notify_event to cause the button's state to be reset from 
	PRELIGHT.

	This fixes bug #101546.

2003-01-02  Mark McLoughlin  <mark@skynet.ie>

	Impl periodically re-running the applet menu bonobo
	query and re-generating the menu if it has changed.

	* menu.c:
	(Bonobo_ServerInfoList_equals): impl comparing server
	lists.
	(recheck_applet_list), (menu_item_destroyed),
	(instrument_add_submenu_for_reload): impl periodically
	re-running the bonobo-activation query to see if there
	has been any change in the available applets.
	(create_applets_menu): take a server list as an argument.
	(create_button_menu), (current_panel_config),
	(make_panel_submenu), (show_panel_help),
	(create_panel_context_menu), (ask_about_launcher_cb):
	(make_add_submenu), (create_root_menu):
	lots of cleanups to make it clear there is only one place
	the "Add to Panel" submenu appears these days.

	* menu.h: remove some menu flags. Add big flashing sign
	in neon lights to warn against assuming that the panel
	is not on crack.

2002-12-23  Padraig O'Briain  <padraig.obriain@sun.com>

	* menu.c
	(load_icon_handler): Get icon height when about to load icon
	(image_menu_shown): Remove getting icon height; we do it in
	load_icon_handler() as it may change by the time the icon is loaded.

2002-12-22  Frank Worsley <fworsley@shaw.ca>

	* gnome-run.c: (show_run_dialog): fix #77089, focus program
	list if list expanded, otherwise focus entry in run dialog	

2002-12-23  Mark McLoughlin  <mark@skynet.ie>

	* menu.c: (about_cb): remove translations marks from around
	the copyright notices for the about dialogs. The container
	non-ascii characters and no longer need to be translated
	 anyhow. Fixes #101796.

2002-12-20  Arvind Samptur <arvind.samptur@wipro.com>
	* drawer-widget.c (drawer_pos_hidebutton_click):
	guess a small typo by mark while checking in the #93541.
	fixes the crash while closing the drawer panel.

2002-12-20  Mark McLoughlin  <mark@skynet.ie>

	/me shovels more crap onto the dung heap that is the panel.

	More precisely, fix #93177 by loading the default panel
	configuration on all screens, instead of just loading
	a foobar on the non-default screens.

	* applet.h: kill APPLET_EMPTY and all the string
	ids which haven't been used since 1.4.

	* applet.c:
	(panel_applet_get_full_gconf_key): kill. dead. good bye.
	(panel_applet_load_from_unique_id),
	(panel_applet_load_list): use PanelGConfKeyType to
	distinguish between "applets" and "objects" instead of
	using the APPLET_EMPTY hack.
	(panel_applet_load_default_applet_for_screen),
	(panel_applet_load_defaults_for_screen): impl loading the
	configuration for the default set of applets onto a
	particular screen.
	(panel_applet_save_position), (panel_applet_save_to_gconf):
	use panel_gconf_full_key instead of panel_applet_get_full_gconf_key;

	* panel-gconf.[ch]:
	(panel_gconf_load_default_config_for_screen): impl method
	for applying the schemas for a default panel or applet
	to a new panel or applet on a given screen.

	* panel.c:
	(panel_load_fallback_default_panel): the worst case scenario.
	Just load a foobar.
	(panel_load_default_panel_for_screen),
	(panel_load_default_panels_for_screen): impl loading the
	configuration for the default set of panels onto a
        particular screen.
	(panel_ensure_panel_per_screen): load the default panels
	if no other panels are on that screen.
	(panel_load_panels_from_gconf): upd.

2002-12-20  Mark McLoughlin  <mark@skynet.ie>

	Fixes #93541, panel hogging the CPU when hide_delay
	and show_delay are zero.

	* basep-widget.c:
	(find_non_drawer_parent_panel): recurse up through the
	drawers to find the topmost panel.
	(basep_leave_notify): don't queue an autohide on a drawer,
	queue it on the topmost non-drawer parent panel instead.
	(basep_widget_queue_autoshow): use show_delay not hide_delay.
	Also, queue an idle instead of a timeout if the delay is
	<= 0.
	(basep_widget_autohide): don't return TRUE at silly times
	where the autohide will be re-queued anyway.
	(basep_widget_queue_autohide): Queue an idle instead of
	a timeout if the delay is <= 0.

	* drawer-widget.[ch]:
	(drawer_pos_hidebutton_click): use drawer_widget_get_drawer().
	(drawer_widget_set_drawer), (drawer_widget_get_drawer): impl.
	small wrapper for the g_object_get/set_data so its in the
	one location.

	* drawer.c: (create_drawer_applet):
	use drawer_widget_set_drawer().

	* drawer.h: kill DRAWER_PANEL_KEY.

2002-12-20  Dennis Cranston <dennis_cranston@yahoo.com>

	* menu.c: (about_cb): Fix previous commit so build
	doesn't fail.
	
2002-12-20  Mark McLoughlin  <mark@skynet.ie>

	* menu.c: (about_cb): Fixup reference to the
	FSF. Fixes #101593.

2002-12-19  Mark McLoughlin  <mark@skynet.ie>

	No, this isn't purely random re-factoring. Its
	needed to fix something else.

	* panel.c:
	(panel_load_panels_from_gconf): split this gigantic
	function into several smaller ones.
	(panel_load_edge_panel_from_gconf),
	(panel_load_aligned_panel_from_gconf),
	(panel_load_sliding_panel_from_gconf),
	(panel_load_drawer_panel_from_gconf),
	(panel_load_floating_panel_from_gconf),
	(panel_load_panel_from_gconf): split our from
	load_panels_from_gconf().

	* aligned-widget.[ch], basep-widget.[ch],
	  border-widget.[ch], drawer-widget.[ch],
	  edge-widget.[ch], floating-widget.[ch]
	  panel-widget.[ch], sliding-widget.[ch]:
	s/char */const char */ for couple of params.

2002-12-19  Mark McLoughlin  <mark@skynet.ie>

	* help/*: remove these files.

2002-12-18  Mark McLoughlin  <mark@skynet.ie>

	Fixes menu items not resizing when icon size changes.

	* menu.c:
	(reload_image_menu_items), (icon_theme_changed),
	(panel_menu_new): re-indent the icon theme change
	handling stuff.
	(menu_item_style_set), (do_icons_to_add): connect
	to the "style_set" signal and reload the image
	if the icon size changes.

2002-12-18  Mark McLoughlin  <mark@skynet.ie>

	Implement support for tiled background images. #100952.

	* panel-background-monitor.c:
	(panel_background_monitor_tile_background): impl.
	(panel_background_monitor_setup_pixbuf): if the
	background pixmap is smaller than the actual
	root window size, then tile it onto our pixbuf.

2002-12-17  Mark McLoughlin  <mark@skynet.ie>

	Make PanelBackgroundMonitor multiscreen aware.

	* panel-background-monitor.[ch]:
	(panel_background_monitor_init): factor out the
	screen specific stuff to
	(panel_background_monitor_connect_to_screen): here.
	(panel_background_monitor_new): take a GdkScreen arg.
	(panel_background_monitor_get_for_screen): keep a
	list of monitors, one for each screen, instead of
	a single one.
	(panel_background_monitor_get): get the monitor for
	the default screen.

	* panel-background.c: (get_desktop_pixbuf): use
	panel_background_monitor_get_for_screen().

2002-12-17  Mark McLoughlin  <mark@skynet.ie>

	* panel-stock-icons.h: add panel_button_icon_get_size()
	to fix warning.

2002-12-17  Mark McLoughlin  <mark@skynet.ie>

	* gnome-panel-preferences.c: (bool_value_changed_notify),
	(load_checkboxes), (enum_value_changed_notify),
	(load_animation_menu), (load_config_into_gui): receive
	gconf notifications and update the GUI accordingly.
	Fixes #101064.

2002-12-13  Rajkumar Sivasamy  <rajkumar.siva@wipro.com>

	* panel-stock-icons.[ch],
	  basep-widget.c:  Register images used by panel show/hide button
	  as stock images, so that they can be themed.
	  Fixes bug #99208.

2002-12-17  Mark McLoughlin  <mark@skynet.ie>

	* egg-recent-model.c:
	* egg-recent-util.c:
	* egg-recent-view-gtk.c:
	* egg-recent-view-gtk.h:
	* egg-recent-view.h:
	* egg-screen-exec.c: sync with libegg. Fixes #101108.

2002-12-16  Mark McLoughlin  <mark@skynet.ie>

	Make it possible to perform all relevant drops
	for a panel on the drawer button. Fixes #100965.

	* drawer.[ch]:
	(destroy_drawer): remove close timeout.
	(drag_data_received_cb),
	(drag_motion_cb), (close_drawer_in_idle),
	(queue_drawer_close_for_drag), (drag_leave_cb),
	(drag_drop_cb): impl.
	(create_drawer_applet): hook up dnd signals.

	* panel.[ch]:
	(panel_check_dnd_target_data),
	(panel_check_drop_forbidden),
	(panel_receive_dnd_data): split out parts of the
	panel dnd implementation so that the drawer can
	use it.
	(drag_data_recieved_cb), (drag_motion_cb),
	(drag_drop_cb): use it here also.

2002-12-16  Arvind Samptur <arvind.samptur@wipro.com>
	* disclosure-widget.c (class_init): attach a 
	destroy handler. 
	(cddb_disclosure_destroy): remove the timer on
	a destroy. Fixes #100992.
	(get_x_y),(expand_collapse_timeout): remove the unused 
	variables. Get rid of warnings.
	(do_animation): replace gtk_timeout_remove() with
	g_source_remove().
	
2002-12-16  Mark McLoughlin  <mark@skynet.ie>

	Fixes a crash when moving between panels #98265.

	* applet.c: (panel_applet_get_panel_id): return NULL
	if we're in the middle of being re-parented.
	(panel_applet_save_position): don't save our position
	if we get a NULL panel_id.

	* applet.h: don't export panel_applet_get_panel_id().

2002-12-16  Mark McLoughlin  <mark@skynet.ie>

	* menu.c: (do_icons_to_add), (load_icons_handler),
	add a ref/unref pair for the GtkImage to make
	the crash in #99378 impossible.

2002-12-16  Mark McLoughlin  <mark@skynet.ie>

	* panel-background.c: (panel_background_prepare):
	fix warning.

2002-12-16  Mark McLoughlin  <mark@skynet.ie>

	Be more robust in the face of applet crashes
	during loading. Should fix #99205.

	* panel-applet-frame.c: Keep a ref to the PanelWidget
	so that we can reload an applet even when it hasn't
	been fully loaded.
	(popup_handle_move),
	(panel_applet_frame_constrain_size),
	(panel_applet_frame_button_changed): use that ref here.
	(panel_applet_frame_reload_response): fix up to work even
	when an applet hasn't fully loaded.
	(panel_applet_frame_cnx_broken): don't require the applet
	to have been registered.
	(panel_applet_frame_construct): check for failure of
	vairious remote bonobo operations.

2002-12-10  Arvind Samptur <arvind.samptur@wipro.com>
	* panel-background.c: (panel_background_prepare): re-draw
	the panel after setting the background. Fixes #100401

2002-12-10  Dennis Cranston <dennis_cranston@yahoo.com>

	* gnome-panel-preferences.desktop.in:  Add support 
	for startup notification.
	
2002-12-10  Mark McLoughlin  <mark@skynet.ie>

	* menu.c: (about_cb): revert copyright changes
	until we decide on a format.

2002-12-10  Mark McLoughlin  <mark@skynet.ie>

	Fixes #100650, based on a patch from Arvind.

	* applet.[ch]:
	(panel_applet_remove_in_idle): new function.
	(applet_remove_callback): use it.

	* panel.c: (drop_internal_icon): remove the
	applet permanently rather than just destroying
	the widget.

2002-12-06  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* panel-background-monitor.c:
	(panel_background_monitor_xevent_filter):
	Don't leak pixbuf and pixmap.

2002-12-08  Mark McLoughlin  <mark@skynet.ie>

	* menu.c, panel-config-global.c, panel-config-global.h,
	panel-global-config.schemas.in, panel.c: Revert unapproved
	commit.

2002-12-06  Christian Neumair  <chris@gnome-de.org>

	* menu.c, panel-config-global.c, panel-config-global.h,
	panel-global-config.schemas.in, panel.c: Changed tooltips_enabled to
	enable_tooltips for consistency.

2002-12-06  Glynn Foster  <glynn.foster@sun.com>

	* menu.c: (applet_menu_get_category_icon): Add support for 
	'Accessories' in the panel context menu.
	* panel-stock-icons.[ch]: Add new icon. Woo.

2002-12-04  Dennis Cranston <dennis_cranston@yahoo.com>

	* gnome-panel-screenshot.c:  Fixed an old bug where 
	clicking the 'Ok' button in the browse dialog would 
	activate the 'Save' button.
	
	* gnome-panel-screenshot.[c|glade]: More fixes for
	bug report #98912. 
	  - 'save to file' option doesn't remember the last 
	  directory you saved to.  [The history id of the
	  gnome entry was not hooked up.]  
	
2002-12-04  Padraig O'Briain  <padraig.obriain@sun.com>

	* drawer.c: (key_press_drawer) (key_press_drawer_widget): Allow
	keystroke modified by something other that accelerator mod (i.e. Alt).
	This fixes bug #98772.	

2002-12-04  Mark McLoughlin  <mark@skynet.ie>

	* panel-config.c: (background_type_changed):
	when changing from "Color" to "Transparent",
	reset the opacity to 0.

2002-12-04  Mark McLoughlin  <mark@skynet.ie>

	Fix ui-review issues raised in #98914.

	* panel-config.c:
	(make_misc_widget):
	use "new HIG borderless/bold label style" frame.
	(floating_notebook_page): ditto and change strings
	to be a little less confusing. Still a horrible
	dialog though.
	(sliding_notebook_page):
	s/Screen edge offset/Distance from edge/
	(make_size_widget): remove pixel sizes from the
	labels.
	(background_page):
	use "new HIG borderless/bold label style" frame.
	"Verbalise" the image transformation options.
	Remove redundant "Background" strings.
	s/Rotate image for vertical panels/
	  Rotate image when panel is vertical/

2002-12-04  Mark McLoughlin  <mark@skynet.ie>

	* gnome-panel-preferences.glade:
	s/_Animation/Drawer and Panel _Animation/.
	Fixes ui-review bug #98911.

2002-12-04  Mark McLoughlin  <mark@skynet.ie>

	Fix ui-review issues in #98909.

	* menu.c:
	(create_panel_submenu): add seperater between
	'about' menu items.
	(make_add_submenu), (add_menu_widget),
	(create_panel_menu): s/GNOME Menu/Main Menu/g

2002-12-04  Dennis Cranston <dennis_cranston@yahoo.com>

	* gnome-panel-screenshot.[c|glade]:  UI-review changes for bug
	report #98912.  
	  - Frames should follow new HIG borderless/bold label style
	  - Replace 'Ok' with 'Save' and appropriate icon
	  - Preview thumbnail should be left aligned
	  - Dialog should be called 'Save Screenshot' instead of 'Screenshot'
	
2002-12-04  Mark McLoughlin  <mark@skynet.ie>

	Add a "Transparent" pseudo backround type so
	people don't have to fiddle with the opacity
	value in the colour picker.

	* panel-config.c:
	(background_type_changed): if set to transparent,
	just pretend its a color with 0 alpha value.
	(background_page): add "Transparent" option.

2002-12-04  Mark McLoughlin  <mark@skynet.ie>

	* panel-background.c: (panel_background_set):
	don't unset loaded flag when color hasn't changed.

2002-12-04  Mark McLoughlin  <mark@skynet.ie>

	Re-write the background rendering code to be
	less buggy and to be less resource hungry for
	opaque backgrounds. Code is a lot clearer now.

	* Makefile.am: add panel-background.[ch] to the
	build.

	* panel-background.[ch]: re-written implementation
	of the background rendering. Less resource hungry
	for non-alpha backgrounds and colours. And a lot,
	lot less buggy.

	* launcher.c: include egg-screen-exec.h to fix
	warning.

	* menu.c: (create_new_panel): initialise colour
	correctly.

	* panel-applet-frame.c:
	(panel_applet_frame_get_background_string): move the
	implementation of this to panel-background.c.
	(panel_applet_frame_change_background),
	(panel_applet_frame_construct_moniker): upd.

	* panel-background-monitor.[ch]:
	(panel_background_monitor_finalize): don't unref
	NULL references.
	(panel_background_monitor_get): ref the return
	value so we can destroy it when not needed.
	(panel_background_monitor_setup_pixmap): don't leak
	the property data.
	(panel_background_monitor_get_widget_background): kill.

	* panel-types.h: rename PanelBackType to PanelBackgroundType
	and PANEL_BACK_PIXMAP to PANEL_BACK_IMAGE.

	* panel-widget.[ch]: Kill all the old background code and:
	(panel_widget_style_set), (panel_widget_state_changed):
	set the theme defaults on the PanelBackground when they change.
	(toplevel_configure_event): change the desktop background
	region when the toplevel is moved or resized.
	(panel_widget_realize), (panel_widget_unrealize): impl

	* aligned-widget.[ch], basep-widget.[ch], border-widget.[ch],
	  drawer-widget.[ch], edge-widget.[ch], floating-widget.[ch],
	  panel-config.[ch], panel-util.c, panel.c, sliding-widget.[ch]:
	Mucho minor and boring updates for changes in the various
	background structs and enums.

2002-12-04  Mark McLoughlin  <mark@skynet.ie>

	* menu.c: (about_cb): no whitespace before punctuation marks.

2002-11-18  Fernando Herrera <fherrera@onirica.com>

	* gnome-panel-preferences.desktop.in: add X-GNOME-BUGZILLA stuff

2003-12-03  Arvind Samptur <arvind.samptur@wipro.com>
	* menu.c (menu_button_menu_popup)
	* panel.c (panel_do_popup_menu): use basep_widget_queue_autohide
	instead of basep_widget_autohide. Fixes #97182

2002-12-03  Arvind Samptur <arvind.samptur@wipro.com>
	* launcher.[ch]: add a destroy_handler to the 
	launcher structure. Helps in the destroying the
	properties dialog when launchers are dragged and
	dropped.
	* panel.c (drop_internal_icon) disconnect the 
	destroy handler on the properties dialog and
	explicitly destroy it. Fixes #97112.

2002-12-02  Christian Neumair  <chris@gnome-de.org>

	* menu.c: Changed copyright string, made "Delete Panel" translatable.

2002-11-24  Iain <iain@prettypeople.org>

	* menu.c (setup_stock_menu_item): Check if the stock_is is NULL.
	(create_button_menu): Create a submenu for the buttons.
	(make_add_submenu): Create a buttons submenu and move all the buttons
	into it.

2002-10-10  Satyajit Kanungo  <satyajit.kanungo@wipro.com>

	Fixes the Issue of drag and drop to the panel always launches the
	application in primary screen.Bug #94258 .

	* launcher.c : drag_data_received_cb(). Changed to call the new API
	  of gnome-desktop gnome_desktop_item_drop_uri_list_with_env and
	  passed the environment to it. So that gnome-desktop can launch the
	  application in appropriate screen.

2002-11-28  Mark McLoughlin  <mark@skynet.ie>

	* panel-util.[ch]: (panel_ditem_launch):
	use gnome_desktop_item_launch_on_screen so
	that startup notification can work correctly.
	Also change the order of the arguments to
	reflect libgnome-desktop

	* gnome-run.c: (launch_selected):
	* launcher.c: (launch_cb):
	* menu.c: (activate_app_def): upd.

2002-11-27  Stanislav Brabec  <sbrabec@suse.cz>

	* distribution.c: Updated path to SuSE distribution menu.

2002-11-17  Mark McLoughlin  <mark@skynet.ie>

	* panel.c: (panel_load_panels_from_gconf):
	s/no_background/no-background/. Fixes #98565.

	* applet.c: (panel_applet_load_from_unique_id):
	* gnome-panel-preferences.c: (load_animation_menu):
	* panel-config-global.c: (panel_global_config_set_entry):
	* panel.c: (panel_load_panels_from_gconf): Learn from that
	lesson and audit all usage of gconf_string_to_enum to
	not rely on the enum value being initialised.

	* panel-gconf.[ch]: kill panel_gconf_string_to_enum().

2002-11-15  Mark McLoughlin  <mark@skynet.ie>

	* disclosure-widget.c: (finalize), (get_x_y),
	(expand_collapse_timeout), (do_animation), (class_init):
	Port over the patches from jaiserca@inf.upv.es and Gman
	to gsearchtools copy of this widget. Should fix #98213.
	This widget should be in libegg.

2002-11-15  Mark McLoughlin  <mark@skynet.ie>

	* gnome-run.c: (run_dialog_response): patch from
	putte_xvi@tunedal.nu to not crash when passed a
	symbolic link. Fixes #97534.

2002-11-12  Andrew Sobala  <andrew@sobala.net>

	* menu.c (image_menu_shown): Update icon height as theme may have
	changed required height (bug #92852)
	
2002-11-06  Andrew Sobala  <andrew@sobala.net>

	* panel-applet-frame.c: string change for localisation

2002-11-04  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: install gnome-panel-screenshot.schemas.

	* gnome-panel-screenshot.c: (main): don't pretend to
	use GError, don't use hypens in gconf keys and don't
	crash.

	* gnome-panel-screenshot.schemas.in: new file.

2002-11-01  Mark McLoughlin  <mark@skynet.ie>

	Add support for translucent panels. Based on a patch
	from Ian McKellar <yakk@yakk.net>. This is still
	quite buggy but its a step forward.

	* Makefile.am: remove rgb-stuff.[ch] from the build
	and add panel-gdk-pixbuf-extensions.[ch] and
	panel-background-monitor.[ch].

	* aligned-widget.[ch], basep-widget.[ch], border-widget.[ch],
	  drawer-widget.[ch], edge-widget.[ch], floating-widget.[ch],
	  sliding-widget.[ch]: all the _new() and change_params()
	functions take a PanelColor instead of a GdkColor now.

	* basep-widget.c: (basep_update_frame): remove the frame
	if its a colour background also.

	* menu.c: (about_cb): Add Ian.

	* panel-applet-frame.c: (panel_applet_frame_get_background_string):
	pass the xid of the background pixmap, not the panel window, to
	the applet. Doh.

	* panel-background-monitor.[ch]: New object to monitor changes
	on the desktop background.

	* panel-config.[ch]: (update_config_back), (color_set_cb),
	(background_page): Add support for configuring the alpha channel
	in the background colour.

	* panel-gdk-pixbuf-extensions.[ch]: copy from eel-gdk-pixbuf-extensions
	for eel_gdk_pixbuf_draw_to_pixbuf_tiled(), but remove all other
	extensions, reduce dependancies and remove the abstraction to allow
	rendering into either a drawable or a pixbuf.

	* panel-types.h: add PanelColor.

	* panel-util.c: (set_color_back): upd for use of PanelColor.

	* panel-widget.[ch]: More or less completely re-write the background
	rendering code. Both image and color backgrounds are not composited
	onto the desktop background image. This still needs work - bugs
	abound.

	* panel.c:
	(panel_load_panels_from_gconf),
	(panel_save_to_gconf): save the alpha channel of the color background.

	* rgb-stuff.[ch]: remove. We no longer use libart to scale and rotate
	pixbufs. We just use gdk-pixbuf directly.

2002-10-27  Anders Carlsson  <andersca@gnu.org>

	* gnome-panel-screenshot.c: Fix a bug with alpha, fix the
	permission problems, and add a feature.

2002-10-18  Rajkumar Sivasamy  <rajkumar.siva@wipro.com>

	* button-widget.c: Fix the problem of launcher's icon not 
	getting	updated in the case of icon-theme changes.
	Fixes #92598

2002-10-18  Mark McLoughlin  <mark@skynet.ie>

	Fixes #91686. Based on a patch from Glynn.

	* foobar-widget.c:
	(foobar_widget_class_init): hook up size_request.
	(foobar_widget_screen_size_changed): don't set width
	request here.
	(foobar_widget_size_allocate): don't set the size hints
	here.
	(foobar_widget_size_request): size size hints here and resize
	the window if neccessary
	(foobar_widget_new): don't set width request here.

2002-10-17  Mark McLoughlin  <mark@skynet.ie>

	* panel-applet-frame.c:
	(panel_applet_frame_constrain_size): impl to constrain
	an applets position to not be larger than the the panel
	width.
	(panel_applet_frame_size_request): use it.

2002-10-16  Mark McLoughlin  <mark@skynet.ie>

	* egg-screen-help.[ch], egg-screen-url.[ch]: sync
	with libegg.

	* gnome-run.c, launcher.c, panel-util.c: use new
	multiscreen help functions.

Tue Oct 15 19:54:28 2002  HideToshi Tajima  <hidetoshi.tajima@sun.com>

	* gnome-run.c: Additinal fix #91766 - use g_locale_from_utf8()
	instead of g_filename_from_utf8() to get locale text,
	and try to run command with utf8 name when it failes with
	locale name.

2002-10-15  Brian Cameron <Brian.Cameron@sun.com>

	* gnome-panel/panel.c, gnome-panel/session.c,
	 gnome-panel/applet.c:  Removeved calls to
	gconf_client_suggest_sync since this synching is
	not necessary.  Performance analysis highlighted
	that gnome-panel was causing >100 syncs to happen
	(with ~10 items in the panel).

2002-10-11  Arvind Samptur <arvind.samptur@wipro.com>
	* gnome-run.c: (show_run_dialog_with_text)
	Remove the parameters from the exec field when putting a menu
	item in to run dialog. Fixes #94366 

2002-10-10  James Willcox  <jwillcox@gnome.org>

	* Makefile.am:  Add the egg-recent stuff, and panel-recent.[ch]
	* panel-recent.[ch]:  stuff for adding recent documents menus
	* foobar-widget.c: (append_actions_menu):  Add a recent docs menu
	* menu.c: (create_root_menu):  same

2002-10-10  Yanko Kaneti  <yaneti@declera.com>

	* eggaccelerators.c (is_hyper, is_meta, is_super): resync with libegg.
	Fix typos in array indexing, fix from Ralph Loader bug #93005.

2002-10-07  Mark McLoughlin  <mark@skynet.ie>

	Fixes problem with keybindings not working on any screen but
	the default (#93757). Root cause identified by Erwan Chenede.

	* global-keys.[ch]: 
	(screen_from_event): kill.
	(panel_global_keys_filter): don't use screen_from_event,
	just use the passed in screen.

	* xstuff.c: (xstuff_init): register the GdkScreen as
	the filter data.

2002-10-07 Mark McLoughlin  <mark@skynet.ie>

	Support RandR extension by resizing the toplevel panels
	if the screen size has changed. Based on patch from
	Keith Packard - #94561. Requires gtk+ HEAD.

	* basep-widget.[ch]: (basep_widget_screen_size_changed):
	* foobar-widget.[ch]: (foobar_widget_screen_size_changed):
	resize the toplevels when the screen size changed.

	* multiscreen-stuff.c:
	(multiscreen_screen_size_changed): re-initialise and request
	a resize on the toplevels.
	(multiscreen_support_init): connect to the "size_changed"
	signal on all screens.
	(multiscreen_reinit): re-initialise the monitor geometries.

2002-10-04  Frederic Crozat  <fcrozat@mandrakesoft.com>

        * applet.c: (panel_applet_load_from_unique_id):
        Don't swap launchers when loading drawer (bug #84744)

2002-10-04  Mark McLoughlin  <mark@skynet.ie>

	* menu-fentry.c: (fr_read_dir): if there's no
	.directory then use the uri basename as the
	fullname. Fixes new folder not being sorted
	correctly in #91810.

	* menu-fentry.h: kill fr_force_reread.

2002-10-04  Mark McLoughlin  <mark@skynet.ie>

	* menu.c: (menu_button_menu_popup): pass the
	widget to the menu position fuction, rather
	than the AppletInfo struct.

2002-10-01  Mark McLoughlin  <mark@skynet.ie>

	* applet.c: (applet_show_menu): use
	panel_position_applet_menu.

	* basep-widget.[ch], border-widget.c, drawer-widget.c:
 	  floating-widget.c:  kill all get_menu_pos() code.

	* menu-util.[ch]: (panel_position_applet_menu): impl
	popping up the menu outside of the applets.

	* menu.c:
	(panel_make_sure_menu_within_screen): upd.
	(menu_button_menu_popup): use panel_position_applet_menu.

2002-09-27  Alexander Larsson  <alexl@redhat.com>

	* button-widget.c: 
	* gnome-run.c:
	* launcher.c:
	* main.c: 
	* menu-util.c:
	* menu.c:
	* panel-main.h:
	* panel-stock-icons.c:
	Update to the new icon theme API.

2002-09-24  Mark McLoughlin  <mark@skynet.ie>

	Add a new PanelActionButton widget so we can
	generically do action buttons. Fixes #84740.

	* Makefile.am: remove logout.[ch] from the build
	and add panel-action-button.[ch]. Also generate
	enums from panel-action-button.h.

	* applet.[ch]: add support for a generic "action button"
	applet and convert old lock/logout buttons into one of
	these for backwards compat.

	* foobar-widget.c: (append_actions_menu): use action
	callback from panel-action-button.h and setup dnd
	for screenshot, run and search menu items. Remove
	"Show Desktop" menu item.

	* logout.[ch]: remove.

	* menu.c:
	(add_action_button_to_panel): impl.
	(make_add_submenu): add screenshot, run and search
	buttons.
	(create_desktop_menu), (create_root_menu): setup
	dnd for screenshot, run and search menu items.

	* panel.c: (drop_internal_applet): impl new dnd
	for action buttons.

	* xstuff.[ch]: (xstuff_show_desktop): remove.

2002-09-24  Mark McLoughlin  <mark@skynet.ie>

	Implement support for stock ids in ButtonWidget and
	use them for the lock button and logout button.

	* button-widget.[ch]:
	(button_widget_load_pixbuf_and_scale): add support for
	loading stock icons.
	(button_widget_reload_pixbuf): split out from set_property().
	(button_widget_finalize): free the stock ids.
	(button_widget_get_property), (button_widget_set_property):
	(button_widget_class_init), impl "stock-id" property.
	(button_widget_new_from_stock), (button_widget_set_stock_id):
	impl.

	* logout.c: (create_logout_widget), (create_lock_widget):
	use stock ids for icons.

2002-09-24  Mark McLoughlin  <mark@skynet.ie>

	* launcher.c: include xstuff.h.

	* xstuff.c: (draw_zoom_animation): don't
	use gdk_color_alloc() - its deprecated.

2002-09-24  Mark McLoughlin  <mark@skynet.ie>

	* button-widget.c:
	(button_widget_load_pixbuf_and_scale): split out from
	size_allocate(). Load the pixbuf here.
	(button_widget_finalize): use a finalize handler instead
	of a destroy handler.
	(button_widget_get_property),
	(button_widget_set_property): use GObject properties for
	all construct time params.
	(button_widget_size_allocate): use load_pixbuf_and_scale().
	(button_widget_new): pass all construct time properties
	to g_object_new and don't load the pixbuf here.
	(button_widget_set_pixmap): just set the GObject property.
	(button_widget_set_params): ditto.

	* button-widget.h: kill button_widget_set_text(), it seems
	this is totally unused as we set the tooltips elsewhere.
	Don't pass size to button_widget_set_pixmap.

	* drawer.c, launcher.c, logout.c, menu.c: update for
	button-widget changes above.

	* panel-types.h: actually define PanelOrient as an enum
	so glib-mkenums will pick it up.

2002-09-19  jacob berkman  <jacob@ximian.com>

	* launcher.c (launch_cb): draw a zoom thingie when clicked

	* xstuff.[ch] (xstuff_zoom_animate): 
	(draw_zoom_animation): draw a square which zooms to the screen
	size

2002-09-19  Arvind Samptur <arvind.samptur@wipro.com

	* gnome-panel-screenshot.c: waitpid could fail
	due to a interuptted system call, loop till you
	succeed. Fixes #92651

2002-09-19  Mark McLoughlin  <mark@skynet.ie>

	* launcher.c: Change the launchers icon when the
	icon loader's 'changed' signal is emitted. Based
	on patch from Rajkumar Sivasamy <rajkumar.siva@wpiro.com>.
	Fixes #92598.

2002-09-16  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am, multihead-hacks.h: kill multihead-hacks.h

	* applet.c, basep-widget.c, button-widget.c, foobar-widget.c,
	  global-keys.c, gnome-desktop-item-edit.c, gnome-run.c,
	  launcher.c, logout.c, menu-ditem.c, menu-util.c, menu.c,
	  multiscreen-stuff.c, panel-applet-frame.c, panel-config.c,
	  panel-shell.c, panel-util.c, panel.c, xstuff.c: remove all
	multihead conditionals as we require gtk+ 2.1.0 now.

2002-09-03 Padraig O'Briain  <padraig.obriain@sun.com>

	* basep-widget.[ch]:
	Add action signal "popup-panel-menu"; bind it to Ctrl+F10; add
	basep_widget_popup_panel_menu() to pop up the panel's menu.

	* foobar-widget.[ch]:
	Add action signal "popup-panel-menu"; bind it to Ctrl+F10; add
	foobar_widget_popup_panel_menu() to pop up the panel's menu.

	* panel-widget.[ch]:
	Remove action signal "popup-panel-menu".

	These changes fix bug #92134, cause Ctrl+F10 to display panel's menu
	when focus is on a show/hide button.

2002-09-12  Mark McLoughlin  <mark@skynet.ie>

	* menu.c:
	(icon_to_load_copy), (icon_to_load_free),
	(panel_load_menu_image_deferred_with_size): don't
	bother strdup-ing the stock ids.

2002-09-12  Soeren Sandmann  <sandmann@daimi.au.dk>

	* menu.c:
	(do_icons_to_add), (load_icons_handler):
	Delay actually setting the icon on the GtkImage
	until we have loaded all the icons. This fixes
	a nasty performance issue where the menu's
	allocation was being continually recalculated as
	each icon was set.

2002-09-12  Mark McLoughlin  <mark@skynet.ie>

	* drawer-widget.c: (drawer_pos_get_pos):
	* panel.c: (state_hide_foreach): use the
	absolute value for the width and height when
	hidding the drawer in case the width or height
	is negative. Should fix #91636.

2002-09-12  Mark McLoughlin  <mark@skynet.ie>

	* panel-config.[ch]:
	(update_config_back): just set the history on the
	option menu, don't activate the menu item. Also,
	just use the PanelBackType enum for the history ids.
	(background_type_changed): rename from set_back() and
	kill the crack.
	(background_page): fix broken use of menuitem's 'activate'
	signal instead of the option menu's 'changed' signal.
	Fixes #91378.

2002-08-21  Havoc Pennington  <hp@pobox.com>

	* gnome-run.c (show_run_dialog): remove GTK_WIN_POS_MOUSE, it's a
	load of crack
	(browse): ditto

2002-09-11  Arvind Samptur <arvind.samptur@wipro.com>

	* gnome-panel-screenshot.c: Avoid the defunct process
	by doing waitpid at  the point you fork. Fixes #92651.

2002-09-11  Pasupathi Duraisamy <pasupathi.duraisamy@wipro.com>

	* launcher.c: Add mnemonic to 'Help on %s Application'.
	Fixes bug #92942

2002-08-28  Arvind Samptur <arvind.samptur@wipro.com>

	* menu.c (drag_data_get_menu_cb): disable the tooltips
	when the drag is on.
	(drag_end_menu_cb): enable the tooltips once the drop is
	done. Fixes #91884

2002-09-12  Mark McLoughlin  <mark@skynet.ie>

	* panel-applet-frame.c:
	(panel_applet_frame_get_background_string): if we haven't
	actually rendered a pixmap background then just pretend
	this is the default background. Fixes #91198.

2002-09-12  Mark McLoughlin  <mark@skynet.ie>

	Fix #90664 by giving focus to the PanelWidget
	in a newly created drawer.
	Patch from Padraig O'Briain.

	* drawer-widget.c: (drawer_widget_new): allow the
	PanelWidget to be focused.

	* drawer.c: (load_drawer_applet): set the focus on
	the PanelWidget.

2002-09-12  Mark McLoughlin  <mark@skynet.ie>

	Fixes #90317 by explicitly destroying panels on receipt
	of a Die from the session manager rather than just
	exiting the mainloop. Apparently embedded out of process
	embedded windows don't cope with this too well - thanks
	to Owen for pointing this fact out.

	* applet.c:
	(panel_applet_clean): do anything required to effect
	permanent removal of the applet here.
	(applet_idle_remove): kill set_clean_remove stuff.
	(panel_applet_destroy): only clear up our data and refs
	here rather than permanently removing the applet.

	* basep-widget.c: remove some bogus whitepsace.

	* menu.c: (remove_panel_accept): if the panel is a drawer,
	then also remove the associated applet. Permanently remove
	the panel here.

	* panel-applet-frame.[ch]:
	(panel_applet_set_clean_remove),
	(panel_applet_get_clean_remove), (popup_handle_remove),
	(panel_applet_frame_instance_init): kill unused 'clean_remove'
	stuff. No idea how/why that got there.

	* panel-widget.c:
	(panel_widget_finalize): don't remove the panel from the
	global list again.
	(panel_widget_destroy): don't permanently remove the panel
	from here.
	* panel.c:

	(panel_remove_applets): kill 'clean_remove' stuff.
	(panel_destroy): don't remove the applet associated with
	the drawer here.

	* session.c: (panel_session_die): iterate over a copy of
	the global list of panels and destroy them.

2002-08-31  Jacob Berkman  <jacob@ximian.com>

	* Makefile.am: add -lpopt to LDFLAGS

Thu Aug 29 10:35:23 2002  George Lebl <jirka@5z.com>

	* gnome-panel-screenshot.c: Check for NULL return from the
	  gdk_window_foreign_new function and exit nicely if that is the
	  case.  Probably very rare, fixes #91744

Thu Aug 29 10:25:24 2002  George Lebl <jirka@5z.com>

	* gnome-panel-screenshot.c: Apply patch from Owen Taylor for bug
	  #10778 to avoid taking screenshot multiple times by using
	  selections.

Thu Aug 29 10:16:16 2002  George Lebl <jirka@5z.com>

	* gnome-run.c: Fix #91766 by converting from utf8 when getting text
	  from the text entry, also convert to utf8 when appending using the
	  file selection.

Tue Aug 27 16:17:09 2002  Jonathan Blandford  <jrb@redhat.com>

	* gnome-panel-preferences.desktop.in: OnlyShowIn=GNOME;

2002-08-23  Alex Graveley  <alex@ximian.com>

	* menu.c: Re-enable menu editing by applying patch from Bug #77848.

2002-08-21  Kjartan Maraas  <kmaraas@gnome.org>

	* menu.c: Fix a typo in a string. #90953.
	
2002-07-13  Havoc Pennington  <hp@pobox.com>

        Try fixing panel to allow Mod2-Mod5 accels. This fix is a drop in
	the bucket though, this code needs a lot of help.
	
	* eggaccelerators.h: copy in from libegg to use in fixing
	global-keys.c. evil cut-and-paste code.

	* global-keys.c (grab_key): dynamically get ignored mods

	* global-keys.h: remove IGNORED_MODS and USED_MODS, any uses of
	those were broken.

2002-08-27  Mark McLoughlin  <mark@skynet.ie>

	* panel-util.h, panel-access.c:
	(is_gail_loaded): simplify.
	(panel_set_atk_name_desc): rename from add_atk_name_desc.
	(panel_set_atk_relation): rename from set_relation, also
	remove unused 'set_for' parameter.

	* foobar-widget.c: (foobar_widget_instance_init):
	* gnome-run.c: (create_program_list_contents):
	* launcher.c: (setup_button):
	* menu.c: (create_new_panel):
	* panel-config.c: (make_position_widget_accessible),
	(make_position_widget), (floating_notebook_page),
	(sliding_notebook_page), (make_size_widget), (background_page):
	* panel-util.c: (create_text_entry), (create_icon_entry):
	update for above changes.

2002-08-25  Anders Carlsson  <andersca@gnu.org>

	* panel.c: (panel_realize):
	No need to set the default cursor here; just use the one from the
	root window.
	
Sun Aug 25 02:57:54 2002  George Lebl <jirka@5z.com>

	* launcher.c: Fix redhat bug #72540 by hoarding launchers not in
	  our private path on gconf load

2002-08-21  Satyajit Kanungo  <satyajit.kanungo@wipro.com>

	* menu.c :show_panel_help(), Removed the sectionId from
	  the help callback to show the TOC page. #91274
 
2002-08-14  Mark McLoughlin  <mark@skynet.ie>

	* applet.c: (panel_applet_save_position): don't
	save the position backwards if it isn't a packed
	panel. The saved position only has the effect of
	ordering the applets on packed panels, not actually
	specifying the position. Fixes #90598.

2002-08-13  Mark McLoughlin  <mark@skynet.ie>

	Register all panel icons with GtkIconFacory and
	use stock ids when rendering icons. Also register
	two named icon sizes to allow future icon size
	theming. Fixes #89063.

	* panel-stock-icons.h: list of stock ids.

	* panel-stock-icons.c:
	(panel_menu_icon_get_size), (panel_foobar_icon_get_size):
	accessors for our named GtkIconSizes.
	(panel_init_stock_icons): register stock icons here. Default
	to GTK_STOCK_MISSING_IMAGE if we can't find the icon. Note,
	that GnomeIconLoader is still used to lookup the icon path
	first, so you can still theme these icons using GnomeIconLoader,
	except the gtk theme will override it. Not sure how much sense
	that really makes.
	(panel_init_stock_items): register our modified stock gtk items
	here (only the run button currently).
	(panel_init_stock_icons_and_items): call both of the above but
	also register our named icon sizes.

	* Makefile.am: add panel-stock-icons.[ch] to the
	build.

	* distribution.c: use stock icons.

	* distribution.h: s/menu_icon/stock_icon/

	* foobar-widget.c: (append_actions_menu),
	(foobar_widget_instance_init): use stock icons. Also
	use special icon size for foobar icon. I don't think
	it makes sense for that to be the same size as the menu
	icons.

	* gnome-run.c:
	(add_icon_idle): look up actual icon size.
	(register_run_stock_item): moved into panel-stock-icons.c.
	(show_run_dialog): s/PANEL_STOCK_RUN/PANEL_STOCK_EXECUTE/.

	* main.c: (main): init stock icons.

	* menu-fentry.h: kill MenuFinfo::pixmap_name. Seems to have been
	totally unused. Also removed a pile of related code from menu.c.

	* menu-util.[ch]: (stock_menu_item_new): rename pixmap_menu_item_new
	and use stock ids instead of filenames.

	* menu.c:
	(load_icons_handler): render a stock icon if requested.
	(image_menuitem_size_request): actually lookup the icon size.
	(applet_menu_get_category_icon): use a hash of stock ids instead
	of filenames.
	(create_applet_menu): use stock icons for categories. Applet icons
	should be themed with GnomeIconLoader.
	(create_add_panel_submenu): use stock icons.
	(setup_stock_menu_item): rename from setup_menuitem_try_pixmap.
	(make_add_submenu): use stock icons.
	(make_panel_submenu), (create_panel_submenu): use panel icon size,
	instead of gtk icon size.
	(create_desktop_menu): (add_distribution_submenu),
	(add_kde_submenu), (create_root_menu): use stock icons.
	(panel_load_menu_image_deferred_with_size): allow the use of 
	stock icons and filenames.
	(panel_load_menu_image_deferred): actually lookup the icon size.

	* menu.h: remove create_menu*, they're static now.

2002-08-11  Mark McLoughlin  <mark@skynet.ie>

	* drawer.c: (drawer_save_to_gconf): save the
	associated panel when saving the drawer.

	* main.c: (main): don't kill free drawers. They're
	not used at this point because we're loading drawers
	in idle now. Fixes #90443.

2002-08-11  Mark McLoughlin  <mark@skynet.ie>

	* gnome-panel-screenshot.glade: kill the seperator.

2002-08-11  Mark McLoughlin  <mark@skynet.ie>

	* gnome-run.c: (remove_parameters): impl stripping
	desktop item Exec parameters.
	(sync_list_to_entry): Use it when setting the entry
	from the treeview. Fixes #90200.

2002-08-11  Mark McLoughlin  <mark@skynet.ie>

	* edge-widget.c: (edge_widget_new): hey ! edge widgets
	shouldn't have packed PanelWidgets should they? Well,
	they have since Aug99 ... very, very confused.

	* panel-applet-frame.[ch]: (panel_applet_frame_get_size_hints):
	return the number of hints, not the hints themselves.

	* panel-widget.c:
	(allocate_dirty_child), (panel_widget_size_request),
	(panel_widget_size_allocate): handle expanding applets
	on 'packed' panels. Fixes #89266.

2002-08-07 Padraig O'Briain  <padraig.obriain@sun.com>

	* menu.c (create_new_panel): Call gtk_window_present() to give
	newly created panel focus (bug #90084)

2002-08-10  Mark McLoughlin  <mark@skynet.ie>

	* gnome-panel-screenshot.glade: handle "delete_event".
	Fixes #90183.

2002-08-09  Satyajit Kanungo  <satyajit.kanungo@wipro.com>

	* gnome-panel-screenshot.c : Corrected the help links for help on 
	  screenshot.

2002-08-08  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: add egg-screen-exec file to the build.

	* panel-util.[ch]:
	(panel_show_help), (panel_show_gnome_help),
	(panel_show_kde_help), (panel_show_gnome_kde_help):
	add a GdkScreen* arg and use the egg_screen_help
	variants in all of these.

	* applet.c, launcher.c, menu-ditem.c, menu.c,
	  panel-config.c: pass a GdkScreen* to the help
	functions and use egg_screen_url_show instead of
	gnome_url_show.

2002-08-07  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: link against XSHAPE_LIBS. Fixes #90000.

	* gnome-panel-screenshot.c: (take_window_shot):
	dont' use the shape extension if the header wasn't
	found.

2002-08-06  Mark McLoughlin  <mark@skynet.ie>

	Fixes #84744, applets not loading in the correct order,
	by loading all types of applets in the idle handler, in
	the same order as they should appear on the panels.

	* applet.c:
	(panel_applet_load_idle_handler): handle loading all types
	of applets.
	(panel_applet_load_from_unique_id): queue all applets for
	the idle handler.
	(panel_applet_compare): impl.
	(panel_applet_load_applets_from_gconf): sort the queued
	applets and run the idle handler over them.

2002-08-05  Anders Carlsson  <andersca@gnu.org>

	* gnome-panel-screenshot.c: (save_to_file_internal),
	(on_preview_expose_event), (take_window_shot):
	Add support for making shaped windows transparent.
	
2002-08-05  Mark McLoughlin  <mark@skynet.ie>

	* menu.c: (make_add_submenu): s/button/Button/

2002-08-05  Mark McLoughlin  <mark@skynet.ie>

	* applet.c: (panel_applet_register): focus the
	object as its added to the panel. #88202.

2002-08-05  Mark McLoughlin  <mark@skynet.ie>

	* foobar-widget.c: (append_actions_menu): if the wm
	supports it, add a 'Show Desktop' item. #61988.

	* xstuff.[ch]:
	(panel_atom_get): remove display arg. We always use the
	default display - no multidisplay support here.
	(xstuff_net_wm_supports): impl.
	(xstuff_show_desktop): send _NET_SHOW_DESKTOP ClientMessage.

2002-08-05  Mark McLoughlin  <mark@skynet.ie>

	* panel-applet-frame.c: (register_stock_item),
	(panel_applet_frame_loading_failed): determine
	whether or not the user wants to remove the 
	failed applet from the configuration. Fixes #89173.
	(panel_applet_frame_construct): use it.

2002-08-05  Mark McLoughlin  <mark@skynet.ie>

	* basep-widget.c:
	(basep_calculate_borders): kill really silly silly.
	Fixes #89736.

2002-08-05  Mark McLoughlin  <mark@skynet.ie>

	* menu.c: (restore_grabs): don't change cursor
	when restoring menu grab. Fixes #89631.

2002-08-02  Mark McLoughlin  <mark@skynet.ie>

	* menu.c:
	(find_empty_border_and_anchor): impl figuring
	out the best place to use a sliding panel.
	(create_new_panel): use it. Fixes #87733.

	* xstuff.c: (xstuff_set_pos_size): don't set the
	hint unless the size has actually changed.

2002-08-01  Mark McLoughlin  <mark@skynet.ie>

	* session.c: (panel_quit): request a Global
	only session save.

2002-07-31  Mark McLoughlin  <mark@skynet.ie>

	* button-widget.c, logout.c: include multihead-hacks.h.

	* multihead-hacks.h: add gtk_widget_get_screen stub.

2002-07-30  Mark McLoughlin  <mark@skynet.ie>

	* menu.c:
	(menuitem_button_press_event): rename from show_item_menu_mi_cb.
	(setup_full_menuitem): only connect to "button_press_event"
	not "event".

2002-07-30  Mark McLoughlin  <mark@skynet.ie>

	Don't allow moving objects to explicitly hidden panels. It
	makes little sense and is less confusing. Fixes #89317.

	* panel-widget.c:
	(panel_widget_applet_move_to_cursor): don't check for
	-1 return value from reparent - it returns a bool.
	(panel_widget_reparent): return FALSE and canel the
	reparent if trying to move to an explicitly hidden
	panel. Also, return TRUE (not the position) if reparent
	succeeds.

2002-07-29  Mark McLoughlin  <mark@skynet.ie>

	* gnome-panel-screenshot.glade: set "directory_entry"
	flag on the file selector to false. Fixes #89037.

2002-07-29  Mark McLoughlin  <mark@skynet.ie>

	* menu.c: (create_menuitem): Check if fr->comment
	is an empty string before setting tooltip. Pointed
	out by Arvind, #88484.

2002-07-27  Mark McLoughlin  <mark@skynet.ie>

	* basep-widget.c: (basep_widget_focus_in_event): update
	blurb about unhiding explicitly hidden panels to include
	pointers to #89179 and #89180.

2002-07-27  Mark McLoughlin  <mark@skynet.ie>

	* basep-widget.c: (basep_widget_focus_in_event): remove
	bogus autoshowing on focus that was supposed to fix
	#81041. Ths solution for this needs a lot more 
	consideration - see #83476 for issues.

2002-07-27  Mark McLoughlin  <mark@skynet.ie>

	* applet.c:
	(panel_applet_clean_gconf): don't take AppletInfo as an
	arg so we can clean an unregistered applet. Don't free
	the gconf key here.
	(panel_applet_clean): upd for above.

	* panel-applet-frame.c:
	(panel_applet_frame_construct): if loading fails, delete
	applet from the configuration - fixes #89051. This should
	be optional but will have to wait until 2.2.x - see #89713.

2002-07-26  Mark McLoughlin  <mark@skynet.ie>

	* gnome-panel-screenshot.c:
	(nibble_on_file), (save_to_file), (gimme_file): sanity
	checks so we don't crash on Solaris trying to do
	printf ("%s", NULL);

2002-07-25 Padraig O'Briain  <padraig.obriain@sun.com>

	* panel-widget.c (panel_widget_reset_focus): This function is called
	when object is deleted from panel. Reimplement function to ensure 
	that focus goes to PanelWidget if no objects remaining on panel and 
	goes to next or previous object if there are remaining objects.
	(bug #88938)

2002-07-24 Padraig O'Briain  <padraig.obriain@sun.com>

	* drawer.c (key_press_drawer): Allow any arrow key to move focus to
	object in drawer when focus is on drawer icon. Ensure that arrow keys 
	have no effect if drawer is closed. (bug #88782)

	* menu.c (panel_menu_key_press_handler): Ensure that Shift+F10 has
	no effect for menus without context menus. (bug #88861)

2002-07-23  Mark McLoughlin  <mark@skynet.ie>

	* drawer.c: (properties_apply_callback): kill unused (apart
	from freeing whatever random data it points too) variable.
	Fixes #88427.

2002-07-24  Mark McLoughlin  <mark@skynet.ie>

	Fixes #84101 - were casting a GtkButton to GtkMenu.

	* logout.c:
	(lock_button_pressed): impl. to use panel_lock_screen.
	(create_lock_widget): use it here.

	* menu.[ch]: (panel_menuitem_lock_screen): rename from panel_lock.
	(create_desktop_menu): update.
	* menu.h:
	* panel-util.[ch]: (panel_lock_screen): implement.

	* foobar-widget.c: (append_actions_menu): use panel_menuitem_lock.

2002-07-23  Frank Worsley  <fworsley@shaw.ca>

	* gnome-panel-screenshot.glade:
	don't expand the options frame when resizing

	* launcher.c: (launcher_get_unique_uri):
	fix memory leak
	
2002-07-23 Padraig O'Briain  <padraig.obriain@sun.com>

	* drawer.c (key_press_drawer_widget): New key-press-event handler for
	DrawerWidget to support Esc closing the drawer and Shift+Esc moving
	focus to drawer button without closing drawer when focus is in
	drawer. (bug #87839)

2002-07-23  Mark McLoughlin  <mark@skynet.ie>

	* drawer.c: (properties_apply_callback): kill unused (apart
	from freeing whatever random data it points too) variable.
	Fixes #88427.

2002-07-19  Deepa Natarajan  <deepa.natarajan@wipro.com>

	* logout.c, menu.c, drawer.c, launcher.c: Add mnemonics for right
	click popup menus of : Launcher, Drawer, Log Out Button, Lock button
	& gnome foot menu. Fixes bug #88503.

2002-07-19  Deepa Natarajan <deepa.natarajan@wipro.com>

	* applet.c, GNOME_Panel_Popup.xml: Add mnemonics for Move and Remove
	From Panel popup menu options. Fixes bug #86501.

2002-07-22  Mark McLoughlin  <mark@skynet.ie>

	* panel-applet-frame.c:
	(panel_applet_reload_response): if our parent has disappeared
	forget about reloading.
	(panel_applet_frame_cnx_broken): take a ref on the frame. #88432.

	* panel-util.[ch]: (panel_signal_connect_while_alive),
	(panel_signal_connect_object_while_alive): upd signatures
	to be more gobject like.

2002-07-22  Mark McLoughlin  <mark@skynet.ie>

	* panel-applet-frame.c: (panel_applet_frame_reload_response): 
	Only reload the applet on GTK_RESPONSE_YES. #88098.

2002-07-19  Mark McLoughlin  <mark@skynet.ie>

	Based on patch from Arvind to fix #88430.

	* launcher.[ch]:
	(launcher_properties_destroy): impl to destroy the properties dialog.
	(destroy_launcher): use it.

	* panel.c: (panel_remove_applets): ditto.

2002-07-19  Mark McLoughlin  <mark@skynet.ie>

	* gnome-panel-preferences.glade: fix clash in mnemonics.

2002-07-18  Mark McLoughlin  <mark@skynet.ie>

	* panel-config-global.c: include panel-gconf.h to
	fix warning.

Tue Jul 16 12:29:31 2002  George Lebl <jirka@5z.com>

	* panel-config.c, basep-widget.c: Two more RTL language fixes.  First
	  the position widget for the panel position can't be switched and
	  second the table in the basep is also visual rather then logical.
	  This fixes all the RTL issues I could find when playing with an
	  arabic panel (it's hard to test something if you don't speak the
	  language :)

Tue Jul 16 12:18:02 2002  George Lebl <jirka@5z.com>

	* foobar-widget.c: set the direction of the foobar hbox to be LTR
	  as otherwise it is completely whacked in RTL locales.

2002-07-15  Mark McLoughlin  <mark@skynet.ie>

	* button-widget.c:
	(button_widget_new), (button_widget_set_pixmap): realise
	error dialogs on the default screen.

	* menu.c: (remove_panel_query): remove #ifdef HAVE_GTK_MULTIHEAD.

2002-07-14  Frank Worsley  <fworsley@shaw.ca>

	* gnome-run.c: (launch_selected), (run_dialog_response): 
	always save command in history (fix #83891)
	(fill_list): check item not null before adding to list (fix #85762)
	(update_contents): display 5 items in list by default (fix #81930)

Fri Jul 12 10:06:16 2002  George Lebl <jirka@5z.com>

	* quick-desktop-reader.c: Apply parts of the patch from
	  Hidetoshi Tajima that made sense, bug #84074

	* gnome-panel-preferences.desktop.in: add "Encoding=UTF-8" to
	  conform to standard, damn we don't have this anywhere.

2002-07-12  Mark McLoughlin  <mark@skynet.ie>

	* panel-per-panel-config.schemas.in: fix the gnome-terminal
	launcher uri and use Nautilus instead of Netscape since
	we can't be sure of the location of Netscape.

2002-07-12  Mark McLoughlin  <mark@skynet.ie>

	* applet.c: (panel_applet_load_from_unique_id):
	* launcher.c: (create_launcher), (launcher_load_from_gconf):
	* menu.c: (menu_load_from_gconf): patch from Havoc to 
	check for and print warnings about broken gconf settings. #84808.

2002-07-12  Mark McLoughlin  <mark@skynet.ie>

	* launcher.c: (load_launcher_applet_full): revert the disabling
	of the 'Help' menuitem that Glynn snuck past me in another
	patch.

Wed Jul 10 20:17:37 2002  George Lebl <jirka@5z.com>

	* button-widget.c: properly handle the empty icon case.  Don't
	  give an error on empty icon (NULL or "")

Wed Jul 10 17:54:45 2002  George Lebl <jirka@5z.com>

	* launcher.c: fix segfault, and icon errors with adding launchers,
	  don't free the return from getstring from a ditem, it's constant

Wed Jul 10 16:50:27 2002  George Lebl <jirka@5z.com>

	* button-widget.[ch], launcher.c, logout.c, darawer.c, menu.c,
	  panel-util.h: redo the icon loading logic a bit and leave more
	  logic up to the loading code in button_widget.  Failsafe code so
	  that we always succeed even if we can't find gnome-unknown.png,
	  in which case we make a white rectangle with a red X thorough it.

Wed Jul 10 15:13:37 2002  George Lebl <jirka@5z.com>

	* quick-desktop-reader.c: revert all the patches that broke
	  everything and fix #84074 the proper way.  That is by checking
	  for NULL at the place it crashed, rather then replacing the
	  functions by other functions that do something completely
	  different.

2002-07-10  Mark McLoughlin  <mark@skynet.ie>

	* button-widget.c:
	(button_load_pixbuf): rename and handle GErrors.
	(button_widget_new): display an error dialog if we
	can't load the pixbuf.
	(button_widget_set_pixmap): ditto.
	* drawer.c:
	(drawer_click): kill debug.
	(free_drawer): implement.
	(create_drawer_applet): if creating button fails, free
	the drawer and return.
	(load_drawer_applet): use free_drawer as destroy notify
	handler.

	* logout.c: (create_logout_widget), (create_lock_widget),
	(load_lock_applet): return if we failed to create the
	button.

	* menu.c: (create_panel_menu): ditto.

2002-07-10  Mark McLoughlin  <mark@skynet.ie>

	* gnome-panel-preferences.desktop.in: patch from Glynn
	to change tooltip. #87755.

2002-07-09  Mark McLoughlin  <mark@skynet.ie>

	* gnome-panel-preferences.glade: centre the animation
	speed menu. Should fix #84074.

2002-07-09  Mark McLoughlin  <mark@skynet.ie>

	* gnome-panel-preferences.glade: give the close button
	the default focus.

2002-07-09  Mark McLoughlin  <mark@skynet.ie>

	* panel-config.c: slightly modified version of
	a patch from Glynn to add mnemonics and clean
	up the panel properties dialog. #85623.

2002-07-09  Mark McLoughlin  <mark@skynet.ie>

	* launcher.c:
	(free_launcher): remove launcher from hoarding list.
	(launcher_idle_hoard), (launcher_hoard): hoard launchers
	in idle. Hopefully fixes #83373.

	* applet.c: (applet_destroy): Don't add dead launcher
	unless it has been hoarded.

2002-07-09  Mark McLoughlin  <mark@skynet.ie>

	* panel-gconf.[ch]: (panel_gconf_string_to_enum): impl
	with a fallback argument. Fixes #87133.

	* gnome-panel-preferences.c: (load_animation_menu): use
	panel_gconf_string_to_enum.

	* panel-config-global.c: (panel_global_config_set_entry):
	ditto.

	* panel.c: (panel_load_panels_from_gconf): ditto.

2002-07-09  Mark McLoughlin  <mark@skynet.ie>

	* gnome-panel-preferences.c:
	(animation_menu_changed): rename from option_menu_changed.
	(load_animation_menu): rename from load_option_menu, removing
	generic handling of option menus and checking string value
	before mapping to an enum. Fixes #86667.

2002-07-09  Mark McLoughlin  <mark@skynet.ie>

	* menu.c: (create_add_panel_submenu): make ordering
	of the 'New Panel' menu sane. Fixes #61599.

2002-07-09  Mark McLoughlin  <mark@skynet.ie>

	* gnome-panel-preferences.desktop.in: use X-GNOME-DocPath.

2002-07-09  Mark McLoughlin  <mark@skynet.ie>

	* launcher.c, menu.c: Patch from Glynn Foster
	to use X-GNOME-DocPath instead of DocPath.
	Fixes #87431.

2002-07-09  Mark McLoughlin  <mark@skynet.ie>

	* quick-desktop-reader.c: (get_encoding): Patch from
	Hidetoshi Tajima to use g_get_charset get the canonical
	name of the locale's charset. Fixes #84074.

2002-07-08  Mark McLoughlin  <mark@skynet.ie>

	* global-keys.c: (panel_global_keys_filter): patch
	from Glynn to pop up the global menu instead of
	panel context menu.

2002-07-05  Rohit R <rohit.raveendran@wipro.com>

	* gnome-panel/gnome-panel-screenshot.c:
	Remove temp dir correctly and update the permissions
	for files and directories created.
	Fixes #87259

2002-07-04  Satyajit Kanungo <satyajit.kanungo@wipro.com>

	* menu.c: Changed the section Id for Panel Manual to point  
	  correct section in the help document.

2002-07-03  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: add egg-screen-exec.[ch] to build.

	* applet.c, foobar-widget.c, global-keys.c, gnome-run.c,
	  menu.c: use egg-screen-exec methods instead of the
	  ones in panel-util.c.

	* panel-util.[ch]: kill screen-exec methods.

2002-07-02  Mark McLoughlin  <mark@skynet.ie>

	* gnome-panel-screenshot.c:
	* gnome-panel-screenshot.glade: Patch from Glynn Foster
	to add help button.

2002-07-02  Mark McLoughlin  <mark@skynet.ie>

	* gnome-panel-preferences.c: clean up, a lot. No
	global variables, use glade properly, error dialog
	if glade file not found ...

	* gnome-panel-preferences.glade: implement string changes
	recommended in #85651. Also remove extra useless widgets.

2002-07-02  Mark McLoughlin  <mark@skynet.ie>

	* panel-config.c: Various string changes from #85623.

Mon Jul  1 16:44:35 2002  Jonathan Blandford  <jrb@gnome.org>

	* gnome-run.c (sync_entry_to_list): do the icon finding in an idle
	instead of a timeout.  There's no reason to be so slow here.

	* disclosure-widget.c (unrealize): We should really remove the
	timeout in an unrealize handler instead of finalize.  Doesn't hurt
	to keep the finalize one around.

2002-07-01  Glynn Foster  <glynn.foster@sun.com>

	* menu.c: Set default response to delete your panel.

2002-07-01  Glynn Foster  <glynn.foster@sun.com>

	* menu.c: (create_panel_menu): s/Main Menu/GNOME Menu for the
	tooltip.

2002-07-01  Glynn Foster  <glynn.foster@sun.com>

	* menu.c: (remove_panel_query): Don't expose the 
	term 'applet' to the user - yeah, yeah, I know we still
	have this stuff in the user docs.

2002-07-01  Mark McLoughlin  <mark@skynet.ie>

	String changes and UI consistency changes from
	#85344, #85619, #85620, #82586 and 85622. Based
	partially on a patch from Glynn Foster.

	* Makefile.am: remove menu-properties.[ch].

	* applet.c: (applet_callback_callback): remove
	properties callback.

	* distribution.c, drawer.c, foobar-widget.c,
	  launcher.c: string changes.

	* menu.c: various string changes, mnemonics, fixing
	the delete panel dialog, removing global preferences
	menuitem and removing menu properties menu item.

	* panel-applet-frame.c: (panel_applet_frame_cnx_broken):
	string change.

2002-07-01  Mark McLoughlin  <mark@skynet.ie>

	Fixes #86459

	* panel-applet-frame.c: (panel_applet_frame_get_name): Sanity
	check sequence length and buffer before using.

2002-07-01  Mark McLoughlin  <mark@skynet.ie>
	
	Fixes #86455

	* disclosure-widget.c:
	(finalize): remove the timeout.
	(expand_collapse_timeout): unset timeout tag if last time
	running.

	* panel-applet-frame.c: (panel_applet_frame_load_from_gconf):
	kill debug.

2002-07-01  Mark McLoughlin  <mark@skynet.ie>

	* panel.c: (drag_data_recieved_cb), (panel_monitor_from_toplevel),
	(panel_is_applet_right_stick): move here from applet.c

	* panel-applet-frame.[ch]:
	(panel_applet_frame_load): add exactpos param and pass to
	panel_applet_register.
	(panel_applet_frame_load_from_gconf), pass exactpos = TRUE.
	(panel_applet_frame_reload_response): ditto.

	* applet.h: kill panel_applet_get_right_stick.

	* applet.c: (panel_applet_save_position): update for right_stick ()
	change.

	* menu.c: (add_bonobo_applet): add exactpos = FALSE.

2002-06-26  Mark McLoughlin  <mark@skynet.ie>

	* multihead-hacks.h:
	s/gdk_get_default_screen/gdk_screen_get_default/
	s/gdk_get_default_display/gdk_display_get_default/

	* panel-util.c:
	s/launch_env/launch_with_env/

2002-06-25  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: add multihead-hacks.h

	* border-widget.[ch]:
	* drawer-widget.[ch]:
	* edge-widget.[ch]:
	* floating-widget.[ch]: 
	* sliding-widget.[ch]: 
	* aligned-widget.[ch]: pass screen and xinerama
	monitor number around.

	* basep-widget.[ch]:
	(basep_widget_class_init), (basep_widget_real_screen_change),
	(basep_widget_screen_change): screen_change signal now takes
	monitor and screen.
	(basep_widget_construct): set the screen to realize the
	window on.
	(get_borders), (basep_calculate_borders), (basep_border_recalc),
	(queue_recalc_handler), (basep_border_queue_recalc),
	(basep_border_get): package the screena and monitor info
	up in a struct and pass it around.

	* applet.c: (applet_user_menu_get_screen): impl helper.
	(applet_callback_callback): use panel_execute_shell.
	(applet_show_menu): set screen info for menu.

	* drawer.c:
	(create_empty_drawer_applet): make sure the drawer is on the
	correct screen.

	* foobar-widget.c:
	(foobar_screenshot), (foobar_search): use panel_execute_sync.
	(add_window), (create_task_menu): make sure we use the right WnckScreen.
	(foobar_widget_new): set the screen on which to realize the panel.

	* global-keys.c: (screen_from_event): impl helper.
	(panel_global_keys_filter): make sure all menus, dialogs and
	programs come up on the right screen.

	* gnome-run.c: (get_environment): if DISPLAY is not already
	in the command, set it to the screen the dialog is on.
	(launch_selected), (run_dialog_response), (create_simple_contents),
	(show_run_dialog), (show_run_dialog_with_text): make sure dialogs
	etc. come up on the right screen.

	* launcher.c: (launcher_get_screen): helper method.
	(launch_url), (launch_cb), (drag_data_received_cb),
	(create_properties_dialog), (launcher_properties), (launcher_save),
	(launcher_show_help): dialogs on the right screen.

	* menu-ditem.c, menu-properties.c, menu-util.c,
	  panel-applet-frame.c, panel-shell.c: ditto.

	* menu.c: make sure dialogs, menus and launcher apps come
	up on the right screen. Various updates for other changes.

	* multihead-hacks.h: some hacks to reduce the number
	of HAVE_GTK_MULTIHEADs needed.

	* multiscreen-stuff.c: (multiscreen_support_init): impl using
	gtk multihead apis.
	(multiscreen_init): use gdk_screen_get_(width|height).
	(multiscreen_screens), (multiscreen_monitors),
	(multiscreen_x), (multiscreen_y), (multiscreen_width),
	(multiscreen_height), (multiscreen_locate_coords),
	(multiscreen_locate_widget): use the screen number to
	index the geometries vector.

	* panel-config.c:
	(update_config_screen), (screen_set), (monitor_set),
	(make_misc_widget): add crappy UI for changing screens.

	* panel-per-panel-config.schemas.in: set "screen" and
	"monitor" key on all panels.

	* panel-util.[ch]:
	(panel_screen_from_number): helper method.
	(panel_display_string): impl method to munge the
	DISPLAY string into one that will set the default screen
	to the one specified.
	(panel_munge_environment): impl method to change the
	value of DISPLAY in the environ array.
	(panel_execute_async), (panel_execute_shell),
	(panel_execute_command_line), (panel_ditem_launch): impl
	versions of these methods that will bring the launched
	app up on the correct screen.
	(panel_dialog), (panel_error_dialog), (panel_info_dialog):
	allow the screen on which to realize to be specified.

	* panel-widget.c: (panel_widget_applet_move_to_cursor): make
	sure the panels are on the same screen before trying to
	reparent the applet.

	* panel.c: (move_panel_to_cursor): use the correct root window
	when getting pointer coords.
	(panel_popup_menu): popup on the right screen.
	(panel_ensure_panel_per_screen): impl method to make sure
	there's at least one panel per screen.
	(panel_load_panels_from_gconf): use "screen" and "monitor"
	keys but keep support for "screen_id" key.
	(panel_save_to_gconf): save screen and monitor numbers.
	(panel_screen_from_toplevel), (panel_monitor_from_toplevel),
	(panel_screen_from_panel_widget), (panel_monitor_from_panel_widget):
	implement these utility methods.

	* xstuff.c:
	(xstuff_is_compliant_wm): use new multihead apis.
	(xstuff_init): set the event filter on the root window
	of every screen.

2002-06-22  Mark McLoughlin  <mark@skynet.ie>

	* menu.c: (remove_panel_query): remove a stray
	gtk_window_set_screen.

2002-06-21  Mark McLoughlin  <mark@skynet.ie>

	Cleanups and bugfixes while doing mulitscreen support.
	Committing them now will make branching a lot easier.

	* Makefile.am: just link gnome-panel-preferences against
	rgb-stuff.c, not panel-util.c.

	* applet.c: (applet_callback_callback): use launcher_show_help.

	* basep-widget.c:
	(basep_widget_class_init): use the glib marshaller.
	(basep_calculate_borders): simplify this code greatly.

	* disclosure-widget.c: fix some warnings. Should sync
	with gnome-media really.

	* foobar-widget.c:
	(foobar_widget_instance_init): pass the panel widget to
	create_root_menu to fix warnings.

	* gnome-panel-preferences.c: kill copied and pasted code.

	* gnome-run.c: kill loads of headers.

	* launcher.c:
	(launcher_show_help): move code frmo applet_callback_callback.

	* menu-util.c: move screenshot and search launching code to
	menu.c.

	* menu.c: (menu_get_panel): rename from get_panel_from_menu_data
	and simplify + fix.
	(create_new_panel): save the panels to gconf as they are created.

	* multiscreen-stuff.c:
	(multiscreen_init): split libxinerama code and plain code into	
	seperate methods. Also leave room in geometries for multscreen
	as well as xinerama.
	(multiscreen_locate_coords), (multiscreen_locate_widget): renamed
	methods.

	* panel-gconf.h: (panel_gconf_sprintf): use G_GNUC_PRINTF.

	* panel-marshal.list: kill VOID:INT. glib provides it.

	* panel-util.c: kill old battery code.

	* panel-widget.c: kill unused applet_about_to_die stuff.

	* panel.c: (move_panel_to_cursor): use the root window in
	gdk_window_get_pointer.
	(panel_setup): return PanelData.
	(panel_save_to_gconf): save xinerama monitor info in the
	one place.
	(panel_monitor_from_toplevel): impl monitor info accessor.

	* session.c: kill loads of headers.

	* xstuff.c: (panel_atom_get): remove multidisplay stuff.
	(xstuff_setup_desktop_area): remove GNOME_PANEL_DESKTOP_AREA
	stuff. Nautilus now use _NET_WM_WORKAREA.

2002-06-21  Mark McLoughlin  <mark@skynet.ie>

	* gnome-panel-screenshot.glade2: rename to .glade.

	* Makefile.am:
	* gnome-panel-screenshot.c: (main): update.

2002-06-17  Mark McLoughlin  <mark@skynet.ie>

	* applet.c: (applet_callback_callback):
	* menu-properties.c: (properties_apply_callback):
	* menu.c: (show_item_menu): disable more non-working
	menu editing menu items.

2002-06-18  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: use $(prefix)/$(DATADIRNAME)/locale instead
	of $datadir/locale for locale directory location. Reported
	by Hidetoshi Tajima in #83623.

2002-06-10  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-panel-preferences.c: Mark a string for translation.
	
2002-06-08  Arvind Samptur   <arvind.samptur@wipro.com>

	* panel-config.h : change the data types of 
	x and y co-ordinates in _PerPanelConfig structure to 
	match with that of _FloatingPos structure. Fixes #83375.
        
2002-06-09  Mark McLoughlin  <mark@skynet.ie>

	* quick-desktop-reader.c: (quick_desktop_item_load_uri): don't
	crash when we don't know the Name's locale. #84074. Patch from
	Hidetoshi Tajima.

2002-06-03  Mark McLoughlin  <mark@skynet.ie>

	* menu.c: (setup_full_menuitem),
	(panel_load_menu_image_deferred_with_size): fix
	scary, scary g_free on GObjects instead of 
	g_object_unref. More than likely fixes #81690.

2002-06-02  Satyajit Kanungo <satyajit.kanungo@wipro.com>

	* gnome-panel-preferences.c: Added a help button to the panel capplet
          and link the help document present in "user-guide".			

2002-05-31  Dave Camp  <dave@ximian.com>

	* gnome-desktop-item-edit.c (get_uri): If the argument is already a uri,
	canonicalize it.  

	* panel-util.c (panel_uri_exists): Return FALSE without a warning
	for invalid uris.  These two changes fix #83705.

2002-05-31  Mark McLoughlin  <mark@skynet.ie>

	* basep-widget.c (basep_widget_focus_in_event): add
	some code to handle auto-showing on FocusIn. Don't
	enable it because of problems. See #81041.

2002-05-14  Jayaraj Rajappan <jayaraj.rajappan@wipro.com>

	* gnome-panel/panel-config.c - accessibility features described
	in #79204

	* gnome-panel/gnome-panel-preferences.glade - set atk relation
	between the label "Animation Speed:" and the option menu in
	the panel preferences window.

Wed May 29 10:06:54 2002  George Lebl <jirka@5z.com>

	* basep-widget.c, panel-widget.[ch], panel.c, panel-marshal.list:
	  remove all args from the back_change, size_change and orient_change
	  signals.  This removes some complexity that was not needed and
	  fixes a marshalling bug found by Jorgen Viksell
	  <jorgen.viksell@telia.com>

	* gnome-desktop-item-edit.c: allow editting of directories, fix
	  error output.  Allow editting non-existing .desktops and
	  .directories, though it doesn't work too great with vfolders
	  and .desktops.

2002-05-29  Padraig O'Briain  <padraig.obriain@sun.com>

	* button-widget.c (button_widget_expose): Caculate focus indication
	box correctly, i.e. include line with for start and end lines.

2002-05-28  Satyajit Kanungo  <satyajit.kanungo@wipro.com>
	* applet.c, gnome-run.c,launcher.c, menu-ditem.c,menu-properties.c,
	  menu.c, panel-config.c : modified the help callbacks to fetch the
	  help documents from the user-guide.  
        
	* panel-util.c : panel_show_help() is modified to pass the user-guide name.

Tue May 28 14:49:09 2002  George Lebl <jirka@5z.com>

	* menu-ditem.c: fix uri issues with creating new items, fix crash
	  on creating new items, and convert name from utf8 before we attempt
	  to use it as a filename

2002-05-29  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: don't define PANELRC.

	* gnome-panelrc: zero this file.

	* panel.c: (panel_event): don't set state to SELECTED
	on focus.

2002-05-28  Mark McLoughlin  <mark@skynet.ie>

	* gnome-panel-screenshot.c: (add_file_to_path): convert translated
	filenames from utf8 to the locale encoding for filenames.

	* panel-applet-frame.c: (panel_applet_frame_construct): use
	g_signal_connect_object instead of constructing the closure
	ourselves.

2002-05-25  Mark McLoughlin  <mark@skynet.ie>

	* applet.[ch]: (panel_applet_menu_set_recurse): rename and
	export this function.
	(applet_show_menu): upd.

	* menu.c:
	(menu_applet_reparented): impl to reset the menu data
	when the applet is reparented. Fixes #79719.
	(create_panel_menu): hook up to the reparent signal.

	* sliding-widget.[ch]: (sliding_pos_class_init),
	(sliding_widget_change_params): change the signatures
	of the offset_change and anchor_change signals. We don't
	use the params, we just need the notification.

2002-05-23  Alex Larsson  <alexl@redhat.com>

	reviewed by: mark@skynet.ie

	* main.c: (main):
	Create a global panel_icon_loader to handle icon theming.
	
	* button-widget.c: (loadup_file):
	* gnome-run.c: (find_icon_timeout), (selection_changed):
	* launcher.c: (setup_button), (ditem_set_icon):
	* menu-util.c: (get_pixmap):
	Use panel_icon_loader
	
	* menu.c: (icon_theme_changed), (panel_menu_new),
	(panel_make_menu_icon), (create_kde_menu), (image_menu_destroy),
	(panel_load_menu_image_deferred_with_size):
	Use panel_icon_loader, handle icon loader changes.
	
	* panel-main.h:
	Export panel_icon_loader

2002-05-23  Padraig O'Briain  <padraig.obriain@sun.com>

	* gnome-panelrc:
	rc file which ensures that SELECTED state for PanelWidget and its 
	children is not visible, by default

	* Makefile.am:
	Update so that gnome-panelrc file is installed in $(datadir)

	* basep-widget.[ch]: foobar-widget.[ch]
	Remove move-focus-out signal as moving focus from applet to PanelWidget
	is not supported
	Remove basep_key_press, default signal handler for key_press_event

	* button-widget.c:
	(button_widget_expose) Highlight widget when it has focus
	Draw focus indication using style's focus-line-width" and 
	"focus-padding"

	* panel-marshal.list:
	Add BOOLEAN:VOID for new signal popup_panel_menu

	* panel-widget.c:
	Add new signal popup_panel_menu which pops up context menu for
	PanelWidget; use Ctrl+F10 to activate the signal. This works when
	PanelWidget or applet has focus.
	Remove function panel_widget_save_key_event()
	Remove function panel_widget_focus_in_event() and 
	panel_widget_focus_out_event()
	(panel_widget_finalize): Remove reference to panel->key_event
	(panel_widget_real_focus): Remove reference to panel->key_event
	which supported giving focus to PanelWidget when focus was inside 
	an applet in another process. Remove CAN_FOCUS flag if PanelWidget
	has children.
	
	panel.c:
	(panel_end_move) Do not give focus to PanelWidget on mouse click
	(panel_widget_event): For key press, check whether focus widget is a 
	GtkSocket; if so, activate binding for Ctrl+F10, popup panel menu.
	Set state to GTK_STATE_SELECTED for focus in.

2002-05-24  Mark McLoughlin  <mark@skynet.ie>

	* basep-widget.c: (basep_widget_class_init),
	(basep_pos_class_init), (basep_widget_focus_in_event): on
	focus in, autoshow an autohide panel. Fixes #81041.

2002-05-23  Glynn Foster  <glynn.foster@sun.com>

	* gnome-panel-screenshot.c: Add a default window icon. Clean up after
	a few widgets.

Wed May 22 10:50:23 2002  George Lebl <jirka@5z.com>

	* gnome-run.c: fix #82428 by focusing the entry on show.  Also zero
	  out the GValue when trying to get icon, this should get rid of
	  those random GValue warnings

	* menu.c, foobar-widget.c: patch from Gman to remove the RUN:NEW drag
	  stuff since there is no longer such an applet fixes #82593

	* basep-widget.c: solved the moving (animation) while in metacity bug,
	  still updates are not propagated as they should.  Hmmm we'll have
	  to figure something out with that.  I think it has to do
	  with double buffering or some such.

Wed May 22 10:34:19 2002  George Lebl <jirka@5z.com>

	* menu.c: fix sim menu refcounting

	* menu-ditem.c: save after 2 seconds of inactivity.  5 was too long

	* gnome-run.c: fix some compile warning, also fix possible crash
	  in #82332

2002-05-22  Mark McLoughlin  <mark@skynet.ie>

	* applet.c: (panel_applet_load_from_unique_id),
	(panel_applet_save_position): interpret the meaning of
	the 'right_stick' property slightly differently to
	fix #76925. This will break the ordering of your applets
	the first time you load a panel with this fix.

2002-05-22  Mark McLoughlin  <mark@skynet.ie>

	* applet.c: (whack_applet_to_load): kill setting
	panel_widget to NULL, just before we try and
	use it ...

2002-05-22  Mark McLoughlin  <mark@skynet.ie>

	Kill broken status dock. Will be replaced by a
	system tray (see freedesktop.org) impl beyond 2.0

	* applet.c, main.c, menu.c, panel.[ch], panel.h,
	  session.c, xstuff.[ch]: kill all status dock
	related code.

	* Makefile.am: removed status.[ch] from the build.

	* status-docklet.[ch], status.[ch]: removed these files.

Mon May 20 17:12:06 2002  George Lebl <jirka@5z.com>

	* applet.c, basep-widget.c, gnome-panel-preferences.c,
	  gnome-run.c, menu-fentry.c, menu.c, panel-config-global.c,
	  panel-util.c, panel-widget.c, panel.c:  Tried to verify GSList
	  code and while at it did a bunch of slist code cleanup.  Also
	  I HATE !strcmp with a passion so I changed all such instances
	  to strcmp(a, b) == 0.

	* basep-widget.c: some more descriptive property names/descs

2002-05-20  Mark McLoughlin  <mark@skynet.ie>

	* panel-applet-frame.c:
	(panel_applet_frame_reload_response),
	(panel_applet_frame_get_name), (panel_applet_frame_cnx_broken),
	(panel_applet_frame_construct): impl an 'applet died' dialog box
	using the CORBA connection "broken" signal. (#72362)

	* panel-config-global.h: kill auto_raise cruft.

	* panel-global-config.schemas.in: ditto.

	* applet.[ch]: (panel_applet_clean_gconf),
	(panel_applet_clean): add clean_gconf arg so we don't kill prefs
	when we are re-loading.
	(applet_idle_remove), (applet_destroy), (panel_applet_register):
	update for above change.

	* panel.c: (panel_destroy), (drop_internal_applet): update for
	panel_applet_clean change.

2002-05-20  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: generate the .schemas file from the
	.schemas.in files.

	* panel-global-config.schemas.in:
	* panel-per-panel-config.schemas.in: renamed these from
	the .schema version - preserving cvs history.

2002-05-19  Mark McLoughlin  <mark@skynet.ie>

	* foobar-widget (set_das_pixmap): don't destroy the GtkImage
	every time the icon needs to be changed. Should fix #81690.

Fri May 17 21:34:44 2002  George Lebl <jirka@5z.com>

	* panel-shell.c: fix #81437 by disconnecting the destroy
	  function on response before we do gtk_dialog_run

	* menu.c: don't do gtk_dialog_run on something returned from
	  panel_error_dialog.  Hmmm, will need some better idea for the
	  closing instead of hard destroying the thing which causes crashes

	* panel-util.c: avoid warning when creating dialogs with
	  parent == NULL

Fri May 17 21:14:16 2002  George Lebl <jirka@5z.com>

	* gnome-run.c: when getting an iterator check the result of the
	  function and don't continue if this is false.  this should
	  fix #82082

Fri May 17 14:50:21 2002  George Lebl <jirka@5z.com>

	* menu.c: never add an icon to show twice, this should fix #71213

Thu May 16 03:31:14 2002  George Lebl <jirka@5z.com>

	* multiscreen-stuff.c: fix off-by-1 errors in
	  multiscreen_screen_from_pos as pointed out by xavier.bestel@free.fr

Thu May 16 03:25:53 2002  George Lebl <jirka@5z.com>

	* multiscreen-stuff.c: when the screen is invalid, assume the zero
	  (the first) screen, Fixes #70095.  It is probably the saner
	  behaviour since that makes sure that at least SOME panel is
	  visible.

	* menu.[ch], foobar-widget.[ch]: s/run_item/extra_items/ and
	  don't add the search and screenshot item on foobar like we
	  do with the run item

Wed May 15 20:11:31 2002  George Lebl <jirka@5z.com>

	* gnome-run.c: remove some dead code, and support dnd on the entry
	  doing the same thing as append file.  Also when entry is empty
	  don't add a space

Tue May 14 18:37:24 2002  George Lebl <jirka@5z.com>

	* gnome-run.c, disclosure-widget.[ch], Makefile.am,
	  quick-desktop-item.[ch]:  Apply and massage Frank Worsley
	  <fworsley@shaw.ca>'s patch to use Iain's cddb disclosure
	  widget and launch files and lookup icons and just do bunches
	  of cool stuff

	* gnome-run.c, menu-fentry.[ch]: add an exec field to the FileRec
	  so that we can add an EXEC column.  Also add an icon column so
	  that for the icon lookup we do no loading of entries.  Should
	  reduce overhead of icon lookup by quite a bit.

	* gnome-run.c, menu.c: Modify error dialogs to all use the
	  bold/details style that is used elsewhere in the panel

Tue May 14 11:37:24 2002  George Lebl <jirka@5z.com>

	* menu.c: move the screenshot/search to a more appropriate location,
	  one where it actually works all the time, and now it's not such a
	  dirty hack (since that's the way the runbox is done) so remove
	  that comment

	* multiscreen-stuff.c: add checking for "GNOME_PANEL_NO_XINERAMA"
	  env var, and if it exists ignore xinerama.  This is a quick
	  and simple workaround for #73475

2002-05-14  Anders Carlsson  <andersca@gnu.org>

	* foobar-widget.c: (add_window), (create_task_menu),
	(setup_task_menu):
	* xstuff.c: (xstuff_go_through_client_list):
	Use new multi-screen safe libwnck API.
	
2002-05-14  Padraig O'Briain  <padraig.obriain@sun.com>

	* menu.c (create_new_panel):
	Correct window argument passed to gtk_window_set_title()

	* panel-widget.c:
	Add function panel_widget_reset_saved_focus() to reset focus to
	saved_focus_widget
	Add function panel_widget_force_grab_focus() which sets focus to
	specified widget event if widget does not have CAN_FOCUS flag set.
	Add new function panel_woidget_reset_focus() which resets the focus
	widget when the currently focused widget is removed from a panel
	(panel_widget_cremove): Call panel_widget_reset_focus() to reset
	focus when applet is removed from panel.
	(panel_widget_reparent): Set focus to new widget, unset GTK_CAN_FOCUS
	flag on new PanelWidget, if set, and make panel window active when 
	applet is moved from another panel.
	(panel_widget_tab_move): Do not unset saved_focus_widget after moving
	applet to another panel using Tab key.
	(This fixes bug #80688)

2002-05-13  Seth Nickell  <snickell@stanford.edu>

	* foobar-widget.c: (append_actions_menu):
	* menu.c: (create_root_menu):

	Use gnome-screenshot.png instead of gnome-mdi.png

2002-05-13  Glynn Foster  <glynn.foster@sun.com>

	* drawer.c: (focus_in_drawer), (focus_out_drawer):
	* panel-util.c: (panel_dialog), (panel_error_dialog_with_parent),
	(panel_info_dialog_with_parent): Fix up build warnings.

2002-05-12  Arvind Samptur  <arvind.samptur@wipro.com>

	* Reviewed by Glynn Foster
	
	* menu.c :
	Hack to add search tool and screen shot in GNOME menu.
	bug(#81124)

2002-05-12  Alexander Larsson  <alla@lysator.liu.se>

	* panel-applet-frame.c (panel_applet_frame_get_size_hints):
	Make size hints work for applets with handles.

2002-05-11  Glynn Foster  <glynn.foster@sun.com>

	* gnome-panel-preferences.c: Give it a default response.

2002-05-10  Padraig O'Briain  <padraig.obriain@sun.com>

	* panel-widget.c:
	(add_all_move_bindings) If focus widget is a GtkSocket unset focus
	while doing move so that key bindings for panel will work
	(remove_all_move_bindings) Reset focus widget at end of move if
	focus widget was unset (#79515)
	(panel_widget_tab_move) Correct bug when panel is not first panel on
	list; cycle around end of panel list

2002-05-09 Stephen Browne <stephen.browne@sun.com>

	* distribution.c
	Changed name of CDE Menu back to "CDE Menus" 
	HCI ppl made the call

2002-05-07  Padraig O'Briain  <padraig.obriain@sun.com>

	* menu-util.[ch]:
	Add function menu_item_menu_position which ensures that menu item's
	menu is displayed close to the menu item; it might be displayed
	because of a key stroke instead of mouse click

	* menu.c:
	Add panel_menu_key_press_handler as signal handler for 
	"key_press_event"
	In panel_menu_key_press_handler() display active menu item's
	menu if Shift+F10 was pressed.
	setup_full_menuitem: Store menu item's ShowItemMenu as data of the
	menu item so it can be found in panel_menu_key_press_handler().

Fri May 03 17:35:40 2002  George Lebl <jirka@5z.com>

	* gnome-run.c, panel-per-panel-config.schemas: Apply the following
	  patch and fix bugs etc... in it

2002-05-02  Frank Worsley  <fworsley@shaw.ca>

	* gnome-run.c: revamp the run dialog. Show 'Advanced' entry field
	by default and rename advanced button to 'Known Applications' to
	display list of known applications when clicked. Plus other fixes.

2002-05-03  Padraig O'Briain  <padraig.obriain@sun.com>
 
	* drawer.[ch]:
	focus_in_drawer: Do not open a drawer when it is focused 
	focus_out_drawer: Do not close a drawer when it is unfocused
	it unfocused.
	Remove just_focused flag in Drawer data structure and 
	unset_just_focused
	Fixed #78782

2002-05-02  Glynn Foster  <glynn.foster@sun.com>

	* foobar-widget.c, menu-util.c, menu-util.h, menu.c: Add 'Search
	for Files' and 'Take a Screen Shot' to the GNOME menu so we don't
	have functionality only available on the Menu panel. Fixes #80357
	and #79366.

2002-05-02  Bastien Nocera  <hadess@hadess.net>

	* foobar-widget.c: (focus_window), (get_default_image):
	change workspaces before focusing a window with the task_list,
	(Closes: #80534)
	change default "no windows focused" image to "gnome-gmenu.png"

2002-05-02 Stephen Browne <stephen.browne@sun.com>

	* panel-util.c: (panel_ensure_dir)
	fix bug 79641 where launchers dir cannot be created on a solaris
	machine with an nfs mounted user home dir

2002-05-01  Arvind Samptur <arvind.samptur@wipro.com>

	Reviewed by: Alex Larsson, Glynn Foster.

	* panel-applet-frame.c: panel_applet_frame_button_changed
	updated with new parameters event button and time for
	GNOME_Vertigo_PanelAppletShell_popup_menu call

2002-05-01  Glynn Foster  <glynn.foster@sun.com>

	* foobar-widget.c: (append_actions_menu): Re-order Actions menu
	according to usability guidance from Nils.

Wed May 01 10:01:16 2002  George Lebl <jirka@5z.com>

	* panel-util.[ch]: create parented versions of the info/error dialog
	  functions

	* menu-ditem.c: Apply a modified version of a patch from Frank
	  Worsley  <fworsley@shaw.ca> to fix saving of items, fix
	  some strings and fix popping of the busy cursor after user
	  dismisses an error dialog.

2002-04-29  Glynn Foster  <glynn.foster@sun.com>

	* Makefile.am: Remove install of gnome-panel-screenshot .desktop
	file.
	* foobar-widget.c: (foobar_screenshot), (append_actions_menu):
	Add 'Take a Screen Shot' to the Menu Panel's Actions menu.
	* gnome-panel-screenshot.c: (main): Implement a delay option
	for the command line.
	* gnome-panel-screenshot.desktop.in: Kill.

Mon Apr 29 12:47:15 2002  Jonathan Blandford  <jrb@gnome.org>

	* panel-config-global.c (panel_global_config_set_entry): s/-/_/
	for schemas.

	* panel-global-config.schemas: clean up schemas names.  Have had
	this for months and didn't realize I hadn't committed b/c it
	worked locally.  The keybinding capplet should work much better
	now.

2002-04-22  Frank Worsley  <fworsley@shaw.ca>

	* gnome-panel/gnome-desktop-item-edit.c:
	call panel functions with correct parameters
	fix so that existing files can be edited
	
	* gnome-panel/launcher.c:
	change window titles to match other panel/nautilus terminology
	
	* gnome-panel/menu-ditem.c: 
	change window titles to match other panel/nautilus terminology	
	(is_item_writable): check correct parameter when dir != NULL
	(panel_edit_direntry): don't free dirfile if we use it again
	(create_launcher): display a message box if location not writable

2002-04-26  Abel Cheung  <maddog@linux.org.hk>

	* gnome-panel-screenshot.c (main): Removed reference of gnome-core
	inside translation string.

2002-04-25  Padraig O'Briain  <padraig.obriain@sun.com>

	* panel-widget.c:
	If applet's height is odd and orientation is horizontal set its 
	position 1 pixel lower so that the tab order will be correct 
	(bug 79465); similarly for width and vertical orientation.

2002-04-23  Padraig O'Briain  <padraig.obriain@sun.com>

	* gnome-panel-preferences.glade:
	Set mnemonic widget for Animation Speed label

2002-04-22  Padraig O'Briain  <padraig.obriain@sun.com>

	* basep-widget.c foobar-widget.c panel-widget.c:
	Remove bindings for GDK_ISO_Left_Tab as this breaks Shift+Tab
	(bug 79465)

2002-04-19  Padraig O'Briain  <padraig.obriain@sun.com>

	* drawer-widget.c (drawer_pos_hidebutton_click):
	Move focus to drawer icon when hide button in DrawerWidget 
	is activated to close drawer.

2002-04-18  Mark McLoughlin  <mark@skynet.ie>

	* main.c: (main): don't force BONOBO_ACTIVATION_DEBUG_OUPUT on
	everyone. (#79037)

2002-04-18  Mark McLoughlin  <mark@skynet.ie>

	* panel-config-global.c: (panel_global_config_set_entry):
	* panel-config-global.h:
	* panel.c: (panel_save_global_config): 
	* gnome-panel-preferences.c: (load_checkboxes):
	* gnome-panel-preferences.glade: remove 'Raise panels on
	mouseover' option. We're not a window manager.

	* basep-widget.c: (basep_enter_notify):
	* drawer.c: (enter_notify_drawer):
	* foobar-widget.c: (foobar_enter_notify): don't do the
	crackpot auto raise thing.
	
2002-04-18  Mark McLoughlin  <mark@skynet.ie>

	Might as well rename the files while I'm at it.

	* menu.c: (panel_config_global): upd binary name.

	* gnome-panel-preferences.c: (setup_the_ui), (main): upd
	name and glade file etc.

	* gnome-panel-preferences.desktop.in: update tooltip
	and exec.

	* gnome-panel-properties.c:
	* gnome-panel-properties.desktop.in: replace with
	gnome-panel-preferences variants.

	* gnome-panel-properties.glade:
	* gnome-panel-properties.glade2: replace with
	gnome-panel-preferences.glade (the glade2 version)

	* Makefile.am: install the .desktop file in
	  control-center-2.0/capplets and update for the rest of the
	  changes.

	* .cvsignore: upd.

2002-04-18  Mark McLoughlin  <mark@skynet.ie>

	* gnome-panel-properties.c: (main):
	* gnome-panel-properties.glade2: rename dialog to
	'Panel Preferences'.

2002-04-17  Arvind S N  <arvind.samptur@wipro.com>

	* menu.c: changed "Remove this panel" to "Delete this panel"
	(#61598)

2002-04-18  Mark McLoughlin  <mark@skynet.ie>

	* gnome-panel-screenshot.c: (main): fixed warning.

	* menu-fentry.[ch]:
	(fr_read_dir), (fr_check_and_reread), (fr_get_dir): kill
	DirRec.force_reread and all its uses.
	(fr_force_reread): kill, we always do check for re-reads now.

	* panel-config-global.h: kill menu_check and menu_flags.

	* menu.c: (panel_launch_nautilus): kill.
	(make_panel_submenu): kill 'Edit menus...' item (#75977).
	(create_panel_root_menu), (make_panel_submenu),
	(add_menu_widget), (menu_button_menu_popup): use default menu
	flags. They're not configurable anymore.
	(load_menu_applet): kill 'Edit menus...' here too.

	* panel-applet-frame.c: (panel_applet_frame_class_init): fix
	warning.

	* panel-shell.c: include panel-util.h to fix warning.

	* panel.c:
	(panel_load_global_config), (panel_save_global_config): remove
	'FIXME STUFF THAT IS BORKED' options.
	(panel_apply_global_config): don't handle applying these
	options.

2002-04-17  Arvind S N  <arvind.samptur@wipro.com>

	* button-widget.c: workaround to get the drawer panel
	working. In translate_to(),from->allocation.x and from->allocation.y
	getting -ve values and thus causing problems in selecting launchers.

2002-04-17  Mark McLoughlin  <mark@skynet.ie>

	* applet.c: (applet_do_popup_menu): return FALSE if its
	a bonobo applet.
	(applet_button_press): always return FALSE if its not
	handled.

	* panel-applet-frame.c: (panel_applet_frame_get_flags): impl helper
	method.
	(panel_applet_frame_get_expand_flags): use it here.
	(panel_applet_frame_change_orient): don't set orient and resize
	unless the orient has actually changed.
	(panel_applet_frame_finalize): release the AppletShell.
	(panel_applet_frame_class_init): hook up new methods.
	(panel_applet_frame_instance_init): initialise new members.
	(panel_applet_frame_get_applet_shell): switch this back on.
	(panel_applet_frame_construct): use it here.
	(panel_applet_frame_paint), (panel_applet_frame_expose),
	(panel_applet_frame_size_request), (panel_applet_frame_size_allocate),
	(button_event_in_rect), (panel_applet_frame_button_changed): implement
	a handle on the AppletFrame. Adapted from Havoc's FooHandle.

2002-04-17  Padraig O'Briain  <padraig.obriain@sun.com>

	* basep-widget.c foobar-widget.c: Add key-press handler; 
	this function calls panel_widget_save_key_event()
	so that if the focus is within an applet in a different process and 
	Ctrl+Tab is the key event panel_widget_real_focus() can focus the
	PanelWidget

	* panel-widget.[ch]: Add key_event field to PanelWidget data structure
	and function panel_widget_save_key_event.
	(panel_widget_finalize): Free the saved key event
	(panel_widget_real_focus): Check whether the previous key event had a 
	modifier of Ctrl and if so set the focus on the panel.

2002-04-16  Padraig O'Briain  <padraig.obriain@sun.com>

	* panel-applet-frame.[ch]
	Remove action signal move_focus_out_of_applet to move focus from 
	applet to next or previous object on panel. This signal is being moved
	to PanelApplet so it will work for applets in a different process to
	the panel.

Mon Apr 15 10:16:13 2002  George Lebl <jirka@5z.com>

	* gnome-run.c: fix crash reported in #78559 by just using the
	  run_dialog variable, which is NULL if the widget is dead
	  instead of using a potentially out of date data parameter.

Mon Apr 15 10:04:14 2002  George Lebl <jirka@5z.com>

	* launcher.c: Applied patch from Christophe Fergeau
	  <christophe.fergeau@laposte.net> (slightly modified) to
	  fix the empty lines when comment is empty

2002-04-15  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am, panel.hints: kill panel.hints.

	* menu-util.c: (get_real_menu_path): fix main menu dragging.

2002-04-15 Stephen Browne <stephen.browne@sun.com>

	* distribution.c:
	Changed the name of the CDE menu name and the icon that should
	be used for it.

2002-04-15  Padraig O'Briain  <padraig.obriain@sun.com>

	* panel-widget.c:
	Allow Return and space keys to exit move mode; completion of #75935

2002-04-13  Alexander Larsson  <alla@lysator.liu.se>

	* panel-widget.c:
	Implement size hints for expanding applets.

	* panel-applet-frame.h: 
	Add panel_applet_frame_get_size_hints()
	
	* panel-applet-frame.c (panel_applet_frame_get_size_hints):
	Get the size hints from the property bag.

Fri Apr 12 15:19:34 2002  George Lebl <jirka@5z.com>

	* panel-config.c: remove some cruft for some gtk bug workarounds
	  which don't seem to be needed anymore

Fri Apr 12 14:57:22 2002  George Lebl <jirka@5z.com>

	* menu.c: fix checking for foobar when adding/removing the item to
	  add it.  Also fix #75970 by favouring the bottom of the screen.

2002-03-18  Jayaraj Rajappan <jayaraj.rajappan@wipro.com>
	* accessibility changes for panel. Atk relation is set
	between the label and the corresponding widgets. Tooltips
	are provided for some widgets.
	Files changed : menu.c launcher.c gnome-run.c foobar-widget.c
	panel-config.c swallow.c panel-util.h panel-util.c
	gnome-panel-properties.glade2 Makefile.am
	New file : panel-access.c

Fri Apr 12 13:58:28 2002  George Lebl <jirka@5z.com>

	* menu.c: remove some old menuitem/applet cruft.  Fix the removal
	  of items from menu by porting this thing to actually use
	  gnome-vfs.  Fixes #74963

Fri Apr 12 13:39:48 2002  George Lebl <jirka@5z.com>

	* applet.c: Change order and labels of the remove/move thingies
	  to match the way the Applet one is done fixes #74924

2002-04-12  Mark McLoughlin  <mark@skynet.ie>

	* foobar-widget.c: (focus_window): don't move to current
	workspace so as to be consistent with the tasklist (78248)

2002-04-12  Mark McLoughlin  <mark@skynet.ie>

	* menu-ditem.c: (ditem_properties_apply_timeout):
	kill bogus ditem unref.

2002-04-12  Mark McLoughlin  <mark@skynet.ie>

	* applet.c: (panel_applet_register): make master_widget
	a weak pointer.

	* basep-widget.c: (basep_widget_do_hiding),
	(basep_widget_do_showing): cleanups.

	* button-widget.c: (calculate_overlay_geometry): remove hidden crack.
	Fixes #75904 and doesn't seem to break anything.

	* gnome-panel-properties.glade2:
	* gnome-panel-properties.c: (option_menu_changed),
	(load_option_menus): remove panel window layer option. It doesn't work.

	* launcher.c: (create_launcher): kill redundant casts.

	* gnome-run.c: (create_simple_contents), (update_contents): cleanups.

	* panel-global-config.schemas, panel-types.h,
	  panel-config-global.[ch]: (panel_global_config_set_entry):
	  panel.c: (panel_save_global_config), (panel_apply_global_config): more
	window layer culling.

2002-04-10  Mark McLoughlin  <mark@skynet.ie>

	* menu-util.c: (get_real_menu_path): don't crash when dragging
	a menu (77275)

2002-04-10  Mark McLoughlin  <mark@skynet.ie>

	* panel-config.c: (make_misc_widget): don't make misc frame
	unless we want the multiscreen option. Also kill avoid param
	Fixes (77125)
	(edge_notebook_page), (aligned_notebook_page),
	(floating_notebook_page), (sliding_notebook_page): upd.

2002-04-10  Mark McLoughlin  <mark@skynet.ie>

	* panel-util.c: (panel_show_help): check error != NULL,
	fixes (77104)

2002-04-10  Seth Nickell  <snickell@stanford.edu>

	* gnome-panel-screenshot.desktop.in:

	Fix the wording a little. Its still broken because this does
	not function like an application, it functions like a dialogue.
	It would be better suited to "Actions".

2002-04-10  Mark McLoughlin  <mark@skynet.ie>

	* panel-widget.c: (add_all_move_bindings),
	(remove_all_move_bindings): make "free_move" on by default
	and make enter end the move. Patch by Padraig O'Briain (75953)

Tue Apr 09 15:04:36 2002  George Lebl <jirka@5z.com>

	* panel-shell.c: use panel_error_dialog instead of the homebrewed
	  dialog thingie

2002-04-04  Anders Carlsson  <andersca@gnu.org>

	* gnome-panel-screenshot.c (main): Obey the "desktop is homedir" 
	nautilus preference for saving to the desktop.

2002-04-02  Mark McLoughlin  <mark@skynet.ie>

	* applet.c: (whack_applet_to_load),
	(panel_destroyed_while_loading),
	(panel_applet_load_from_unique_id): use g_signal_handler_disconnect
	instead of g_source_remove (76981)

	* gnome-run.c: (launch_selected), (run_dialog_response),
	(selection_activated), (selection_changed),
	(create_simple_contents): launch the selected item when you double click
	on it (77088)

	* menu-ditem.c: (panel_edit_direntry): pass the .directory uri to
	set_ditem_sensitive instead of the directory. Also the destroy handler
	crack (74871)

2002-04-02  Mark McLoughlin  <mark@skynet.ie>

	* foobar-widget.c: (foobar_search), (append_actions_menu):
	add 'Search for File...' to actions menu. Based on patch by
	Dennis Cranston, #73183.

2002-04-02  Diego González  <dggonz@yahoo.com>

	* gnome-panel/menu-ditem.c (really_add_new_menu_item):
	fix how the filename for the launcher is obtained.

2002-03-29  Arvind S N  <arvind.samptur@wipro.com>

	* gnome-panel-screenshot.desktop.in: file for gnome-panel-screenshot

	* Makefile.am : added gnome-panel-screenshot.desktop.in

2002-03-29  Mark McLoughlin  <mark@skynet.ie>

	* panel-config.c: (floating_notebook_page): connect to the
	"value-changed" signal on the spinbutton, not "changed".

2002-03-29  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: kill swallow.[ch].

	* applet.[ch]: (applet_idle_remove), (applet_callback_callback),
	(applet_do_popup_menu), (panel_applet_load_from_unique_id),
	(panel_applet_save_to_gconf), (panel_applet_register): kill all
	traces of swallowed apps.

	* floating-widget.c: (yclamp): fix clamp permutation (76393)

	* gnome-panel-properties.glade2: kill auto-update-menus (75150)

	* menu.c: (make_add_submenu): kill swallowed app menuitem.
	
	* panel-per-panel-config.schemas: add a mixer applet to the menu
	panel by default.

	* panel-widget.c: (panel_widget_applet_drag_start): if the grab didn't
	succeed, drop the drag.

	* panel.c: (orientation_change), (panel_remove_applets),
	(drop_internal_applet): remove allw swalled app code.
	(panel_load_panels_from_gconf), (panel_save_to_gconf): move a few more
	keys to using underscores.

	* session.c: (panel_session_die): kill more swallow code.

	* xstuff.c: (xstuff_go_through_client_list): ditto.

2002-03-28  Mark McLoughlin  <mark@skynet.ie>

	* foobar-widget.[ch]: kill the foobar clock.

	* panel-per-panel-config.schemas: add the clock applet to
	the default menu panel setup.

	* gnome-run.c: (run_dialog_response):
	* menu.c: (create_new_panel):
	* panel.c: (panel_load_panels_from_gconf): update for foobar change.

2002-03-27  Mark McLoughlin  <mark@skynet.ie>

	* gnome-run.c: (fill_list), (create_simple_contents): make the idle
	handlers lowest priority as per boc's request.

Wed Mar 20 10:15:43 2002  Jonathan Blandford  <jrb@redhat.com>

	* gnome-panel-properties.c: Remove keybinding settings from this
	capplet.  Merge the rest of the pages into one.  This thing could
	use some UI love in general, but it's better than before (IMHO).

2002-03-27  Mark McLoughlin  <mark@skynet.ie>

	* menu.c: (remove_panel_accept), (remove_panel_query): make
	the remove from panel dialog OK_CANCEL.

2002-03-27  Mark McLoughlin  <mark@skynet.ie>

	* applet.c: (applet_callback_callback):
	* logout.c: (load_lock_applet): redo the menuitems for
	the lock button, to be somewhat more clear.

2002-03-27  Mark McLoughlin  <mark@skynet.ie>

	* logout.c: (load_logout_applet), (load_lock_applet):
	* status.c: (load_status_applet): kill bogus pre-conditions.

2002-03-27  Mark McLoughlin  <mark@skynet.ie>

	* applet.c: (panel_applet_load_from_unique_id):
	if we can't find the panel for the object, warn and stop loading.

	* drawer.c: (drawer_load_from_gconf):
	* launcher.c: (launcher_load_from_gconf):
	* logout.c: (load_logout_applet), (load_lock_applet):
	* menu.c: (menu_load_from_gconf):
	* status.c: (load_status_applet):
	* swallow.c: (swallow_load_from_gconf):
	fix up pre-conditions.

2002-03-27  Mark McLoughlin  <mark@skynet.ie>

	* launcher.c: (drag_data_get_cb): set up the launcher uri correctly.

Mon Mar 25 20:27:00 2002  George Lebl <jirka@5z.com>

	* panel-applet-frame.c: include panel-util.h, and use
	  panel_error_dialog

	* menu.c: use panel_info_dialog instead of custom gtk_message_box

	* main.c: add POPT_AUTOHELP

	* menu-ditem.c: a nicer way to find if a file already exists or not
	  for new launchers.  Also test schema:file since this is good
	  thing to do for vfolder schemas really.

	* gnome-desktop-item-edit.c: better handeling of uris vs. local
	  filenames

	* applet.c: when adding bonobo applets in the idle, we also connect
	  the panel destroy signal and whack from the add list if that
	  happens.  This should fix #76169

	* panel-types.c: add comma to the end of an enum

2002-03-25  Mark McLoughlin  <mark@skynet.ie>

	* menu.c: (create_add_panel_submenu): don't display the
	'Menu panel' option if we have a foobar already.

2002-03-25  Mark McLoughlin  <mark@skynet.ie>

	* applet.c: (panel_applet_create_menu): cleanup and use
	a GtkSeparator menu item as a separator.

	* basep-widget.c: kill uneeded panel_applet_in_drag def.

	* foobar-widget.c: (append_actions_menu): use 'Run Program...' instead
	of 'Run...' as suggested by calum.

	* main.c: (main): add a notify to /desktop/gnome/interface instead of
	/desktop/gnome/menus.

	* menu.c:
	(panel_menu_have_icons): kill old crack and use the correct key.
	(menus_have_icons_changed), (panel_menu_new): use the correct key
	for menus_have_icons.
	(image_menuitem_size_request): impl hack to make sure menu items
	without images are the same height as ones with images.
	(setup_full_menuitem): hook up to size_request.
	(create_root_menu): use 'Run Program...' instead of 'Run..'

	* menu.h: kill panel_menu_have_icons and bogus key definition.

	* panel-widget.[ch]:
	(panel_widget_get_free_space), (panel_widget_move): kill unused.
	(panel_widget_switch_applet_right): return is we're at the end of
	the panel.
	(panel_widget_switch_applet_left): return is we've hit the start of
	the panel.
	(panel_widget_switch_move_applet): only switch applets when we actual
	hit an applet.

2002-03-22  Mark McLoughlin  <mark@skynet.ie>

	* applet.c: (panel_applet_clean): kill the applet
	from the queued position saves list.

2002-03-22  Mark McLoughlin  <mark@skynet.ie>

	* panel-global-config.schemas:
	* panel-per-panel-config.schemas: change all gconf keys to
	use underscore instead of hypen. This is the gconf convention.

	* applet.[ch]: (panel_applet_create_menu): kill panel submenu
	from the applet popup menu. Also make static.
	Update for gconf key changes.

	* basep-widget.c: don't include gnome-windo-icon.h

	* foobar-widget.c: ditto.
	(append_format_items): upd for gconf key change.

	* gnome-panel-properties.c: ditto.

	* gnome-panel-properties.glade2: keep widget names in sync
	with gconf keys.

	* gnome-run.c: (run_dialog_response), (toggle_contents),
	(update_contents), (show_run_dialog): store the 'advanced' flag
	in gconf.

	* launcher.c: (launcher_save_to_gconf), (launcher_load_from_gconf):
	gconf key changes.

	* menu.[ch]: (make_panel_submenu): make static

	* panel-applet-frame.c: (panel_applet_frame_save_to_gconf),
	(panel_applet_frame_load_from_gconf): gconf key changes.

	* panel-config-global.c: (panel_global_config_set_entry): ditto.

	* panel-gconf.c: (panel_gconf_setup_profile): ditto.

	* panel-widget.c: (panel_widget_focus_in_event),
	(panel_widget_focus_out_event): kill prelight.

	* panel.c: (panel_save_global_config),
	(panel_load_panels_from_gconf), (panel_save_to_gconf),
	(panel_remove_from_gconf): gconf key changes.

2002-03-21  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: kill glade conversion, we're going with
	the Glade2 versions now.

	* gnome-panel-properties.glade2:
	* gnome-panel-screenshot.glade2: add .glade2 files.

	* gnome-run.c: (add_icon_idle), (fill_list),
	(run_dialog_destroyed):
	* panel-gconf.c: (panel_gconf_associate_schemas_in_dir):
	some minor cleanups

2002-03-21  Mark McLoughlin  <mark@skynet.ie>

	* panel-widget.c:
	(panel_widget_add): rename from panel_widget_add_full and
	kill bind_lower arg.
	(bind_top_applet_events): kill bind_lower arg.
	(panel_widget_cadd): upd.

	* applet.c: (panel_applet_register): upd for panel_widget_add
	change.

	* button-widget.c: (button_widget_class_init),
	(button_widget_parent_set): impl so we don't leave the overlay
	window behind when the widget gets re-parented (#75455)

2002-03-20  Mark McLoughlin  <mark@skynet.ie>

	* panel-marshal.list: kill VOID:ENUM, its in glib.

	* aligned-widget.c: (aligned_pos_class_init):
	* basep-widget.c: (basep_widget_class_init):
	* border-widget.c: (border_pos_class_init):
	* panel-applet-frame.c: (panel_applet_frame_class_init):
	* panel-widget.c: (panel_widget_class_init):
	* sliding-widget.c: (sliding_pos_class_init): use the glib
	version of the marshaller.

2002-03-20  Mark McLoughlin  <mark@skynet.ie>

	* panel-per-panel-config.schemas: default to having the pager
	in the bottom right as per GUP suggestion (71689)

2002-03-20  Mark McLoughlin  <mark@skynet.ie>

	* floating-widget.c: (floating_pos_class_init): the co-ordinate
	chage signal has a VOID__INT_INT signature, not INT__INT.

	* panel-marshal.list: kill INT_INT and add VOID_INT_INT.

2002-03-20  Mark McLoughlin  <mark@skynet.ie>

	* gnome-panel-screenshot.glade: hook up the OK button.

2002-03-20  Mark McLoughlin  <mark@skynet.ie>

	* menu.c: (create_root_menu): s/Programs/Applications/ for consistancy.

2002-03-11  Shivram U  <shivaram.upadhyayula@wipro.com>

	reviewed by Mark McLoughlin <mark@skynet.ie>

	* panel-applet-frame.c : (panel_applet_frame_get_background_string)
	We will not be adding '#' to the color string. '#' is used as a
	delimiter in parsing the moniker name. Fixes #73440.

2002-03-18  Shivram U  <shivaram.upadhyayula@wipro.com>

	reviewed by Mark McLoughlin <mark@skynet.ie>

	* panel-applet-frame.c: (panel_applet_frame_finalize) unref the
	property_bag and the ui_component. Fixes #67468

2002-03-19  Mark McLoughlin  <mark@skynet.ie>

	* panel-config-global.c: (panel_global_config_set_entry): check value
	as well as key, and don't do it in a g_return ... This isn't debugging.

2002-03-19  Mark McLoughlin  <mark@skynet.ie>

	* basep-widget.c: (basep_widget_construct):
	* foobar-widget.c: (foobar_widget_new): don't setup the default
	window icon here.

	* panel.[ch]: (panel_register_window_icon): impl a method to do it here.

	* main.c: (main): and use it here.

	* session.c: (panel_session_set_restart_command): only register to be
	re-spawned if GNOME_PANEL_DEBUG env variable is not set.

2002-03-18  Benedikt Roth  <Benedikt.Roth@gmx.net>

	* menu.c: (applet_menu_append), (create_applets_menu):
	Display the applets' descriptions as tooltips in the 
	'Add to panel menu'.

2002-03-18  Mark McLoughlin  <mark@skynet.ie>

	* panel-gconf.[ch]: (panel_gconf_sprintf): impl new method to use a signle
	static buffer for all our key creators to seriously cut down on the
	amount of mallocs we do.
	(panel_gconf_global_key), (panel_gconf_general_key):
	(panel_gconf_full_key): use above.

	* applet.c, drawer.c, foobar-widget.c, menu.c, panel-applet-frame.c,
	  panel.c, swallow.c: update for panel-gconf changes. 

	* gnome-panel-properties.c: update for panel-gconf changes and clean up
	a bit.

	* session.[ch]: (panel_session_set_restart_command): break out the
	restart command setting to here and set the restart style to respawn.
	(panel_session_save): use above.

	* main.c: (main): call set_restart_command.

	* xstuff.c: (xstuff_atom_intern): add some pre-conditions.

2002-03-14  Glynn Foster  <glynn.foster@sun.com>

	* Makefile.am: We now use panel_gconf_foo magic in 
	gnome-panel-properties.

	* gnome-panel-properties.c: (option_menu_changed),
	(load_option_menus), (setup_the_ui): Fix the properties
	dialog to correctly handle the option menus. Fixes 
	#74027 [part of].
	* panel-config-global.c: (panel_global_config_set_entry),
	gnome-panel-properties.glade, panel-types.h: Re-order 
	enums so that we are consistant everywhere.
	* panel-global-config.schemas: Change default to have 
	medium animation speed.

2002-03-12  Glynn Foster  <glynn.foster@sun.com>

	* menu.c: s/GNOME menu/GNOME Menu/

2002-03-12  Glynn Foster <glynn.foster@sun.com>

	* Makefile.am: s/gnome-panel-2/gnome-panel

	* basep-widget.c: (basep_widget_construct): Add window icon
	so that we show up nicely in gnome-system-monitor.
	* foobar-widget.c: (foobar_widget_new): ditto

	* gnome-desktop-item-edit.c: (main): fix warning

	* gnome-panel-properties.c: (main): 
	s/Panel Global Properties/Global Panel Properties/
	* gnome-panel-properties.glade: Rename some strings according
	to usability/doc wishes.

	* main.c: (main): s/panel/gnome-panel/ so that we show up 
	nicely in gnome-system-monitor
	
	* menu-util.[ch]: (got_distro_menus), (get_real_menu_path),
	(get_pixmap): Remove these functions and put into menu-util.[ch]
	with a view to EOL'ing menu-properties.[ch]

	* menu.c: (show_item_menu), (make_add_submenu): 
        
	Remove the Add to Panel -> Menu layer so that we can
        only add a 'GNOME Menu' now. We need to proceed to make sure
        that we can't edit the preferences of this for the time being
        until we get some plan sorted out. Part of #73511.

	* panel-config-global.h, panel-global-config.schemas, panel.c: 
	s/autoraise-panel/auto-raise-panel/ Fixes #74027. Also remove
	duplicate entry from schema file.
	
2002-03-12  Michael Meeks  <michael@ximian.com>

	* panel-util.c (panel_is_uri_writable): actually return
	the value.

2002-03-08  Michael Meeks  <michael@ximian.com>

	* panel-applet-frame.c (panel_applet_frame_new):
	sink that ref down the plug hole on error,
	squash warning.
	(panel_applet_frame_construct): improve exception handling, and
	throw up descriptive dialogs ourself.
	(panel_applet_frame_load): don't throw up the warning here, do it

Mon Mar 11 19:55:21 2002  George Lebl <jirka@5z.com>

	* gnome-desktop-item-edit.c, menu-ditem.[ch], menu.c,
	  panel-util.[ch]:  Separate out the new launcher functionality
	  and support that in the desktop item edit thingie.

Mon Mar 11 17:48:16 2002  George Lebl <jirka@5z.com>

	* panel-util.[ch], menu-ditem.c: fix the writable checking to handle
	  gnome-vfs.

2002-03-08  Gediminas Paulauskas <menesis@delfi.lt>

	* gnome-panel-properties.c: use Close button instead of OK (#72716)

2002-03-06  Arvind S N <arvind.samptur@wipro.com>

	* panel-applet-frame.c (panel_applet_frame_load):
	Pass "frame" as a data argument instead of NULL to fix crash when
	removing a panel (#73224).

2002-03-06  Mark McLoughlin  <mark@skynet.ie>

	* applet.[ch]: (panel_applet_position_save_timeout),
	(panel_applet_save_position), (panel_applet_save_to_gconf):
	queue position saves so things are nice and smooth again.

	* menu.c: (create_applets_menu): use the untranslated category
	names for grouping.

	* panel-applet-frame.c: (panel_applet_frame_construct): use
	bonobo_control_frame_get_popup_ui_component.

	* panel.c: (panel_applet_move):
	* session.c: (panel_session_save_applets), (panel_session_die):
	update for panel_applet_save_position change.

Tue Mar 05 14:56:15 2002  George Lebl <jirka@5z.com>

	* menu.c, menu-ditem.[ch], nothing.cP: move the ditem editting
	  stuff to a separate file

	* Makefile.am, gnome-desktop-item-edit.c: add a new proggie that
	  can just pop up dialogs for editting launchers, just like
	  in the panel, but from anywhere.  Note that it doesn't all yet
	  really work since a bunch of stuff is still broken.

2002-03-04  Padraig O'Briain  <padraig.obriain@sun.com>

	* panel-widget.c:
	Tidy up keynav code: use keybindings for Tab and arrow keys only
	for moving applets; define panel_widget_real_focus as default
	signal handler for GtkWidget's focus signal so GtkWindow's
	key bindings are used to move focus when the PanelWidget has focus.

Fri Mar  1 22:09:26 2002  Soeren Sandmann  <sandmann@daimi.au.dk>

	* panel-config-global.c (panel_global_config_set_entry): fix typo:
	s/autoraise-panel/auto-raise-panel/

Fri Mar 01 10:35:55 2002  George Lebl <jirka@5z.com>

	* aligned-widget.c: fix swapped parameters to g_signal_new,
	  yay for type-unsafety!  Yay!  We get to hunt down bugs like this
	  because we're too stupid to use gob.

Fri Mar 01 00:55:39 2002  George Lebl <jirka@5z.com>

	* panel-config-global.c: fix compilation warning

	* panel-widget.c, panel.c: fix some memory leaks and some corruptions
	  on destruction

2002-02-28  Mark McLoughlin  <mark@skynet.ie>

	* launcher.c:
	(set_revert_sensitive): pass TRUE to gtk_widget_set_sensitive.
	(create_properties_dialog): connect the signals to the right
	button.

2002-02-28  Diego González  <dggonz@yahoo.com>

	* nothing.cP, status-docklet.c, session.c, foobar-widget.c,
	  panel-widget.c, menu.c, main.c, button-widget.c:
		s/gtk_timeout_add/g_timeout_add 
		s/gtk_timeout_remove/g_source_remove

Wed Feb 27 23:58:15 2002  George Lebl <jirka@5z.com>

	* applet.c, panel-applet-frame.[ch], session.c, panel.c: save
	  applet position on move, don't save it when we're removing the
	  applets.  Implement back the clean_remove setting for
	  bonobo_applets in preparation for the 'dead applet' dialog

	* basep-widget.[ch], menu.c, panel.c:  Try to figure out memory
	  issues with removing panels/applets.  The menu applet now removes
	  without a warning, but removing a panel will still corrupt memory
	  somewhere.  While I was at it I converted the Pos objects to
	  GObject rather then GtkObject, which gets rid of some sinking
	  issues.

	* menu-properties.c: remove a dead argument to a function

	* panel-widget.c: minor cleanup

Wed Feb 27 19:45:40 2002  George Lebl <jirka@5z.com>

	* panel-applet-frame.c: fix initial setting of medium size 

Mon Feb 25 16:00:00 2002  Arvind S N  <arvind.samptur@wipro.com>

	* launcher.c: (create_properties_dialog): disable the revert
	buttton when changes are made.

2002-02-27  Mark McLoughlin  <mark@skynet.ie>

	* foobar-widget.c: (foobar_save_to_gconf): impl.
	(foobar_widget_set_clock_format): save the clock format.

	* panel.c: (panel_save_to_gconf): add pre-condition.

2002-02-27  Mark McLoughlin  <mark@skynet.ie>

	* menu.c:
	(menu_button_notify), (create_panel_menu): binary chop
	the button notify handler temporarily. Fixes #72430.

Tue Feb 26 17:34:45 2002  George Lebl <jirka@5z.com>

	* panel.c: fix #70518 among others, by queing a resize on all button
	  widgets.  Dunno what's up with that really, but this will force it
	  to work.  Also fixed up the panel move stuff to be a bit saner as
	  well, and fix a possible crash.

	* menu-util.[ch], menu.c: hmm, the menu menu is still off the button
	  and not at cursor location ... damnit

Tue Feb 26 16:17:09 2002  George Lebl <jirka@5z.com>

	* menu-util.c: the applet menu should also be at the cursor location
	  fixes #70502

2002-02-25  Mark McLoughlin  <mark@skynet.ie>

	Dynamically apply the schemas to new profiles as they are
	created. Removes a lot of conditional 'use_default' code
	and the bugs lurking there. Also lots of gconf related cleanups
	and bug fixes.

	* panel-gconf.[ch]: kill default_profile functions.
	(panel_gconf_get_profile): move here from session.c
	(panel_gconf_global_key), (panel_gconf_general_key),
	(panel_gconf_full_key): rename from really long names.
	(panel_gconf_dir_exists): kill unused.
	(panel_gconf_clean_dir): rename.
	(panel_gconf_associate_schemas_in_dir): impl.
	(panel_gconf_setup_profile): impl.

	* panel-per-panel-config.schemas: kill all applytos.

	* applet.c: update for gconf function name changes. Remove all
	use_default stuff. Pass gconf key to logout, lock and status loader
	to fix #69716.

	* drawer.[ch]:
	(properties_apply_callback): actually save properties changes.
	(load_drawer_applet): save the AppletInfo.
	(drawer_save_to_gconf), (drawer_load_from_gconf): update for gconf
	function name changes, cleanupa and don't try and save the tooltip
	when its null. Kill use_default stuff.

	* floating-widget.c: (floating_pos_get_hide_size),
	(floating_pos_get_hide_pos): read minimized size from the global_config
	struct, not gconf.

	* foobar-widget.c: (append_format_items): clock format is not in global
	config.

	* launcher.c:
	(properties_apply): actually save properties changes.
	(launcher_save_to_gconf), (launcher_load_from_gconf): update for gconf
	function name changes.
	(launcher_file_name): use PANEL_LAUNCHERS_PATH.

	* launcher.h: define PANEL_LAUNCHERS_PATH. Nobody else was using
	PANEL_CONFIG_PATH.

	* logout.[ch]l: (load_logout_applet),
	(load_lock_applet): add gconf_key arg.

	* main.c: (main): use panel_gconf_setup_profile.

	* menu-properties.c: (properties_apply_callback): only save menu props.

	* menu.c: kill use_default stuff, update for gconf function changes.

	* panel-applet-frame.c: ditto.

	* panel-config-global.c: use panel_apply_global_config.

	* panel-config.c: (config_apply): actually save config changes.

	* panel-widget.c: (panel_widget_destroy), (panel_widget_get_by_id),
	(panel_widget_set_id): update for gconf renaming. Clean up.

	* panel.[ch]: lots of cleanups, update for gconf name changes, shorten
	function names, kill use_default stuff.

	* session.c:
	(session_get_current_profile), (session_get_current_profile): kill
	(panel_session_do_save), (panel_session_save),
	(session_load): updates.

	* session.h: kill unused cruft.

	* status.[ch]: (load_status_applet): add gconf_key arg.

	* swallow.c: (swallow_save_to_gconf), (swallow_load_from_gconf):
	updates, kill use_default stuff etc.

Fri Feb 22 15:27:35 2002  George Lebl <jirka@5z.com>

	* foobar-widget.c: when a clock format is set, make sure the format
	  menu thing is synchronized.

2002-02-22  Kjartan Maraas  <kmaraas@gnome.org>

	* menu.c: Remove unsupported #ifdef ENABLE_NLS.
	
Thu Feb 21 18:15:42 2002  George Lebl <jirka@5z.com>

	* gnome-run.c: load both the list of apps and then the icons
	  in idle time, so that we display the dialog immediately and then
	  load all this crap a bit later.  This makes the whole thing feel
	  a lot snappier.

Thu Feb 21 17:25:56 2002  George Lebl <jirka@5z.com>

	* menu.c, panel.[ch]: when adding applets or launchers and such
	  things from the context menu, add them at the spot where the
	  context menu was triggered.

Thu Feb 21 15:49:33 2002  George Lebl <jirka@5z.com>

	* basep-widget.c: properly do hidebutton sensitivities and tooltips
	  on startup and when changing orientation.  Should also hopefully
	  close #61419

2002-02-21  jacob berkman  <jacob@ximian.com>

	* Makefile.am (EXTRA_DIST): add $(ui_DATA)

2002-02-21  Mark McLoughlin  <mark@skynet.ie>

	* GNOME_Panel_Popup.xml: split out the popup xml to here
	so it can be translated.

	* Makefile.am: install the xml file.

	* panel-applet-frame.c: (panel_applet_frame_construct): kill
	the static xml string and use the xml file instead.

Wed Feb 20 19:13:33 2002  George Lebl <jirka@5z.com>

	* menu.[ch], applet.c, foobar-widget.c, gnome-run.c:  Add
	  panel_make_menu_icon, which exposes the pixbuf loading function
	  from the menu icon cache so that we can use it in other places,
	  such as the run box.

	* button-widget.c: use the desktop-item icon finding function for
	  icon finding

	* launcher.c: when getting the best launcher icon look for 48x48 and
	  not 20x20

Wed Feb 20 18:15:38 2002  George Lebl <jirka@5z.com>

	* menu-fentry.c: sure_string the fullname before making a collation
	  key.

Wed Feb 20 18:12:25 2002  George Lebl <jirka@5z.com>

	* menu-fentry.[ch], menu.c: the fr_compare function takes into
	  account directories being sorted before files.  MFiles can't be
	  sorted so sort after we load the QItems.  Fix a memory leak.  Cache
	  the scaled version of an icon to avoid lots of scaling and add
	  the icon size to the cache key.

Wed Feb 20 17:14:00 2002  George Lebl <jirka@5z.com>

	* gnome-run.c, menu-fentry.[ch]: Add a fentry sorting function and
	  cache the name collate key, so that sorting is faster.  Also
	  properly sort menu items if no set sort order has been given by
	  a SortOrder thing in a .directory.  Also remove fr_get_all_dirs
	  since it's a stupid function and isn't being used anyway.

2002-02-20  Mark McLoughlin  <mark@skynet.ie>

	* main.c: (session_notify_global_changes): move notify
	handler to panel_global_config_notify.

	* panel.c: (panel_load_global_config): use
	panel_global_config_set_entry.
	(panel_session_save_global_config): audit for missing items.

	* panel-config-global.c:
	(panel_global_config_set_entry): impl method to map
	between gconf key and config struct member.
	(panel_global_config_notify): handle global config notifies.

	* panel-config-global.h: clean up and add
	panel_global_config_set_entry and panel_global_config_notify.

	* panel-global-config.schemas: kill "auto-update-menus".

	* panel-util.[ch]: (panel_parse_accelerator): rename from
	convert_string_to_keysym_state and upd to handle
	GlobalConfigKeys.

	* global-keys.c: (panel_global_keys_setup),
	(panel_global_keys_filter): upd to use GlobalConfigKey.

	* gnome-panel-properties.c: (load_checkboxes): kill
	"auto-update-menus".

	* Makefile.am: add panel-config-global.c

2002-02-20  Mark McLoughlin  <mark@skynet.ie>

	* menu.c: (show_panel_help): pass 'panel' as file
	name, not 'index'.

	* panel-util.c: (panel_show_help): use
	gnome_help_display_desktop for docs installed in
	$(prefix)/share/gnome/help

2002-02-20  Mark McLoughlin  <mark@skynet.ie>

	Fixes #71279 and #69147. Fix suggested by Shivram U.

	* panel-util.c: (stretch_widget_calc_geometry): move geometry
	calc code to here.
	(stretch_widget_realize): use calc_gemoetry.
	(stretch_widget_size_allocate): check geometry has changed
	before unmapping.

2002-02-19  Mark McLoughlin  <mark@skynet.ie>

	* menu.c: (compare_filerecs), (create_menu_at_fr): re-indent
	to same style as surrounding code and compress comments to
	one single explanatory comment outside the method.

2002-02-19  Mark McLoughlin  <mark@skynet.ie>

	* menu.c: (create_menuitem): revert unapproved increase of
	icon size to 32x32. Retain sensible cleanups, though.

2002-02-17  Gediminas Paulauskas <menesis@delfi.lt>

	Fix #70512

	* gnome-run.c: add mnemonics to all labels, rename buttons.
	(browse): rename dialog.
	(run_dialog_response): if window was just closed, don't run command.
	(sort_by_name): Sort according to locale.
	(add_columns): Remove column header
	(create_simple_contents): Add label above list (so that	you can focus
	list with mnemonic). Make description label selectable, show Advanced
	options below "Advanced >>" button.
	

2002-02-16  Seth Nickell  <snickell@stanford.edu>

	* menu.c: (compare_filerecs):

	Check if strings are NULL before collating
	them.

2002-02-16 John Fleck <jfleck@inkstain.net>

	* help/C/panel.xml
	* help/C/figures/launcherprop1_dialog.png
	* help/C/figures/launcherprop2_dialog.png
	* help/C/figures/menu_panel.png
	* help/C/figures/panelprop_dialog.png
	* help/C/figures/sample_applet.png
	finish updating panel docs for GNOME2

2002-02-16  Seth Nickell  <snickell@stanford.edu>

	* menu.c: (remove_pixmap_from_loaded), (load_icons_handler):

	Use weak refs rather than destroy signal, so we can
	use the pixbufs directly rather than needing a
	GtkWidget.

2002-02-16  Seth Nickell  <snickell@stanford.edu>

	* menu.c: (load_icons_handler), (create_kde_menu):

	Only cache the pixbufs as directly loaded from the icon
	files. That way if a smaller icon is loaded first
	we don't end up scaling it up later when its needed
	for a larger version.

	Really we should just include size as well as filename
	in the hashtable, but the number of calls is small
	enough that this isn't problematic.

2002-02-16  Seth Nickell  <snickell@stanford.edu>

	* menu.c: (compare_filerecs), (create_menu_at_fr),
	(applet_menu_get_category_icon):

	Sort menus into locale-correct "alphabetical" order.

2002-02-15  Michael Meeks  <michael@ximian.com>

	* panel-applet-frame.c (panel_applet_frame_construct): 
	don't get the 'shell' interface, it's not used and this
	screws with fatal ref cleanup.

2002-02-15 John Fleck <jfleck@inkstain.net>

	* configure.in
	* gnome-panel/Makefile.am
	* gnome-panel/help/Makefile.am
	* gnome-panel/help/C/Makefile.am
	* gnome-panel/help/C/panel-C.omf
	* gnome-panel/help/C/panel.xml
	* gnome-panel/help/C/figures/controlcenter_icon.png,
	help_icon.png, open_drawer.png, statusdock_button.png,
	launcherprop1_dialog.png, panel_object_popup_menu.png,
	swallapp_dialog.png, drawerprop_dialog.png,
	launcherprop2_dialog.png, panelprop_dialog.png,
	swallow_applet.png, footprint_icon.png, lockscreen_icon.png,
	runprogram_dialog.png, tasklist_applet.png, four_hide_button.png,
	logout_icon.png, runprogram_icon.png, typical_menu.png,
	gnome_panel.png, menu_panel.png, sample_applet.png,
	gnometerminal_icon.png, netscape_icon.png, statusdock2_button.png
	adding first draft of Sun panel documentation to the build

2002-02-15  Padraig O'Briain  <padraig.obriain@sun.com>

	* basep-widget.[ch] : Rename "focus_panel" signal to "move_focus_out"
	as same action (Ctrl+Tab) on DrawerWidget moves focus from
	DrawerWidget to Drawer. Add code to basep_widget_move_focus_out()
	to implement moving focus from DrawerWidget to Drawer.

	(basep_widget_construct) Sink BasePPos to avoid warning on panel
	deletion.

	* drawer-widget.c (drawer_widget_new): Do not allow panel in
	DrawerWidget to receive focus.

	* drawer.h (Drawer): Add two new fields moving_focus and jyst_focused.
	The field moving_focus is used to prevent drawer being closed
	when keyboard focus moves from Drawer to DrawerWidget and being
	opened whem keyboard focus moves from DrawerWidget to Drawer
	The field just_focused is used to prevent the drawer being closed
	when a Drawer, which does not have focus, is clicked.

	* drawer.c: Add signal handlers for focus_in_event, focus_out_event
	and key_press_event on Drawer.
	focus_in_drawer ensures that drawer is opened when focused
	focus_out_drawer ensures that drawer is closed when unfocused
	key_press_drawer implements arrow keys to move focus from Drawer to
	DrawerWidget and focus the first or last object on the panel and Escape
	to close the drawer.

	* foobar-widget.[ch] : Rename "focus_panel" signal to "move_focus_out"

	* panel-widget.c (panel_widget_focus): Do not configure.infocus panel for
	DrawerWidget

	* panel.c (panel_menu_get): Sink menu object to avoid warning on
	panel deletion

2002-02-14  Seth Nickell  <snickell@stanford.edu>

	* menu.c: (icon_to_load_copy), (load_icons_handler),
	(create_menuitem), (panel_load_menu_image_deferred_with_size),
	(panel_load_menu_image_deferred):

	Increase the size of the icons in the Applications menu to
	32x32.

2002-02-14  Shivram U <shivaram.upadhyayula@wipro.com>

	reviewed by Mark McLoughlin <mark@skynet.ie>

	* launcher.c: Fixed the problem with the revert button in the
	launcher not reverting back to the original settings. (#70692)

2002-02-12  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: don't set GNOME_CORE_BUILD_INTERNAL and use
	(top_srcdir)/gnome-panel.

	* launcher.c, launcher.h, menu-fentry.h, menu-properties.c,
	  menu.c, session.c, swallow.c: upd for the fact that
	libgnome-desktop is in a seperatre module now.

2002-02-11  Kjartan Maraas  <kmaraas@gnome.org>

	* drawer-widget.c: #include <config.h>
	* panel-config.c: Same
	
2002-02-11  Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>

	reviewed by: Mark McLoughlin  <mark@skynet.ie>

	* foobar-widget.c: (append_gnomecal_items): actually use
	the translated strings.

2002-02-11  Mark McLoughlin  <mark@skynet.ie>

	* gnome-panel-properties.c:
	* gnome-run.c: don't include gnome-window-icon.h directly.
	Its in libgnomeui.h now.

2002-02-11  Richard Hult  <rhult@codefactory.se>

	* panel-applet-frame.c (panel_applet_frame_construct): Remove
	debug code, missed this in my last commit.

2002-02-11  Richard Hult  <rhult@codefactory.se>

	* panel-applet-frame.c: Put popup menu items at the bottom of the
	applet popup menu.

2002-02-09  Mark McLoughlin  <mark@skynet.ie>

	* applet.c:
	(panel_applet_load_idle_handler): load applets in an idle handler
	at startup.
	(panel_applet_load_from_unique_id): use it.

2002-02-09  Mark McLoughlin  <mark@skynet.ie>

	* GNOME_Panel.server.in: move to Vertigo namespace.

	* menu.c: ditto.

2002-02-09  Mark McLoughlin  <mark@skynet.ie>

	* panel-applet-frame.[ch]:
	(panel_applet_frame_load): update for panel_applet_frame_new change.
	(panel_applet_frame_get_expand_flags): get the flags from the
	property sack.
	(panel_applet_frame_get_background_string): impl method to
	prepare background strings.
	(panel_applet_frame_change_background): merge background changing
	methods in to one.
	(panel_applet_focus): rename to panel_applet_frame_focus.
	(panel_applet_frame_get_orient_string),
	(panel_applet_frame_get_size_string): impl method to prepare size
	and orient strings.
	(panel_applet_frame_construct_moniker): add the bacgkround, size
	and orient items.
	(panel_applet_frame_construct): add PanelWidget arg.
	(panel_applet_frame_new): ditto.

	* panel-types.h: GNOME_Panel_BackType enum doesn't exist anymore.

	* panel-widget.[ch] (panel_widget_class_init): upd for above.	
	(panel_widget_get_applet_orient): re-named from get_applet_orient.

	* panel.c: (get_applet_orient): move to panel-widget.c.
	(back_change): use panel_applet_background_change.

	* drawer.c: (load_drawer_applet): update for get_applet_orient
	change.

	* status.[ch] (status_spot_remove): use Vertigo_StatusSpot.

2002-02-10  Havoc Pennington  <hp@pobox.com>

	* basep-widget.c (basep_widget_size_allocate): Consider the x/y
	position of the panel when setting struts. This means we get the
	right strut if some crack-smoker puts multiple panels on the same
	side of the screen. Currently only seems to matter for stacking an
	edge panel under the foobar.

2002-02-10  Gediminas Paulauskas <menesis@delfi.lt>

	* Makefile.am: use intltool for .desktop files.
	* gnome-panel-properties.desktop.in: add files without
	translations.
	* gnome-panel-properties.desktop: removed, they are generated.

2002-02-10  Gediminas Paulauskas <menesis@delfi.lt>

	* quick-desktop-reader.c: do charset conversion only if source
	encoding is not NULL. Avoids lots of warnings.

2002-02-08  Mark McLoughlin  <mark@skynet.ie>

	* session.c: (panel_session_save): another leak. That seems
	to be most of them ...

2002-02-08  Mark McLoughlin  <mark@skynet.ie>

	* panel-widget.c: (panel_widget_set_new_id),
	(panel_widget_new): kill more leaks.

2002-02-08  Mark McLoughlin  <mark@skynet.ie>

	* panel.c: (panel_gconf_profile_set_string),
	(panel_gconf_profile_set_int), (panel_gconf_profile_set_bool):
	fix more hideous leaks and re-name like below.
	(panel_session_save_panel): upd for above.

2002-02-07  Mark McLoughlin  <mark@skynet.ie>

	* menu-properties.c: (properties_apply_callback): save to gconf.

	* menu.c: (menu_save_to_gconf): check icon file is set before
	setting it in gconf.

2002-02-08  Mark McLoughlin  <mark@skynet.ie>

	* session.[ch]: (panel_session_save): don't dup string. it
	was been leaked allmost everywhere anyway.

	* applet.c: (panel_applet_clean_gconf), (panel_applet_load_list),
	(panel_applet_save_position), (panel_applet_save_to_gconf):
	* drawer.c: (drawer_save_to_gconf), (drawer_load_from_gconf):
	* launcher.c: (launcher_save_to_gconf):
	* menu.c: (menu_save_to_gconf), (menu_load_from_gconf):
	* panel-applet-frame.c: (panel_applet_frame_save_to_gconf):
	* panel.c: (panel_session_save_panel):
	* swallow.c: (swallow_save_to_gconf), (swallow_load_from_gconf):
	update for above change.

	* distribution.c: (get_distribution_info): fix warning.

2002-02-08  Mark McLoughlin  <mark@skynet.ie>

	* launcher.c: (setup_button): free icon string.

	* menu-fentry.c: (fr_check_and_reread): unref the vfs file
	info before returning.

	* menu.c: (load_icons_handler): free the icon info before
	returning.

	* panel.c: (panel_gconf_profile_get_string),
	(panel_gconf_profile_get_int), (panel_gconf_profile_get_bool):
	rename from atrociously long names.
	(panel_session_init_panels): fix loads of string leaks and try
	to tidy up a bit.

2002-02-08  Mark McLoughlin  <mark@skynet.ie>

	* panel-util.[ch]: (panel_stretch_events_to_toplevel): use
	 a flags arg instead of booleans. Simplifies things.

	* foobar-widget.c: update for above change.

2002-02-07  Mark McLoughlin  <mark@skynet.ie>

	* main.c: (main): move BONOBO_ACTIVATION_DEBUG_OUTPUT up.

	* panel-shell.c: (panel_shell_register): enable per-display
	registration, however this doesn't work yet 'cause its not enabled in
	bonobo-activation.

2002-02-07  Mark McLoughlin  <mark@skynet.ie>

	* distribution.c: (get_distribution_info): fix core. Sorry people.

2002-02-07  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: split deprecation related cflags and gnome_program
	related defines into their own variable.

	* applet.c:
	(panel_applet_clean_gconf): free gconf_key here.
	(panel_applet_clean): don't clean gconf until after the widget has
	been destroyed.
	(applet_destroy): don't free key here.

	* distribution.[ch]: (get_distribution_info): allow distribution menus
	to be re-locatable.

	* gnome-panel-properties.c: (main): set the window icon.

	* gnome-run.c: (register_run_stock_item): impl to register a new stock
	icon and icon set for the run button.
	(show_run_dialog): use above instead of stock execute item. Lookup
	window icon with gnome_program_locate_file.

2002-02-06  Padraig O'Briain  <padraig.obriain@sun.com>

	* panel-applet-frame.[ch]
	Add action signal move-focus_out_of_panel to move focus from applet to
	next or previous object on panel. Currently Tab and Shift+Tab are the 
	keys which do this.

	* foobar-widget.[ch]
	Add action signal focus_panel to support moving focus to the panel

	* panel.c:
	Remove unused argument PanelData specified for panel_event()
	Set focus on panel if button release happens in panel and panel is
	not focus widget.

2002-02-06  Mark McLoughlin  <mark@skynet.ie>

	* gnome-run.c:
	(create_advanced_contents): don't set focus widget here, we do
	it later.
	(update_contents): focus the entry, not the vbox.

Tue Feb 05 17:48:58 2002  George Lebl <jirka@5z.com>

	* gnome-run.c: set window icon

	* menu-util.c: remove the applets sub from the default menu flags

	* menu.c: About box fixups, use a logo, add documentors, fix
	  translation credits, and use the comment for the commie mode
	  paragraph.  Use the standard defaults when adding a menu.
	  When saving a ditem in the timeout, save the error and display
	  it in an error dialog when we close the property window.
	  Add more descriptive standard menu tooltips.  When there is
	  no full menu name use the directory basename rather then "Menu".
	  Translate the things from the bonobo server entry.  Use
	  a lazy hash for category->icon lookups, and use untranslated
	  category name to lookup icons.  Use standard panel error
	  dialog api for 'only one foobar' dialog.

	* panel-widget.c: unused var warning

	* xstuff.c: fix possible race (I'm anal, perhaps it's not a race
	  at all in fact, but it's not there anymore)
	  
2002-02-05  Mark McLoughlin  <mark@skynet.ie>

	* panel.c: (panel_session_init_panels): audit use of
	gconf_enum_to_string to make sure all (gint *) casts
	are correct. Solaris refuses to entertain mis-aligned
	pointers.

2002-02-04  jacob berkman  <jacob@ximian.com>

	* Makefile.am: our object files require the built sources

2002-02-04  Mark McLoughlin  <mark@skynet.ie>

	* launcher.c: (properties_apply): save the launcher.
	(launcher_save_to_gconf): don't save location if its not set.
	(launcher_file_name), (launcher_save): make static.
	(launcher_hoard): save to gconf.

	* launcher.h: kill launcher_file_name and launcher_save.

2002-02-04  Padraig O'Briain  <padraig.obriain@sun.com>

	* panel.c: Correct popping up of panel's context menu using keyboard.

2002-02-04  Padraig O'Briain  <padraig.obriain@sun.com>

	These changes update the changes which give focus to the panel and
	object on the panel to take account of the fix to bug 50339 which
	requires that a widget in a GtkWindow have focus initially, rather
	than the GtkWindow itself.

